Sun Jul 01 11:16:34 2001  Balachandran  <bala@cs.wustl.edu>

        * ACE version 5.1.18 released.

Sun Jul  1 11:03:32 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * bin/generate_doxygen.pl: Removed SSLIOP from the list.
        * etc/tao_ssliop.doxygen: Removed the file as it was creating
          problems for the beta.

Sat Jun 30 12:44:11 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/FIFO_Send_Msg.cpp (send): Fixed another errant use of
          putmsg().  Thanks to David Trusty <david.trusty@westwave.com>
          for reporting this.

Fri Jun 29 22:31:56 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * Reverted the changes in this entry.
          "Thu Jun 28 13:44:52 2001  Chad Elliott
          <elliott_c@ociweb.com>". The changes seem to be breaking builds
          on Sun.

Fri Jun 29 10:14:03 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/config-macosx.h: Removed some macros that don't apply to
          MacOSX.  Thanks to John Zorko <j.zorko@att.net> for contributing
          this.

        * include/makeinclude/platform_macosx.GNU (CC): Changed
          the -fno-implict-templates to -fimplicit-templates.  Thanks to
          John Zorko <j.zorko@att.net> for contributing this.

Wed Jun 27 12:00:34 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/FIFO_Send_Msg.i (send): Make sure that when we use the
          putmsg() variant of this call that we correctly return the
          length.  Thanks to David Trusty <david.trusty@westwave.com> for
          reporting this.

        * ace/FIFO_Recv_Msg.i (recv): Make sure that when we use the
          getmsg() variant of this call that we correctly return the
          length.  Thanks to David Trusty <david.trusty@westwave.com> for
          reporting this.

        * ace/Log_Record.{h,cpp}: Added support for extending the
          names of the types of logging requests.  Thanks to Kelly
          F. Hickel <kfh@mqsoftware.com> and Jonathan Reis
          <reis@stentor.com> for this fix.

Thu Jun 28 13:44:52 2001  Chad Elliott  <elliott_c@ociweb.com>

        * ace/config-sunos5.5.h:

          Add include of sys/feature_tests.h to ensure that certain macros
          are set up correctly.  This is mainly important to SunOS 5.7 and
          later, but may be useful to the earlier versions.

          Also, added a check for the correct value of _POSIX_C_SOURCE to
          set ACE_HAS_POSIX_GETPWNAM_R.  This use to be a conditional in
          config-sunos5.7.h based on gcc 3.0, but it is not specific to gcc.

        * ace/config-sunos5.6.h:

          Added a check for _XPG4_2 before defining
          ACE_HAS_4_4BSD_SENDMSG_RECVMSG.  This used to be a conditional in
          config-sunos5.7.h based on gcc 3.0, but it is not specific to gcc.

        * ace/config-sunos5.7.h:

          Removed the gcc 3.0 specific section and dispersed the macro
          definitions to the correct config files (based on os version and
          other macros).

          Added a definition of ACE_HAS_SOCKLEN_T since SunOS has had
          socklen_t since 5.7.  This use to be a conditional based on gcc
          3.0, but it is not specific to gcc.

Thu Jun 28 13:05:12 2001  Jeff Parsons <parsons@cs.wustl.edu>

        * ace/CDR_Stream.{h,i,cpp}:

          Update to_(w)string and from_(w)string to conform to the
          latest C++ mapping (00-01-02). Extra constructors have
          been added, taking a const (w)string, and the val_
          member of from_(w)string has been made const. The constructor
          taking a non-const (w)string for to_(w)string has been
          deprecated, and will be removed from the spec at some point.
          Thanks to Andy Alvarez <andy_alvarez@baxter.com> for pointing
          this out.

Thu Jun 28 07:08:26 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * ace/TP_Reactor.cpp: Added a sanity check. The check involves
          invalidating the handle when the handler is removed from the
          repository in notify_handle (). We also check for an invalid
          handle before we go ahead and resume the handle. Thanks to
          Alexander Libman <alexander.libman@baltimore.com> for suggesting
          this check.

Wed Jun 27 14:07:43 2001  Sharath R. Cholleti  <sharath@cs.wustl.edu>

        * ace/CDR_Stream.{cpp,h}:

          Changed write_wstring() and read_wstring() to partially comply
          with GIOP 1.2.

Wed Jun 27 07:13:13 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * ace/OS_TLI.inl: Fixed a compile error in Win32 builds.

Tue Jun 26 17:56:05 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * tests/Message_Block_Test.cpp: Changed the test to use
          ACE_DEFAULT_MESSAGE_BLOCK_PRIORITY and
          ACE_DEFAULT_MESSAGE_BLOCK_PRIORITY + 1 rather than priorities 0
          and 1.  Thus, the test works properly when users override the
          ACE_DEFAULT_MESSAGE_BLOCK_PRIORITY in config.h.  Thanks to Ivan
          Murphy for reporting this.

        * examples/Connection/blocking/SPIPE-acceptor.cpp: Added several
          fixes so that this stuff runs correct when called by multiple
          clients.  Thanks to Rich Newman <RNewman@directv.com> for
          contributing this.

Tue Jun 26 17:37:51 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * ace/Proactor.h: Fixed a compile error with g++. There were two
          return types. Retained the return type as int.

Tue Jun 26 16:22:24 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/OS_TLI.h: Zapped a dummy declaration of struct rlimit { }.
          Thanks to Bala for reporting this.

        * ace/TLI_*, OS_TLI.*: Added a number of fixes for TLI so that it'll
          compile properly on Win32 platforms.  Thanks to Andreas Geisler
          <andreas.geisler@erls.siemens.de> for reporting this.

        * ace/Proactor.h: Added a static reset_event_loop() to the ACE_Proactor
          class.  Thanks to Rich Newman <RNewman@directv.com> for
          reporting this.

        * ace/config-sunos5.7.h: Removed an errant #endif.  Thanks to
          Craig Ching <cching@mqsoftware.com> for reporting this.

Mon Jun 25 15:36:55 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/config-sunos5.7.h: Added support for GCC 3.0.  Thanks to
          Craig Ching <cching@mqsoftware.com> for contributing this.

Mon Jun 25 12:18:41 2001  Chad Elliott  <elliott_c@ociweb.com>

        * bin/aix_shr:

          Added to filter the duplicate symbol warnings from the compilation
          of the shr.o file for AIX shared libraries.

        * include/makeinclude/platform_aix_ibm.GNU:

          Added the definition of SHR_FILTER.  It is defined to be
          $(ACE_ROOT)/bin/aix_shr.

        * include/makeinclude/rules.lib.GNU:

          Added the GNU Make macro SHR_FILTER which will be used when
          compiling the shr.o file.  This will only have an affect if
          SHR_FILTER is defined.

Mon Jun 25 10:05:37 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/Malloc_T.cpp (avail_chunks): Guarded againt the case when a
          Malloc_Header contains 0 available header for allocation as it
          caused an assignment of negative number to an unsigned number.
          Thanks to Ben Howard <Benn_Howard@raytheon.com> for pointing
          this out.

Sun Jun 24 21:51:10 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/Obstack.h: Moved the trailing semicolon into the
          ACE_EXPORT_SINGLETON_DECLARATION macro to avoid a warning from
          Tru65.

Sun Jun 24 08:57:26 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * bin/auto_run_tests.lst: Added Oneways_Invoking_Twoways to the
          daily builds.

Sat Jun 23 08:34:54 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tests/Max_Default_Port_Test.cpp: Fixed a unused warning in
          Single Threaded  builds.

        * tests/run_tests.lst: Prevented the above test from running in
          Single Threaded configurations.

Sat Jun 23 06:19:39 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/OS.i: For some god knows why reason, _POSIX_C_SOURCE doesn't
          get us the right behavior for getpwnam_r() on some platforms...
          Therefore, we'll need to define an ACE_HAS_POSIX_GETPWNAM_R
          macro instead -- grrr....  Thanks to Bala for pointing this out.

        * ace/OS.i: Fixed the getpwnam_r() wrapper so that it conforms to
          POSIX on platforms that support POSIX.  Thanks to
          Craig L. Ching <cching@mqsoftware.com> for reporting this.

Fri Jun 22 18:35:46 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * ace/OS_TLI.inl: Fixed a compile error in win 32.

Fri Jun 22 18:06:50 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * bin/nightlybuilds/builds.lst: Added a solaris 8 build to the
          scoreboard.

Fri Jun 22 18:00:51 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * examples/Log_Msg/test_ostream.cpp (main):

          Removed the flags variable and added the file open mode flags
          directly to the constructor. There doesn't see to be a portable
          way of fixing this as a lot of compilers don't have a compliant
          standard library. This fixes the compile error on gcc-3.0

Fri Jun 22 13:10:13 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * examples/Log_Msg/test_ostream.cpp (main):

          Reverted the change as it seems to break VC++. Will fix it
          shortly.

Fri Jun 22 10:31:29 2001  Steve Huston  <shuston@riverace.com>

        * ace/Configuration.{h cpp}: Added back the ACE_Configuration::
          import_config and export_config functions and marked them
          deprecated. They're needed for backwards compatibility with
          ACE 5.1.

Fri Jun 22 07:33:45 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/OS_TLI.{h,inl}: Changed the signature of the t_open() and
          t_accept() wrappers to use ACE_HANDLE rather than int.  Thanks
          to Steffen Hieber <Steffen.Hieber@erl9.siemens.de> for reporting
          this.

Fri Jun 22 09:31:04 2001  Ossama Othman  <ossama@uci.edu>

        * html/index.html:

          Corrected hyperlink for SSLIOP documentation.

Fri Jun 22 10:27:01 2001  Paul Calabrese  <calabrese_p@ociweb.com>

        * html/index.html:

          Add missing directories for Doxygen docs.

Fri Jun 22 00:26:34 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * examples/Log_Msg/test_ostream.cpp (main):

          Changed the type of flags to ios::openmode from int to fix
          errors under gcc-3.0.

        * examples/IOStream/client:
        * examples/IOStream/server:

          Added ACE_UNUSED_ARG to fix a couple of warnings.

Thu Jun 21 13:57:09 2001  Chad Elliott  <elliott_c@ociweb.com>

        * apps/JAWS/clients/Caching/http_handler.h:

          Fix a warning with g++.

Thu Jun 21 09:01:09 2001  Chad Elliott  <elliott_c@ociweb.com>

        * include/makeinclude/platform_aix_ibm.GNU:

          Fix for 64-bit AIX builds.  The ARFLAGS definition must have -X64
          before any of the other options.

Thu Jun 21 08:27:40 2001  Chad Elliott  <elliott_c@ociweb.com>

        * ace/config-aix-4.x.h:

          Fix for 64-bit AIX builds.

Thu Jun 21 08:00:01 2001  Chad Elliott  <elliott_c@ociweb.com>

        * apps/Gateway/Peer/Peer.h:
        * apps/JAWS/clients/Blobby/Blob.h:
        * apps/JAWS/clients/Caching/http_handler.h:
        * examples/ASX/Event_Server/Transceiver/transceiver.cpp:
        * examples/Connection/misc/test_upipe.cpp:

         Moved #include "ace/Connector.h" to be after #include
         "ace/SOCK_Connector.h" to fix compile error on AIX, Visual
          Age C++ 5.  Thanks to David Sperry <sperryd@res.raytheon.com>
          for reporting this.

        * apps/JAWS/server/Makefile:

          Move include of wrapper_macros.GNU below the check of the
          ACE_BUILD_COMPONENTS to avoid a warning about overriding commands
          for target libJAWS.a for AIX, Visual Age C++, 5.

        * include/makeinclude/platform_aix_ibm.GNU:

          Added warning suppression for possible use of uninitialized
          variables and possible infinite loops.  Added support for 64 bit
          builds with Visual Age C++ 5.

       * include/makeinclude/rules.lib.GNU:

          Fixed shared lib making rule.  Remove shr.o after building the lib
          to make sure subsequent builds are correct.

Wed Jun 20 17:31:32 2001  Jeff Parsons  <parsons@cs.wustl.edu>

        * ace/CDR_Base.cpp:
        * ace/CDR_Base.h:

          Added some stuff to help the higher layers deal with
          longlongs, without the guards for the platforms that
          don't have this native type. Expanded and exported the
          LongLong struct (added == and != operators). Defined the
          NONNATIVE_LONGLONG flag, if platform does not have a
          native longlong type. Added ACE_CDR_LONGLONG_INITIALIZER,
          to portably initialize a local longlong variable.

Wed Jun 20 10:42:02 2001  Frank Hunleth  <fhunleth@cs.wustl.edu>

        * bin/auto_run_tests.lst:

          Disabled the TAO/tests/Exposed_Policies test from being
          run under minimum builds, since it needs CORBA messaging
          and RTCORBA.

Wed Jun 20 09:17:46 2001  Balachandran Natarajan <bala@cs.wustl.edu>

        * tests/Max_Default_Port_Test.dsp (SOURCE): Fixed the release
          builds.

Wed Jun 20 08:47:46 2001  Chanaka Liyanaarachchi  <chanaka@ociweb.com>

        * tests/Max_Default_Port_Test.cpp:

          Replaced char * with ACE_TCHAR * in main function signature to
          make the test WChar friendly.

Wed Jun 20 08:05:19 2001  Chad Elliott  <elliott_c@ociweb.com>

        * bin/nightlybuilds/builds.lst:

          Added the AIX Visual Age C++ 5.0 nightly build.

Tue Jun 19 21:24:41 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/OS.i (mutex_lock): Fiddled around with the #else so that
          we'll avoid "statement not reached" warnings on KCC.  Thanks to
          J Shane Culpepper <pepper@channelogics.com> for reporting this.

Wed Jun 20 07:35:04 2001  Johnny Willemsen <jwillemsen@remedy.nl>

        * tests/Makefile.bor
          Added the new Max_Default_Port_Test

Tue Jun 19 16:01:01 2001  Priyanka Gontla  <pgontla@ece.uci.edu>

        * include/makeinclude/platform_hpux_aCC.GNU (THR_DEFS):
          Suppressed error 908 complaining about use of 'export' which
          might be used as a C++ keyword in future by aCC compiler.

Tue Jun 19 16:20:52 2001  Sharath R. Cholleti  <sharath@cs.wustl.edu>

        * ace/CDR_Stream.cpp:

          Just fixing a typo. Removed ACE_INLINE from skip_wchar ().

Tue Jun 19 16:08:34 2001  Sharath R. Cholleti  <sharath@cs.wustl.edu>

        * ace/CDR_Stream.{i,cpp}:

          Fixed the skip_wchar() according to the changes in WChar
          implementation of GIOP 1.2. Thanks to
          Peter Phillips  <pphillip@opentext.com> for reporting the problem
          the fix.  This fixes BUGID 945.

Tue Jun 19 08:13:52 2001  Chanaka Liyanaarachchi  <chanaka@ociweb.com>

        * tests/Max_Default_Port_Test.cpp:
        * tests/Max_Default_Port_Test.h:
        * tests/Max_Default_Port_Test.dsp:

          Added a test to verify if ACE_MAX_DEFAULT_PORT value is
          set correctly.

        * tests/Makefile:
        * tests/tests.dsw:

          Added Max_Default_Port_Test.

        * tests/run_test.lst:
        * tests/run_tests.bat:

          Added Max_Default_Port_Test.

Tue Jun 19 08:03:38 2001  Chanaka Liyanaarachchi  <chanaka@ociweb.com>

        * ace/OS.h:

         Changed the value of ACE_MAX_DEFAULT_PORT to 65535. This had
         been set to 0 (zero) previously to avoid a problem on NT4.0 SP3.
         The problem was that beyond ports 65279, a bind call would
         succeed but the handle returned would be junk. This problem does
         not seem to exist on NT4.0 SP6, and Windows 2000.

Tue Jun 19 07:20:56 2001  Chad Elliott  <elliott_c@ociweb.com>

        * ace/INET_Addr.cpp:

          Set the inet_addr_.sin_family to AF_INET when the ACE_Addr type is
          set to AF_INET.

Mon Jun 18 21:33:54 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * bin/auto_run_tests.lst: Added the Big_Reply tests to the nightly
          builds.

Mon Jun 18 16:20:51 2001  Steve Huston  <shuston@riverace.com>

        * tests/Thread_Manager_Test.cpp: Added a new function,
          test_task_record_keeping(), that tests task-related record
          keeping in the ACE_Thread_Manager. Motivated by a report of
          ACE_Thread_Manager::task_all_list() not working correctly.

Mon Jun 18 15:29:38 2001  Steve Huston  <shuston@riverace.com>

        * ace/ace.icc: Replace Obstack.cpp with Obchunk.cpp; added
          Obchunk.h

        * ace/Thread_Manager.cpp (task_all_list): Don't put duplicate
          ACE_Task_Base pointers in the returned list.

        * ace/Malloc_T.cpp (ACE_Malloc<>::ACE_Malloc (3 args): Add \n
          to the failure ACE_ERROR statement.

        * tests/Refcounted_Auto_Ptr_Test.cpp: Print the instance count
          of the refcounted variable before asserting on it in order to
          leave interesting info in the log if it bombs.

Mon Jun 18 10:06:37 2001  Chris Cleeland  <cleeland_c@ociweb.com>

        * etc/tao_ssliop.doxygen: New configuration file for
        SSLIOP-related files.

        * bin/generate_doxygen.pl: Added new SSLIOP configuration file to
        the list of things to be documented for TAO.

Sun Jun 17 21:26:27 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * ace/Message_Block.i: Fixed Fuzz errors.

Sat Jun 17 17:33:36 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * ace/CDR_Base.cpp (grow): Cleared the DONT_DELETE flag of the
          message block whose data block is expanded.

        * ace/CDR_Stream.h:
        * ace/CDR_Stream.cpp: Added a new method clone_from () in the
          ACE_InputCDR class. This method is used in the bug #575 fix.

Sun Jun 17 17:11:36 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * ace/Timer_Queue_Adapters.cpp (schedule):

          Fixed a warning by reorganizing return statement.

Sat Jun 16 15:21:36 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * ace/CDR_Stream.cpp: Fixed some stupid typos.

Sat Jun 16 10:36:58 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * ace/Message_Block.h:
        * ace/Message_Block.cpp:
        * ace/Message_Block.i:  This set of changes are to get around one
          of the problems that we have with the message blocks. For some
          reason the message blocks assume that the underlying data blocks
          are always allocated of the heap. If we try to construct a
          message block using a data block on the stack, the message
          blocks tries to delete that data block which gives problems. We
          have now added a flag in the class that indicates whether the
          data_block can be deleted or not. An extra flag argument has
          been added to the constructor that constructs a message block
          from a data block. The default value is from the heap. Added
          more methods to the ACE_Message_Block to query and change the
          flag values.

        * ace/CDR_Stream.cpp:
        * ace/CDR_Stream.h: Added an extra flag argument to the
          constructors which constructs a InputCDR stream from a
          ACE_Data_Block.

Sat Jun 16 00:09:14 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * bin/nightlybuilds/builds.lst (WEB):

          Added IA-64 to the nightly builds. The tests are disabled for
          now. They will be enabled after TAO 1.2 is released.

Fri Jun 15 20:46:01 2001  Sharath R. Cholleti  <sharath@cs.wustl.edu>

        * ace/CDR_Stream.{cpp,h,i}:

          WChar implementation of GIOP 1.2. Made changes in some of the
          ACE_InputCDR constructors, exchange_data_blocks () and steal_from ().

Fri Jun 15 20:18:07 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * ace/Active_Map_Manager_T.i:
        * ace/Map_Manager.cpp:
        * ace/Map_Manager.h:
        * ace/Map_Manager.i:

          Fixed a bug in the Active_Map_Manager caused due to size_t being of
          different size under 32-bit platforms versus 64-bit platforms.
          The bug was triggered under Tru64. This has resulted in changing
          the implementation to use ACE_UINT32 throughout while
          maintaining a backward-compatible interface.

          Many thanks to Irfan for his help in finding a solution.

Fri Jun 15 17:40:51 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * examples/Shared_Malloc/Malloc.cpp:

          Removed need for explicit instantiation of symbols when the
          compiler supports template specialization for the
          Single-threaded case.

        * examples/IPC_SAP/SOCK_SAP/CPP-inserver.cpp:
        * examples/IPC_SAP/SOCK_SAP/CPP-unserver.cpp:

          Removed warning about conversion from pointer to integer of
          different size on IA-64.

Thu Jun 14 16:20:57 2001  Frank Hunleth  <fhunleth@cs.wustl.edu>

        * ace/Stats.cpp:

          Changed formula to convert ticks to seconds to use
          ACE_HR_SCALE_CONVERSION to account for the fact that
          Win32 has different scale factor units than every
          other platform.

Thu Jun 14 16:21:35 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * ace/config-all.h (ACE_UNUSED_ARG):

          Changed the way we define ACE_UNUSED_ARG to be more compatible
          with picky compilers.

Thu Jun 14 16:10:54 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * ace/Makefile:
        * ace/RMCast/Makefile:

          Updated the dependencies as they seem to have gone out of sync.

Thu Jun 14 15:42:57 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/Obstack_T.cpp (release): Forgot to reset the <block_> in
          Obchunk.

Thu Jun 14 14:35:09 2001  Frank Hunleth  <fhunleth@cs.wustl.edu>

        * bin/msvc_auto_compile.pl:

          Added Strategies, RTCORBA, and RTPortableServer to the core build
          list so that they get built before the tests that use them on
          the Win32 static builds.

Thu Jun 14 08:24:03 2001  Christopher Kohlhoff  <chris@kohlhoff.com>

        * ace/Makefile.bor:
          Added missing source file Obchunk.cpp.

Thu Jun 14 03:10:11 2001  Krishnakumar B <kitty@danzon.cs.wustl.edu>

        * tests/TSS_Test.cpp:

          Fixed a error in the compile caused due to ACE_reinterpret_cast
          applied to a const int.

Wed Jun 13 21:50:01 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/Obstack_T.cpp (ACE_Obstack_T): Fixed a mismatched ACE_TRACE
          fuzz warning.

Wed Jun 13 14:10:17 2001  Ossama Othman  <ossama@uci.edu>

        * ace/SSL/SSL_Context.cpp:
        * ace/SSL/SSL_SOCK_Acceptor.cpp:

          Explicitly include "ace/Log_Msg.h" to pull in ACE_DEBUG/ERROR
          macro definitions.  This fixes a compile-time problem on
          SunWorkshop 3.0 builds.  Thanks to Andrew Finnell
          <Andrew.Finnell@esecurityinc.com> for reporting this problem and
          suggesting the fix.

Wed Jun 13 15:43:43 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/Obchunk.cpp: Fixed include filename capitalization.

Wed Jun 13 11:31:27 2001  Ossama Othman  <ossama@uci.edu>

        * ace/Makefile.am:

          Synchronized the source lists with those in the stock ACE
          Makefile.

Wed Jun 13 14:18:22 2001  Steve Huston  <shuston@riverace.com>

        * ACE-INSTALL.html: Modified the platforms/compilers section to
          reflect the new roles of DOC, Riverace, OCI. Fixed up the
          Solaris section a bit.

Wed Jun 13 11:08:26 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * tests/Thread_Pool_Test.cpp: Casted message block pointers to
          ACE_TCHAR* to compile with UNICODE on.

Wed Jun 13 10:22:10 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/Svc_Conf_l.cpp: Need to read the sizeof (ACE_TCHAR) of bytes
          to handle UNICODE svc.conf correctly.

        * ace/Svc_Conf.h: Changed the macro ACE_YY_INPUT to handle
          ACE_TCHAR instead of char.  Thanks to Allen Kelly
          <akelly@postx.com> for sending the patches.

        * ace/Obstack_T.{h,i,cpp}: Templatized ACE_Obstack on the char
          type it handles.

        * ace/Obchunk.{h,i,cpp}: New files containing the non-template
          class ACE_Obchunk.

        * ace/Obstack.{h,cpp}: All the class definitions were moved to
          Obchunk.* and Obstack_T.*.  These files typedef'ed
          ACE_Obstack_T<char> to ACE_Obstack for backward compatibility.

        * ace/Obstack.i: Removed file.

        * ace/ace_dll.dsp:
        * ace/ace_lib.dsp:
        * ace/Makefile: Added Obchunk and Obstack_T.

        * ace/Service_Config.cpp:
        * ace/Svc_Conf_y.cpp:
        * ace/Svc_Conf.h: Changed ACE_Obstack to ACE_Obstack_T<ACE_TCHAR>
          to handle UNICODE files when needed.

        * ace/Configuration.cpp (set_string_value): When storing wchar
          strings, the datasize passed to RegSetValueEx is the total size
          in bytes, not the string length.

Wed Jun 13 08:42:31 2001  Christopher Kohlhoff  <chris@kohlhoff.com>

        * include/makeinclude/ace_flags.bor:
          Added support for new RTCORBA libraries.

        * include/makeinclude/build_lib.bor:
          Suppress noisy warnings when creating a static library.

        * tests/Makefile.bor:
          Added Thread_Pool_Reactor_Resume_Test.

Tue Jun 12 21:22:19 2001  Ossama Othman  <ossama@uci.edu>

        * bin/nightlybuilds/builds.lst:

          Added the new gcc 3.0 build to nightly build list.

Tue Jun 12 23:06:36 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * examples/ASX/Event_Server/Event_Server/Options.cpp:
        * examples/ASX/Event_Server/Event_Server/Options.cpp:
        * examples/ASX/Message_Queue/buffer_stream.cpp:
        * examples/ASX/UPIPE_Event_Server/Options.cpp:
        * examples/IPC_SAP/SOCK_SAP/CPP-inclient.cpp:
        * examples/IPC_SAP/SOCK_SAP/CPP-inserver.cpp:
        * examples/IPC_SAP/SOCK_SAP/CPP-unserver.cpp:
        * examples/Service_Configurator/IPC-tests/server/Handle_Timeout.i:
        * examples/Shared_Malloc/test_malloc.cpp:
        * examples/Shared_Malloc/test_position_independent_malloc.cpp:
        * examples/Threads/thread_manager.cpp:
        * examples/Threads/thread_specific.cpp:

          Fixes for warnings under IA-64 Linux. This involves using the
          new ACE_[S]SIZE_T_FORMAT_SPECIFIER and appropriate uses of
          ACE_reinterpret_cast. This completes the fixes needed to compile
          ACE and TAO on IA-64 Linux (as of today). Now the tests remain
          examples/examples/to be fixed.


Tue Jun 12 18:53:25 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * ace/config-linux-common.h:

          Added new printf specifier ACE_SIZE_T_FORMAT_SPECIFIER,
          ACE_SSIZE_T_FORMAT_SPECIFIER for use with types size_t and
          ssize_t.

        * ace/Basic_Types.h:

          1. Changed default base address on IA-64 to be 64-bit little endian.
          2. Added default values for ACE_SIZE_T_FORMAT_SPECIFIER,
             ACE_SIZE_T_FORMAT_SPECIFIER.
          3. Changed size of LONG_DOUBLE for IA-64.

        * ace/Configuration.cpp:
        * ace/Naming_Context.cpp:
        * ace/Task.cpp:

          Added a reinterpret_cast to silence gcc.

        * tests/MEM_Stream_Test.cpp:
        * tests/MT_Reactor_Timer_Test.cpp:
        * tests/Message_Block_Test.cpp:
        * tests/TSS_Test.cpp:
        * tests/Thread_Manager_Test.cpp:
        * tests/Thread_Pool_Test.cpp:

          1. Fixed usage of ACE_DEBUG with types size_t and ssize_t.
          2. Added ACE_reinterpret_cast to silence warnings about
             conversion from integer to pointer of different size.

        ACE runs on Intel IA-64/Linux.

Tue Jun 12 15:06:06 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * tests/run_test.lst:

          Thread_Pool_Reactor_Resume_Test should not run on Single
          threaded configurations.

Tue Jun 12 11:07:18 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Synch_T.{h,i}: Added "const" to the locked() method.

Mon Jun 11 21:06:43 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * tests/SOCK_Connector_Test.cpp (find_another_host): Pre-increment,
          rather than post-increment, the candidate_count loop counter to
          avoid "off-by-one" errors.  Thanks to Scott Snyder
          <snyder@fnal.gov> for reporting this.

        * ace/OS.h: Added some default values of 0 to the wr_fds and
          ex_fds parameters to ACE_OS::select().  This helps simplify for
          the "common case" and is consistent with what we show in our book ;-).

        * ace/OS.i (read): Fixed a nasty bug where "count = len" should
          have been "count == len" in the PSOS arm of the code.  Thanks to
          James Maynard <James.Maynard@ot.com.au> for reporting this.

Thu Jun  7 19:26:05 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/Auto_Ptr.cpp: Instantiate the "alloc" template typedef explicitly.
          Thanks to Cristian Ferretti <cristian_ferretti@yahoo.com> for
          pointing this out.

        * examples/Timer_Queue/Thread_Timer_Queue_Test.{h,cpp}: Removed
          the unused cancelled() method.  Thanks to Ron Heald
          <rheald@nrao.edu> for reporting this.

        * include/makeinclude/platform_irix6.x_sgic++.GNU,
        * include/makeinclude/platform_osf1_4.0.GNU,
        * ace/config-irix6.x-sgic++.h,
        * ace/config-osf1-4.0.h,
        * ace/Log_Msg.cpp: Added support for threads=0 on Tru64.  Thanks
          to Steve Vranyes <steve.vranyes@veritas.com> for contributing
          these fixes.

        * ace/Timer_Wheel_T.cpp (expire): earliest_pos_ was never set in
          the expire() method, and maintains its value until another timer
          event is scheduled/cancelled/etc.  Thanks to Gil Rapaport
          <grapaport@comgates.co.il> for fixing this.

Mon Jun  4 14:33:08 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Synch.h: Clarified that ACE_Event only supports "global naming"
          on Win32.  Thanks to Jerry Thomas <jto@consegna.co.uk> for reporting
          this.

Mon Jun 11 16:53:55 2001  Balachandran  <bala@cs.wustl.edu>

        * ACE version 5.1.17 released.

Mon Jun 11 13:08:00 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * include/makeinclude/platform_tru64_kcc.GNU: Fixed a spurious
          newline in the file. Thanks to Scott Snyder <snyder@fnal.gov>
          for reporting this.

Sun Jun 10 16:03:19 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tests/run_test.lst: Time_Service_Test will not run in static
          configurations. It looks for ACE_DLL's.

Sun Jun 10 06:56:45 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * bin/auto_run_tests.lst: Removed a few AVStreams tests from the
          nightly builds. They seem to be crashing with a SEGV.

Sat Jun 09 17:03:37 2001  Ossama Othman  <ossama@uci.edu>

        * ace/Acceptor.cpp (open):

          Fixed problem where the handle of an uninitialized peer acceptor
          was set into non-blocking mode, resulting in a failed ioctl()
          call.  The acceptor member in the "accept strategy" should be
          used instead, since it was the one that was just opened.

Sat Jun 09 10:07:06 2001  Ossama Othman  <ossama@uci.edu>

        * ace/SSL/SSL_SOCK_Stream.i (recv_i):

          Moved call to SSL_peek() within the do/while(SSL_pending())
          loop.  A full record must be read before returning to an event
          loop (e.g. in a Reactor).

          If a SSL_ERROR_SYSCALL error occurs, only interpret it as an
          error if an EOF did not occur.  Thanks to Boris Temkin
          <borist@allcharge.com> for providing an example that
          demonstrated the problem.

          (send_i):

          Shutdown the SSL session if an SSL_ERROR_ZERO_RETURN error
          occurs.

Sat Jun  9 07:16:12 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * ace/QoS/QoS_Session_Impl.cpp:
          Do not hard code the max sdu size.  This should be a
          configurable parameter through the ACE_Flow_Spec::max_sdu_size.

          This change was made by Craig Rodrigues
          <crodrigu@bbn.com>. Just checking in the changes for him.

Fri Jun 08 08:17:15 2001  Ossama Othman  <ossama@uci.edu>

        * ace/SSL/SSL_SOCK_Stream.i (send_i, recv_i):

          Fixed "fuzz" errors.

Fri Jun 08 07:33:03 2001  Ossama Othman  <ossama@uci.edu>

        * ace/SSL/SSL_SOCK_Stream.cpp (send):

          Fixed an "unused argument" warning.

Fri Jun 08 07:01:59 2001  Ossama Othman  <ossama@uci.edu>

        * ace/SSL/SSL_Accept_Handler.h:
        * ace/SSL/SSL_Accept_Handler.cpp:
        * ace/SSL/SSL_Connect_Handler.h:
        * ace/SSL/SSL_Connect_Handler.cpp:

          New event handlers that are designed to complete non-blocking
          SSL passive (accepts) and active connections (connects).  They
          are registered with the Reactor (either the singleton Reactor or
          a user-supplied one) after the TCP 3-way handshake is
          completed.  Once registered, the Reactor does its voodoo and
          invokes the appropriate event handler.

          This fixes several inter-related problems:
            (1) the ACE_SSL wrappers now work with the
                ACE_WFMO_Reactor,   [Bug 614]
            (2) non-blocking SSL accepts/connects and finally work,
            (3) fixes a CORBA::TRANSIENT exception in TAO's SSLIOP
                pluggable protocol that occured when the client attempted
                to connect to the server.

          Thanks to Andrew Finnell <Andrew.Finnell@esecurityinc.com> for
          suggesting that an event loop was necessary to complete the SSL
          connection after 3-way handshake was necessary, and for
          persisting in his effort to hammer that point into me.  :-)

        * ace/SSL/SSL_SOCK_Stream.h (send_i, recv_i):

          New low-level helper methods that refactor the common underlying
          SSL IO calls.

        * ace/SSL/SSL_SOCK_Stream.i (send):

          Fixed problem where one of the low-level send() methods returned
          zero instead of the number of bytes sent.  Thanks to Boris
          Temkin <borist@allcharge.com> and Dan Levi <DanL@webmap.com> for
          reporting the problem.

          (send_i, recv_i):

          Refactored code common to all send()/recv() methods.  Thanks to
          Boris for suggesting this.  This will help prevent problems such
          as the one that was described above from happening again since
          there is no code duplication.

        * ace/SSL/SSL_SOCK_Stream.cpp (sendv_n, recv_n):

          Greatly improved the speed of these methods by removing all
          allocations and copies.  The allocations and copies were
          unnecessary.  These methods are now zero-copy implementations.

          (send):

          Don't bother attempting to implement this method using a scatter
          write (sendv).  The SSL_SOCK_Stream scatter write implementation
          simply emulates this functionality.  That emulation does not
          work well when using non-blocking IO.  Instead, just use
          send_n().

          Added missing "va_end()."

        * ace/SSL/SSL_SOCK_Acceptor.h (reactor):
        * ace/SSL/SSL_SOCK_Acceptor.i (reactor):
        * ace/SSL/SSL_SOCK_Connector.h (reactor):
        * ace/SSL/SSL_SOCK_Connector.i (reactor):

          New methods to set and get the Reactor to use when completing
          non-blocking SSL passive/active connections.

        * ace/SSL_SOCK_Acceptor.cpp (ssl_accept):
        * ace/SSL_SOCK_Connector.cpp (ssl_connect):

          Added new overload methods that accept a timeout value.  These
          new methods will register the event handlers described above in
          order to complete a non-blocking SSL connection.

          (shared_connect_start, shared_connect_finish):

          Removed these unused methods.

          (connect):

          Actually do a non-blocking SSL connect if the timeout value is
          non-zero.  This code was previously broken.  Even though the
          underlying TCP connect was non-blocking, the SSL connect was
          always blocking.

        * THANKS:

          Added Andrew Finnell and Dan Levi to the "Hall of Fame."  Boris
          Temkin (see above) was already on it.  :-)

Fri Jun 08 07:52:48 2001  Joe Hoffert <joeh@cs.wustl.edu>

        * Makefile: Removed PACE from the list of directories.
          (There are problems on FreeBSD.)  Thanks to cuma
          <cuma@dslab.csie.ncu.edu.tw> for reporting this.

Wed Jun 06 10:16:39 2001  Steve Huston  <shuston@riverace.com>

        * ace/config-hpux-11.00.h: Fixed the settings for ACE_MALLOC_*
          and ACE_PI_MALLOC_* so that both the malloc header and the
          control block are multiples of 8 bytes (required alignment for
          larger datatypes, i.e double). Malloc_Test now runs clean.

Wed Jun  6 07:04:57 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * bin/auto_run_tests.lst: Removed all the AVStream tests from the
          daily builds. Looks like they are not getting fixed.

Mon Jun  4 05:53:57 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/File_Lock: Added an "unlink_in_destructor" flag to
          ACE_File_Lock to control whether or not the underlying file is
          unlinked in the destructor.  Thanks to Yuval Yosef
          <yuvi@isdn.net.il> and Crawford Lodge
          <crawford.lodge@xmlglobal.com> for suggesting this.

Sun Jun  3 18:08:39 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/Configuration_Import_Export.cpp,
        * ace/Configuration.cpp: Added ACE_ASSERTS to make sure that
          open() is called...  Thanks to Jerry Odenwelder
          <jerry.o@mindspring.com> for fixing this.

Sat Jun  2 13:05:20 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Connector.cpp: Removed the ACE_Errno_Guard from the
          create_AST() method and instead have the connect_i() method
          check to see if create_AST() succeeded and explicitly set errno
          = EWOULDBLOCK in this case.  Thanks to Boris Temkin
          <borist@allcharge.com> for motivating this change.

        * ace/Timer_Wheel_T.cpp: Since we removed the call to
          is_empty() from earliest_time() we need to modify the code in
          reschedule() to test for is_empty.

        * tests/Cached_Accept_Conn_Test.cpp (accept_svc_handler): Use the
          ACE_Accept_Strategy::acceptor() accessor method rather than
          accessing the acceptor_ directly.

        * TAO/rules.tao.GNU (TAO_IDL_DEP),
        * include/makeinclude/rules.local.GNU: Added support for the new EXEEXT
          Makefile macro.  Thanks to Cristian Ferretti
          <cristian_ferretti@yahoo.com> for pointing this out.

        * include/makeinclude/platform_gnuwin32_common.GNU: Added a number of
          fixes for the mingw platform.  Thanks to Cristian Ferretti
          <cristian_ferretti@yahoo.com> for pointing this out.

        * ace/Configuration.{h,cpp}: "Un-inlined" the == and != operators for
          the ACE_Configuration_Win32Registry class.

        * ace/Configuration.cpp (get_binary_value): Changed the type of "data"
          from "unsigned char" to "BYTE".  Thanks to Cristian Ferretti
          <cristian_ferretti@yahoo.com> for pointing this out.

        * ace/config-win32-mingw.h: Removed the #define ACE_AS_STATIC_LIBS
          macro.  Thanks to Cristian Ferretti
          <cristian_ferretti@yahoo.com> for pointing this out.

        * ace/config-win32-common.h: Protect certain DLL export macros with
          #if !defined (__MINGW32__).  Thanks to Cristian Ferretti
          <cristian_ferretti@yahoo.com> for pointing this out.

        * ace/ACE.cpp (handle_timed_complete): Added an ACE_UNUSED_ARG
          for the is_tli flag for ACE_WIN32 to keep the compiler happy.
          Thanks to Cristian Ferretti <cristian_ferretti@yahoo.com> for
          pointing this out.

        * ace/Acceptor.cpp: Fixed the comment and logic in
          accept_svc_handler() so that it now cleans up the svc handler
          whenever accept() returns -1.  Thanks to Boris Temkin
          <borist@allcharge.com> for suggesting this and to Irfan for
          helping clarify what needed to be done.

        * ace/Strategies_T.cpp:   When the number of clients
          connecting to a server exceeds the process handle limit the
          server would busy loop.  The ACE_Accept_Strategy
          accept_svc_handler() method is called which (1) constructs a
          handler and (2) attempts to accept the connection, which fails
          (because there is no available handle).  The handler is
          destructed, but the connect request is still queued and so the
          acceptor gets called back again.... and so on until one of the
          client which is already connected disconnects and frees up a
          descriptor.  Changed the accept_svc_handler() method in
          ACE_Accept_Strategy to close and reopen the connection when
          accept() fails.  A check is done to make sure address reuse is
          set. So this fix will only work in case where it is set.  Thanks
          to Dominic Hughes <dominic@aersoft.ie> for this fix and to Irfan
          for recognizing that it ought to be added to ACE_Accept_Strategy.

        * ace/Strategies_T.cpp (open): Fixed the strategy acceptor so that it
          uses non-blocking semantics to handle certain failure cases
          correctly.  This is a safe-guard against the race condition that
          can otherwise occur between the time when <select> indicates
          that a passive-mode socket handle is "ready" and when we call
          <accept>.  During this interval, the client can shutdown the
          connection, in which case, the <accept> call can hang!  Thanks
          to Irfan for pointing this out.

Fri Jun  1 13:04:31 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Makefile:
          Removed the moc compiler path definition from ace/Makefile
          since it is now in include/makeinclude/wrapper_macros.GNU
          Thanks to Hans Utz <hans.utz@informatik.uni-ulm.de> for
          reporting this.

        * include/makeinclude/wrapper_macros.GNU (YACC): Added the moc
          compiler path definition to include/makeinclude/wrapper_macros.GNU
          Thanks to Hans Utz <hans.utz@informatik.uni-ulm.de> for
          reporting this.

        * ace/Timer_Wheel_T.cpp: Removed check to see if Timer_Wheel was
          empty from earliest_time().

        * ace/Timer_List_T.h,
        * ace/Timer_Hash_T.h,
        * ace/Timer_Heap_T.h,
        * ace/Timer_Queue_T.h,
        * ace/Timer_Wheel_T.h:
          Added a comment to point out that earliest_time() can only be
          called on a non-empty queue.  Thanks to Gil Rapaport
          <grapaport@comgates.co.il> for reporting this.

Tue May 29 17:38:15 2001  Douglas C. Schmidt  <schmidt@lambada.cs.wustl.edu>

        * ace/OS.h: Moved the VMIN and VMAX macros to the right place.
          Thanks to Hans Utz <hans.utz@informatik.uni-ulm.de> for
          reporting this.

Fri Jun  1 16:11:42 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * ace/Acceptor.cpp (open): Enabled the socket to be non-blocking
          mode in the ACE_Strategy_Acceptor::open () call. Thanks to Singh
          Kirat <kirat.singh@gs.com>, for reporting this through a problem
          in TAO.

Thu May 31 17:29:33 2001  Ossama Othman  <ossama@uci.edu>

        * tests/Refcounted_Auto_Ptr_Test.cpp:

          Removed duplicate template instantiation.  Fixes a build error.

Thu May 31 15:25:19 2001  Steve Huston  <shuston@riverace.com>

        * ace/Refcounted_Auto_Ptr.i (ACE_Refcounted_Auto_Ptr_Rep::detach):
          If the object needs to be deleted, release the guard first to
          avoid later unlocking a lock residing in memory that had been
          freed and potentially reallocated. Thanks to Steve Witten
          <steve_witten@hp.com> for noticing this bug, and Purify for making
          it relatively easy to track down.

        * tests/Refcounted_Auto_Ptr_Test.cpp: Rearranged to verify things
          which should happen, and improve the logging and thread rundown
          sequence.

        * THANKS: Added Steve Witten to the Hall of Fame.

        * ACE-INSTALL.html: Fixed the section about how to build on AIX
          to account for the new ace.icc file, and Visual Age C++ 5.

Thu May 31 08:59:00 2001  Craig Rodrigues <crodrigu@bbn.com>

        * ace/config-g++-common.h:

          Only define ACE_LACKS_AUTO_PTR for gcc versions <= 2.91

Wed May 30 23:54:27 2001  Yamuna Krishnamurthy  <yamuna@cs.wustl.edu>

        * ace/QoS/SOCK_Dgram_Mcast_QoS.cpp:

          Fixed the subscribe method so things worked even when no qos
          was specified.

Wed May 30 11:13:16 2001  Ossama Othman  <ossama@uci.edu>

        * ace/Singleton.cpp (instance):

          Integrated David's suggested changes that deal with potential
          problems related to registering Singletons in the presence of
          multiple ACE_Object_Manager instances.

Wed May 30 00:37:57 2001  Ossama Othman  <ossama@uci.edu>

        * ace/Singleton.cpp (instance):

          Fixed memory leak that occured due to the singleton instance not
          being registered with the ACE_Object_Manager when built without
          thread support.  Thanks to Kitty and David for helping with
          this problem.

Tue May 29 15:06:48 2001  Ossama Othman  <ossama@uci.edu>

        * include/makeinclude/platform_linux.GNU (CFLAGS, CPPFLAGS):

          Do not set preprocessor flags in the "CFLAGS" variable.  They
          should instead be set in the CPPFLAGS variable.  The
          preprocessor need not be the same as the compiler!

Mon May 28 18:11:20 2001  Douglas C. Schmidt  <schmidt@enz.cs.wustl.edu>

        * ace/OS.i (mutex_init): Using pthreads and passing attributes
          into mutex_init(), the function will always fail because the
          local variable result is initialized to -1 and then tested
          against 0.  Thanks to Brodie Thiesfield
          <brodie.thiesfield@activesky.com> for this fix.

Tue May 29 13:08:33 2001  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Process.i (handle_inheritence):
        * ace/Process.h:

        Exposed the interface for handle_inheritence to non-win32 builds to
        allow it to be used as part of the solution to bug 902. Since this is
        a win32 only feature, the method will invoke the NOTSUP macro to
        document its use, but failure is benign, returning 0. This is part 3
        of the 3 part solution to bug 902.

Mon May 28 18:43:51 2001  Steve Huston  <shuston@riverace.com>

        * tests/Thread_Pool_Reactor_Resume_Test.icc: Visual Age C++ config
          for this new test.

        * tests/tests.icp: Added Thread_Pool_Reactor_Resume_Test.icc.

        * include/makeinclude/platform_aix_ibm.GNU: Added $(ACELIB) to
          LIBS to get netsvcs stuff to build clean. Thanks to Erik
          Toubro Nielsen <enielsen@mdsproteomics.dk> for this fix.

        * THANKS: Added Erik Nielsen.

Mon May 28 14:44:29 2001  Steve Huston  <shuston@riverace.com>

        * ace/Timer_Heap_T.{h cpp}: Add new member, cur_limbo_ to keep track
          of timer entries removed from the heap, but not reclaimed (caller
          must call either reschedule() or free_node() to finish up the
          work).

        * ace/Timer_Queue_T.cpp (expire): When expiring a ACE_Timer_Node,
          either reschedule it or free it prior to doing the upcall.
          This necessitates having a copy of the TYPE element, not a
          reference. In the vast majority of cases, this is an
          ACE_Event_Handler pointer, and should make no difference in
          performance.

Sat May 27 10:40:27 2001  Yamuna Krishnamurthy  <yamuna@cs.wustl.edu>

        * ace/QoS/QoS_Session_Impl.cpp:

          Added an adhoc fix for propagating the right service type when
          a PATH message is received.

Sat May 26 16:36:27 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * bin/auto_run_tests.lst:

          Switched off TAO/examples/PluggableUDP/tests/Basic/run_test.pl
          from the Single Threaded builds. Added
          TAO/examples/PluggableUDP/tests/SimplePerformance/run_test.pl
          instead to run on all the builds.

Fri May 25 20:51:33 2001  Christopher Kohlhoff  <chris@kohlhoff.com>

        * netsvcs/build.bor:
          Changed contents of file back to its original state.

Fri May 25 13:38:21 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Message_Block.h: Added a better explanation of what "crunch()"
          does. Thanks to Masaoud T. Moonim <masaoud@mailandnews.com> for
          motivating this.

Fri May 25 19:06:51 2001  Irfan Pyarali  <irfan@cs.wustl.edu>

        * ace/Map_T.i (create_key): Added a new method to the maps.  This
          method allows the user to create a key without binding to the
          map.  For the linear and hash maps, this call simply forwards to
          the key generators.  This method is not supported by the active
          map since the key encodes the slot position which cannot come
          without occupying a slot in the map.

Fri May 25 08:37:37 2001  Jeff Parsons <parsons@cs.wustl.edu>

        * ace/Message_Block.cpp:

          Fixed an error in ACE_Data_Block::clone, where ACE_NEW_RETURN
          is used without a constructor as one of the arguments. Besides,
          it is a mistake to allocate, because the call to clone_nocopy
          has already done an allocation. All we need to do is check for
          a 0 return from clone_nocopy.

Fri May 25 05:42:39 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Message_Block.cpp (clone): Make sure to check for memory failure
          and return 0 in this case.  Thanks to Airat A. Sadreev
          <airat@hq.tatenergo.ru> for reporting this.

Thu May 24 22:06:45 2001  Sharath R. Cholleti  <sharath@cs.wustl.edu>

        * tests/CDR_Test.cpp: Changed the initialization of WChar variable, to
          remove the warning "integer conversion resulted in a change of sign"
          by some compilers.

Thu May 24 20:26:39 2001  Steve Huston  <shuston@riverace.com>

        * ace/Timer_Heap_T.{h cpp}: Fixed some problems in managing the
          free timer ID list.

        * ace/Timer_Hash_T.cpp (expire): Changed this to peek at the first
          timer node from each table, do reschedule iterative timers, and
          do the upcall, then _cancel_ the original, rather than try to
          manage a remove_first()/reschedule-or-free sequence. The ID
          assigned by the underlying table is not important, since its not
          seen by the ACE_Timer_Hash_T caller anyway, and that's the main
          impetus for using remove_first/reschedule (or free_node).

        * tests/Timer_Queue_Test.cpp (test_functionality): Added a test
          to verify empty timer queue after adding/removing two timers
          right at the start.

Thu May 24 12:15:35 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/OS.h: Added #defines for RTLD_LAZY, RTLD_NOW, RTLD_GLOBAL.
          Thanks to Kobi Cohen-Arazi <kobic@bvr.co.il> for suggesting
          this.

        * ace/OS.h: Updated the ACE_Time_Value class to point out that the
          values are in secs and usecs.  Thanks to Israel Illescas Gomez
          <illescas@dycsa.es> for motivating this.

Thu May 24 18:08:27 2001  Steve Huston  <shuston@riverace.com>

        * tests/run_test.lst: Re-enable MT_Reactor_Timer_Test.

Thu May 24 15:34:48 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * examples/IPC_SAP/SOCK_SAP/CPP-memclient.cpp: Changed <gets> to
          <fgets> to avoid warnings on some platforms.  <gets> is not safe
          to use.

Thu May 24 15:28:19 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * bin/auto_run_tests.lst:

        Removed this test from being run on single-threaded configurations
        since this test uses the ACE_Thread_Manager.

Thu May 24 15:12:16 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * ace/config-tru64.h:

        Added ACE_HAS_NONSTATIC_OBJECT_MANAGER to the default builds to
        work around hangs in some of the tests which load a dynamic
        library. This fixes some more of the problems reported in Bug Id
        912.

Thu May 24 13:42:24 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * bin/nightlybuilds/builds.lst: We dont have Red Hat 7.0
          anymore. So changed it as Red Hat 7.1.

Thu May 24 10:51:45 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tests/Thread_Pool_Reactor_Resume_Test.dsp:
        * tests/tests.dsw: Files for Win32.

Thu May 24 10:35:45 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tests/Thread_Pool_Reactor_Resume_Test.cpp
        * tests/Thread_Pool_Reactor_Resume_Test.h: A new test that tests
          the resumption of handler at the application level. This test is
          an adaptation of the famous Thread_Pool_Reactor_Test.

        * tests/Makefile: Added the test for compilation.
        * tests/run_test.lst: Added the above test for the nightly
          builds.

Thu May 24 10:26:35 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/Event_Handler.cpp:
        * tao/Event_Handler.h: A starter for bug #575. Please see the
          documentation of bug 575 for details of this change. In short
          the Event Handler class has an extra method called
          resume_handler (). Applications that use the TP_Reactor and
          would like to take control of resuming the handler can overload
          this method in their implementation and return a value other
          than zero.

        * tao/TP_Reactor.cpp: Added a check by calling the resume_handler
          () on the event handler object before resuming the handler.

Wed May 23 16:35:15 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Sock_Connect.h,
        * ace/Flag_Manip.h,
        * ace/config-all.h: Make sure that all ACE include file have a
          "ace/" prefix.  Thanks to John Lindal <jafl@cco.caltech.edu> for
          reporting this.

        * ace/config-win32-common.h: Fixed a problem where FD_SETSIZE wasn't
          getting reset properly.  Thanks to Roger Tragin
          <rtragin@cuseeme.com> for reporting this.

Wed May 23 17:37:30 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * bin/auto_run_tests.lst:
        * tests/run_test.lst:

          Removed some tests from being run on Single Threaded
          Configuration as they were spawning threads. The tests removed
          are:

          TAO/performance-tests/AMI_Latency/run_test.pl
          TAO/tests/AMI_Timeouts/run_test.pl
          and
          tests/Logging_Strategy_Test

          This is related to Bug Id 912.

Wed May 23 17:33:59 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * bin/make_pretty.pl:

          Seems to have missed my previous update. Add the code to remove
          the bogus warning associated with SunCC5. Check the ChangeLog
          tag  Mon May 21 16:37:18 2001  Krishnakumar B
          <kitty@cs.wustl.edu> for more.

Wed May 23 18:22:41 2001  Steve Huston  <shuston@riverace.com>

        * ace/Reactor.cpp (run_reactor_event_loop (ACE_Time_Value&, eh)):
          It is possible for rounding/conversion fudges in calculating
          the WFMO/select wait time to cause the wait to time out, but the
          timer queue be not quite ready to expire the next timer. In this
          case, the ACE_Time_Value won't have been reduced to 0, so the
          handle_events call is repeated. Fixes Bugzilla # 153.

Wed May 23 15:55:21 2001  Steve Huston  <shuston@riverace.com>

        * ace/Containers_T.h: Fixed comment directing reader to include
          ace/Unbounded_Queue.h (rather than _Set.h) for ACE_Unbounded_Queue.

        * ace/Timer_Heap_T.{cpp h}: Changed the free IDs list from a stack
          to a round-robin list. Newly-allocated IDs keep increasing til
          there aren't any more, then wrap around to the lowest numbered
          free ID and start again. This is a ease-of-use improvement to
          help applications catch their timer-related errors easier,
          which is apparantly important, especially in multi-threaded
          applications.
          Also, when remove_first() is called, remove the ACE_Timer_Node
          from the heap, but do not release its ID back to the free list.
          remove_first() must be followed by a call to reschedule() or
          remove(). The latter just reinserts the timer node in the heap,
          and the latter cleans up the timer ID.

Wed May 23 14:41:00 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * netsvcs/ACE-netsvcs.html:
        * netsvcs/Makefile:
        * netsvcs/Makefile.am:
        * netsvcs/Makefile.bor:
        * netsvcs/README:
        * netsvcs/build.bor: Resurrected the files from the repo.

Wed May 23 11:13:00 2001  Carlos O'Ryan  <coryan@uci.edu>

        * bin/auto_run_tests.lst:
          Removed TAO/performance-tests/Latency from the nightly builds.
          This test has been superseeded by Single_Threaded_Latency and
          friends.  In fact it is no longer used to generate performance
          results.
          This is part of the fixes for [BUGID:324]

Tue May 23 11:53:24 2001  Paul Calabrese  <calabrese_p@ociweb.com>

        * docs/exceptions.html: Fix bad reference to OCI devguide:
          the link was broken and the chapter # was incorrect.

Wed May 23 8:23:20 2001  Yamuna Krishnamurthy  <yamuna@cs.wustl.edu>

        * ace/QoS/QoS_Session.h:
        * ace/QoS/QoS_Session_Impl.h:
        * ace/QoS/QoS_Session_Impl.cpp:

          Added a method to propagate the rsvp event type to the application.

Wed May 23 06:52:44 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * bin/nightlybuilds/builds.lst: Moved the FORTE builds to ace.

Tue May 22 21:57:46 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * bin/nightlybuilds/builds.lst: Added NO_AMI_MESSAGING to the
          builds.

Mon May 21 18:34:52 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * include/makeinclude/platform_linux.GNU: Added default macros for:

          PLATFORM_QT_LIBS
          PLATFORM_QT_LDFLAGS
          PLATFORM_QT_LDFLAGS

          Thanks to Hans Utz <hans.utz@informatik.uni-ulm.de> for
          contributing this.

        * performance-tests/Misc/Makefile (LDLIBS): Added back
          -lPerf.  Thanks to Hans Utz <hans.utz@informatik.uni-ulm.de> for
          reporting this.

Mon May 21 16:37:18 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * ace/OS.h:
        * ace/Timer_Queue_Adapters.cpp:
        * bin/make_pretty.pl:

        Changed the make_pretty script to remove the false warning on
        SunCC5. Added documentation in the affected files. This fixes
        Bug Id 879.

Sun May 20 08:48:59 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * bin/nightlybuilds/builds.lst: Added FORTE 6.1 to the list.

Sun May 20 07:37:26 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * ace/POSIX_Proactor.cpp: Fixed a compile error with g++.

Sun May 20 01:38:59 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/config-freebsd-pthread.h:
        * ace/POSIX_Proactor.cpp: Applied patches from Russell L. Carter
          <rcarter@pinyon.org> that introduce FreeBSD 4.3 to AIO
          (compiling at least).                        [Bug 917]

Sat May 19 10:28:56 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * bin/make_pretty.pl: Ignore the mktemp () messages on Linux.

Fri May 18 20:58:59 2001  Ossama Othman  <ossama@uci.edu>

        * bin/auto_run_tests.lst:

          Added TAO's security tests to the list of tests to run in the
          nightly builds.  They will only be run on platforms that support
          the "SSL" build configuration.

Fri May 18 14:39:31 2001  Steve Huston  <shuston@riverace.com>

        * ace/config-aix-4.x.h: Removed ACE_LACKS_SETSCHED for AIX 4.3.
          Fixes Bugzilla # 47.

        * ace/OS.h: AIX's ACE_THR_PRI_*_{MIN MAX} values are 1 and 127,
          respectively. PRIORITY_{MIN MAX} are process priorities,
          and the range is not legal for pthread_attr_setschedparam.

        * ace/Makefile.vac:
        * tests/Makefile.vac: Use -sev=w instead of -severity=warning
          to avoid tripping the scoreboard error detector unnecessarily.

Fri May 18 10:50:55 2001  Jeff Parsons <parsons@cs.wustl.edu>

        * Configuration.cpp:

          Reverted a change made to the validate_name() function that
          added '/' as an illegal character. This breaks the Interface
          Repository completely.

Fri May 18 06:11:49 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/config-cxx-common.h: Changed
          #   if defined (DIGITAL_UNIX)  &&  DIGITAL_UNIX >= 0x40F
          to:
          #   if defined (DIGITAL_UNIX)  &&  DIGITAL_UNIX >= 0x40D
          This gets rid of a very annoying informational message.  Thanks
          to Steve Vranyes <steve.vranyes@veritas.com> for reporting this

        * ace/config-tru64.h: Changed 0x40E to 0x40D in the check for
          DIGITAL_UNIX to disable the use of systime.h.  Thanks to
          Steve Vranyes <steve.vranyes@veritas.com> for reporting this
          and for David Levine for suggesting the fix.

Thu May 17 23:36:18 2001  Ossama Othman  <ossama@uci.edu>

        * bin/auto_run_tests.lst:

          Added TAO's Request_Interceptor_Flow test to the list of tests
          to run in the nightly builds.

Fri May 18 01:31:47 2001  Irfan Pyarali  <irfan@cs.wustl.edu>

        * ace/Timeprobe.h: Reordered the include files: Timeprobe_T.h
          should come after Synch.h.  Thanks to Bruce McIntosh
          <Bruce.McIntosh@Australia.Boeing.com> for reporting this
          problem.

Fri May 18 00:36:35 2001  Irfan Pyarali  <irfan@cs.wustl.edu>

        * ace/Map_Manager.cpp (unbind_all): Added a new method that
          unbinds all entries in the map.  Also, refactored out some code
          into unbind_slot().

          BTW, this functionality is somewhat redundant since one can also
          do the following:

          // Unbind one at a time.
          MAP_MANAGER::iterator end = map.end ();
          while (1)
            {
                MAP_MANAGER::iterator iter = map.begin ();
                if (iter == end)
                  break;
                map.unbind ((*iter).ext_id_);
            }

          However, the following should be much faster:

          // Unbind in one swoop.
          map.unbind_all ();

          Another reason to add the unbind_all() is that the method is
          available on the other map_managers and that it is now easier to
          convert a hash map to a normal map and back without changing any
          real code.

        * tests/Map_Manager_Test.cpp (test_map_manager): Added test for
          unbind.

          Thanks to Johnny Willemsen <johnny.willemsen@meco.nl> for
          suggesting this.

Thu May 17 21:34:28 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/POSIX_Asynch_IO.cpp: Added an ACE_UNUSED_ARG to keep G++
          happy.

Thu May 17 16:52:17 2001  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tests/CDR_File_Test.cpp (run_test):
          Modified ACE_OutputCDR instantiation to follow the new modified
          constructor.

Thu May 17 17:01:11 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * bin/nightlybuilds/builds.lst: Re-enabled Core and Full builds on
          RedHat 7.1.

Thu May 17 14:36:57 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Asynch_IO.cpp
          ace/Asynch_IO.h
          ace/Asynch_IO_Impl.cpp
          ace/Asynch_IO_Impl.h
          ace/Asynch_IO_Impl.i
          ace/POSIX_Asynch_IO.cpp
          ace/POSIX_Asynch_IO.h
          ace/POSIX_Asynch_IO.i
          ace/POSIX_Proactor.cpp
          ace/POSIX_Proactor.h
          ace/POSIX_Proactor.i
          ace/Proactor.cpp
          ace/Proactor.h
          ace/Proactor_Impl.h
          ace/WIN32_Asynch_IO.cpp
          ace/WIN32_Asynch_IO.h
          ace/WIN32_Proactor.cpp
          ace/WIN32_Proactor.h: Added more fixes and improved comments
          from Roger Tragin <rtragin@cuseeme.com>.

        * ace/SString.cpp: Fixed a bug in the check_allocate() method.
          Thanks to Wayne Erchak <wayne@stentor.com> for reporting this.

Thu May 17 12:16:57 2001  Priyanka Gontla  <pgontla@ece.uci.edu>

        * ace/CDR_Stream.h (ACE_InputCDR):
        * ace/CDR_Stream.cpp:
          Modified so that even the Message_Block_Allocators are also
          allocated from TSS memory. The constructor of ACE_OutputCDR
          changes.

Thu May 17 11:51:03 2001  Carlos O'Ryan  <coryan@uci.edu>

        * include/makeinclude/rules.local.GNU:
          Removed misuse of CC_OUTPUT_FLAG in the middle of an 'if' shell
          statement.  Chances are that this was the result of a global
          search and replace.  Thanks to Cristian Ferretti
          <cristian_ferretti@yahoo.com> for pointing this out.

Thu May 17 12:43:26 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * bin/nightlybuilds/builds.lst: Removed the beguine builds for
          some time till we get Redhat machine in place.

Thu May 17 11:36:02 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Configuration.cpp: Fixed an inconsistency in the
          enumerate_sections() method so that
          ACE_Configuration_Win32Registry and ACE_Configuration_Heap will
          behave the same.  ACE_Configuration_Win32Registry was returning
          -2 upon no more sections to enumerate, rather than 1.  This is
          because it is not checking for a return of ERROR_NO_MORE_ITEMS
          from ACE_TEXT_RegEnumKeyEx.  Thanks to Kevin Burge
          <kcburge@systemware-inc.com> for reporting this.

Thu May 17 10:46:31 2001  Chad Elliott  <elliott_c@ociweb.com>

        * bin/nightlybuilds/builds.lst:

          Adding the HP-UX 11.00 build back to the list.

Thu May 17 10:16:03 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/POSIX_Asynch_IO.{h,cpp}: There are some weird inconsistencies
          between the declaration and definition of the recv() methods in
          ACE_POSIX_SIG_Asynch_Read_Dgram and
          ACE_POSIX_AIOCB_Asynch_Read_Dgram.  I've made a fix that
          compiles, but we need feedback from Roger Tragin to really fix
          this...

Thu May 17 10:00:59 2001  Frank Hunleth  <fhunleth@cs.wustl.edu>

        * ace/Proactor_Impl.h:
          Added interfaces for create_asynch_read_dgram_result and
          create_asynch_write_dgram_result.

Thu May 17 06:23:59 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Proactor_Impl.h: Added two missing factory methods to
          ACE_Proactor_Impl.  Thanks to Bala for reporting this.

        * ace/WIN32_Proactor.h (ACE_WIN32_Proactor): The signal_number
          parameter was missing.  Thanks to Andy Gokhale for reporting this.

Thu May 17 06:23:59 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Asynch_IO.cpp
          ace/Asynch_IO.h
          ace/Asynch_IO_Impl.cpp
          ace/Asynch_IO_Impl.h
          ace/Asynch_IO_Impl.i
          ace/POSIX_Asynch_IO.cpp
          ace/POSIX_Asynch_IO.h
          ace/POSIX_Asynch_IO.i
          ace/POSIX_Proactor.cpp
          ace/POSIX_Proactor.h
          ace/POSIX_Proactor.i
          ace/Proactor.cpp
          ace/Proactor.h
          ace/WIN32_Asynch_IO.cpp
          ace/WIN32_Asynch_IO.h
          ace/WIN32_Proactor.cpp
          ace/WIN32_Proactor.h: Added Async IO support for UDP dgrams
          on NT so they can be used via the Proactor.  Thanks to
          Roger Tragin <rtragin@cuseeme.com> for contributing this.

Wed May 16 22:43:19 2001  Steve Huston  <shuston@riverace.com>

        * ace/Synch.i (ACE_Mutex::remove): Properly clean up the shared
          memory object and file backing for interprocess mutex.

        * tests/run_test.lst: Added Config_Test so run_test.pl runs it.

Wed May 16 18:30:42 2001  Steve Huston  <shuston@riverace.com>

        * tests/Config_Test.cpp: Added a test to verify the ability to set
          a new integer value.

Wed May 16 17:05:29 2001  Sharath R. Cholleti  <sharath@cs.wustl.edu>

        * ace/CDR_Stream.cpp:

          In ACE_OutputCDR::write_wchar(), casting int to ACE_CDR::Octet and
          passing the pointer to that to write_1() instead of casting the
          pointers - to avoid little Endian and big Endian issues. Thanks to
          Krishnakumar B  <kitty@cs.wustl.edu> in tracking this.

        * tests/CDR_Test.cpp:

          Added test for writing and reading ACE_CDR::WChar.

Wed May 16 14:51:37 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * tests/Config_Test.cpp: Updated this test to include Chris
          Hafey's improvements.

        * ace/Configuration.{h,cpp},
        * ace/Configuration_Import_Export.cpp: Added a number of fixes from
          Chris Hafey and Jonathan Reis that had been lost when Jerry
          Odenwelder added his changes.

Wed May 16 09:49:29 2001  Steve Huston  <shuston@riverace.com>

        * ace/ACE.cpp (handle_timed_complete): On Win32, interpret exception
          handle bit set as failure, regardless of what getsockopt says about
          an error. NT always reports 0 for error.

        * tests/SOCK_Connector_Test.cpp: Changed some LM_DEBUG to LM_ERROR and
          LM_WARNING to more easily interpret the log file.

Wed May 16 02:40:00 2001  Michael Kircher  <Michael.Kircher@mchp.siemens.de>

        * include/makeinclude/platform_vxworks5.x_g++.GNU:

          Added the PPC 403 CPU to the list of supported CPUs.

Tue May 15 20:37:31 2001  Steve Huston  <shuston@riverace.com>

        * ace/Process_Mutex.{h cpp inl}: (Follow up to Thu May 10 change
          later reverted on Mon May 14). Changed the preprocessor macros
          that select use of ACE_SV_Semaphore_Complex over ACE_Mutex
          as the underlying mechanism for ACE_Process_Mutex. If
          ACE_HAS_SYSV_IPC is set in config.h, ACE_SV_Semaphore_Complex
          is used, unless the new macro ACE_USES_MUTEX_FOR_PROCESS_MUTEX
          is also set. If ACE_HAS_SYSV_IPC is not enabled, ACE_Mutex
          is used, regardless of any other setting.
          Also, doxygen-ized the member function comments.

        * ace/Malloc.h: If ACE_Process_Mutex is to be used with
          ACE_HAS_MALLOC_STATS, include ace/Process_Mutex.h, not Synch_T.h.

        * tests/libDLL_Test.icc: Changed this to correctly generate shr.o,
          not libDLL_Test.o, for insertion into libDLL_Test.a. This lets
          it get picked up correctly from DLL_Test.

Tue May 15 18:00:49 2001  Steve Huston  <shuston@riverace.com>

        * ace/config-win32-common.h: Added support for a new config macro,
          ACE_NO_WIN32_LEAN_AND_MEAN. If this is set, WIN32_LEAN_AND_MEAN
          will not be defined before including windows.h. This is needed
          when code makes use of non-lean things like COM, which get
          included only when WIN32_LEAN_AND_MEAN is not defined.

        * ace/README: Added description of ACE_NO_WIN32_LEAN_AND_MEAN.

        * bin/make_pretty.pl (is_error): Don't report AIX's ld message to
          please check the -bloadmap as an error. It gets generated when
          there are multiple defines, which we filter out, so we don't
          want to see this follow-up message either.

Tue May 15 10:14:56 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * ace/OS.i (mmap): Added an extra check for an empty
          string. Thanks to Edan Ayal <edana@bandwiz.com> for reporting
          this problem and suggesting an easy fix.

Mon May 14 22:38:06 2001  Balachandran  <bala@cs.wustl.edu>

        * ACE version 5.1.16 released.

Mon May 14 14:45:57 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * ace/CDR_Stream.h (ACE_InputCDR): Somehow the removed
          steal_data () got back into the header file. Removed the
          method.

Mon May 14 11:02:20 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * ace/Strategies_T.i: Removed the ACE_ERROR statement from the
          destructor of ACE_Accept_Strategy. This created problems when
          the destructor was called during shutdown if the object was
          statically allocated. Thanks to Jonathan Reis <reis@stentor.com>
          for reporting this problem.

Mon May 14 07:48:16 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * ace/Process_Mutex.{h,cpp,inl}: Reverted the change "Thu May 10
          18:37:41 2001  Steve Huston  <shuston@riverace.com>". The change
          was breaking SHMIOP in TAO.

Fri May 11 10:25:00 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/OS_Dirent.h (ACE_OS_Dirent): Missed a conversion of "DIR" to
          "ACE_DIR".

        * ace/Synch.cpp (get_nesting_level): Added better protection for the
          case where ACE_HAS_RECURSIVE_MUTEXES -- only return
          RecursionCount if ACE_WIN32 is defined.  Thanks to Corey Trager
          <corey.trager@tradingtechnologies.com> for reporting this.

        * ace/OS.cpp: Reformatted all the ACE_reinterpret_cast() macros so their
          arguments are on the same line to avoid tickling a bug with
          SunC++'s preprocessor.  Thanks to Corey Trager
          <corey.trager@tradingtechnologies.com> for reporting this.

Fri May 11 07:14:50 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tests/CDR_Test.cpp: Reverted this change "Wed May  9 23:19:30
          2001  Sharath R. Cholleti "

Fri May 11 06:47:33 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tests/ARGV_Test.cpp: One of those extra ")".

Fri May 11 06:14:58 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Dirent.h (ACE_Dirent),
        * ace/OS.cpp (uname),
        * ace/OS.h (ACE_OS),
        * ace/OS.i (hostname),
        * ace/OS_Dirent.cpp (readdir_emulation),
        * ace/OS_Dirent.h (ACE_OS_Dirent),
        * ace/OS_Dirent.inl (ACE_OS_Dirent),
        * ace/config-win32-common.h (ACE_LACKS_STRUCT_DIR),
        * apps/Orbix-Examples/Event_Comm/Consumer/Notification_Receiver_Handler.cpp (Notification_Receiver_Handler),
        * apps/Orbix-Examples/Logger/Logger.cpp (Logger),
        * bin/envinfo.cpp (main),
        * examples/Reactor/Multicast/Log_Wrapper.cpp (open),
        * performance-tests/Misc/basic_perf.cpp (main),
        * tests/Dirent_Test.cpp (main),
        * tests/Enum_Interfaces_Test.cpp (main),
        * tests/SOCK_Connector_Test.cpp (find_another_host):
          Updated all of ACE and its tests to use ACE_DIR rather than DIR
          to avoid conflicts with other programs (like Perl) that also
          define an enumation with DIR.  Thanks to Gonzo Diethelm
          <Gonzalo.Diethelm@sonda.com> for contributing these fixes.

        The following fixes are all thanks to Ingo Dahm <ingo.dahm@sun.com>

        * ace/config-sunos5.6.h: Added support for SunC++ 5.2.
        * ace/IOStream.h: Added support for SunC++ 5.2.
        * ace/config-sunos5.8.h: Added Solaris 8 support for native
          POSIX RW locks.
        * include/makeinclude/platform_sunos5_sunc++.GNU: Added support
          for Sun C++ 5.2.

Thu May 10 19:33:03 2001  Carlos O'Ryan  <coryan@uci.edu>

        * tests/ARGV_Test.cpp:
          Fixed argv, it should be an ACE_TCHAR, add missing ACE_TEXT()
          and removed superfluous one.

Thu May 10 18:19:09 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ACE-INSTALL.html:
          Add documentation for the mingw support, thanks Cristian Ferretti
          <cristian_ferretti@yahoo.com> for providing this info.

Thu May 10 16:55:20 2001  Carlos O'Ryan  <coryan@uci.edu>

        * bin/auto_run_tests.lst:
          Add the new Latency and Throughput tests to the nightly
          regression testsuite.

Thu May 10 18:37:41 2001  Steve Huston  <shuston@riverace.com>

        * ace/POSIX_Asynch_IO.cpp (ACE_POSIX_Asynch_Result ctor): Added
          initializers for bytes_transferred_ and error_. Thanks to
          Itzhak Briskman <ibriskman@ndsisrael.com> for this fix.

        * THANKS: Added Itzhak Briskman to the Hall of Fame.
          Updated David Brock's email address.

        * ace/SString.cpp (ACE_CString::substring): If requesting a substring
          longer than the string is, return only what's left. Thanks to
          David Brock <dbrock@momsdesk.com> for reporting this.

        * tests/SString_Test.cpp: Add a substring extraction test to catch
          the above problem (returning a substring with more than is left
          in the original string).

        * ace/Process_Mutex.{h cpp inl}: Changed the "uses mutex" vs
          "uses SV_Semaphore_Complex" decision to make use of a private
          macro defined in Process_Mutex.h. Further, the platforms that
          use mutexes are now Win32, PSOS, Pthreads, Sthreads.

        * ace/config-sunos5.6.h:
        * ace/config-hpux-11.00.h: Added ACE_HAS_SHM_OPEN since these
          platforms support shm_open, and ACE_Mutex wants to use it for
          cross-process mutexes.

        * ace/Proactor.h: Updated handle_events comments to note that the
          ACE_Time_Value is relative and is updated before return.

        * ace/Synch.(h cpp) (ACE_Mutex): Added ACE_HAS_PTHREADS and
          ACE_HAS_STHREADS to the platforms which handle inter-process mutex
          by allocating it in shared memory.

        * tests/Process_Mutex_Test.cpp: Made the child process create an
          exclusive access file after acquiring the mutex and delete it
          before releasing. If the file can't be created, it means the
          mutex is acquired twice, and that's a no-no.
          When the parent is checking child process exit, also check the
          status - if the child exited with something other than 0 status,
          note that so the test procedure will see a LM_ERROR in the log
          and flag it.

        * tests/MEM_Stream_Test.cpp: Changed some debug text to match the
          function it is in.

        * ace/Parse_Node.{h cpp}: Handle dynamic libraries using ACE_DLL,
          not ACE_OS::dlopen, etc. and handles. This is a proper refactoring
          of the code (ACE_DLL didn't exist when this was first written)
          and is needed to properly support dynamic services on AIX.

        * ace/DLL.cpp (open): (AIX only) If the dlopen fails and we're
          trying to open an archive lib, tack on "(shr.o)" and retry
          with the RTLD_MEMBER option set in the mode. This is to
          properly support AIX shared libraries which get built as
          .o files and loaded into an archive.

Thu May 10 16:12:02 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/ACE.cpp (timestamp): The abbreviation of thursday should be
          "Thu" not "Thr".  Thanks to Munagala Ramanath
          <amberarrow@yahoo.com> for pointing this out.

Thu May 10 10:06:57 2001  Carlos O'Ryan  <coryan@uci.edu>

        * tests/tests.dsw:
        * tests/ARGV_Test.dsp:
          Add project file for ARGV_Test, thanks to Cristian Ferretti
          <cristian_ferretti@yahoo.com> for pointing this out.

Thu May 10 06:36:08 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tests/CDR_File_Test.cpp: Fixed a compile error with g++.

Thu May 10 08:13:12 2001  Johnny Willemsen <jwillemsen@remedy.nl>

        * tests/Makefile.bor
        * tests/Misc/Makefile.bor
        * tests/Naming/Makefile.bor
        * tests/Reactor/Makefile.bor
        * tests/Reactor/Dgram/Makefile.bor
        * tests/Reactor/Ntalker/Makefile.bor
        * tests/Registry/Makefile.bor
        * tests/Synch/Makefile.bor

          Added or updated the above BCB makefiles so that the tests are
          build with BCB

Wed May  9 23:19:30 2001  Sharath R. Cholleti  <sharath@cs.wustl.edu>

        * ace/CDR_Streams.h:
        * ace/CDR_Streams.cpp:
        * ace/CDR_Streams.i:
        * ace/CDR_Base.h: Changed the WChar implementation to suit GIOP
          1.2.

        * tests/CDR_Test.cpp:Added test for wchar.

          Thanks to Bala (bala@cs.wustl.edu) for helping me out.

Wed May  9 16:06:34 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * ace/TTY_IO.cpp (control):
        * ace/OS.h: Corrected this change "Wed May  9 14:03:01 2001
          Douglas C. Schmidt". The problem was with the definition of the
          macro ACE_VTIME. Looks more like a cut and paste error.

Wed May  9 16:00:22 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * ace/OS.h:
        * ace/TTY_IO.cpp: Reverted this change "Wed May  9 14:03:01 2001
          Douglas C. Schmidt".

Wed May  9 14:03:01 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/TTY_IO.cpp (control): Use the new ACE_VMIN and ACE_VTIME
          macros.  Thanks to Hans Utz <hans.utz@informatik.uni-ulm.de> for
          suggesting this.

        * ace/OS.h: Added support for the new ACE_VMIN and ACE_VTIME
          macros.  Thanks to Hans Utz <hans.utz@informatik.uni-ulm.de>
          for suggesting this.

Wed May  9 14:25:35 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * THANKS: Added Darren Griffith <darren.griffith@esecurityinc.com>
          to the hall of fame.

Wed May  9 11:40:06 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/OS.i:
          Don't use OpenFileMapping for WindowsCE.

        * ace/OS.i:
        * ace/config-win32-mingw.h:
          Use the /**/ trick for #includes with angle brackets, otherwise
          the Embedded C++ compiler gets angry.

Wed May 09 10:02:10 2001  Balachandran  <bala@cs.wustl.edu>

        * ACE version 5.1.15 released.

Mon May  7 07:14:08 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * bin/auto_run_tests.lst: Commented out OctetSeq test from running
          in static configurations.

Mon May  7 06:40:44 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * examples/Shared_Memory/test_SV.cpp: Cast SHM_KEY to (key_t) to
          make BCB happy.  Thanks to Johnny Willemsen for this.

Sat May  5 15:30:40 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * THANKS: Just added the 1,200th contributor to the ACE+TAO.
          Thanks to Alexandre Cervieri <alexandre.cervieri@terra.com.br>
          for helping us hit a new milestone!

Sat May  5 08:51:23 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * bin/nightlybuilds/builds.lst: Just commented the HP_UX
          builds. OCI seems to be having problems with their HP
          machine. We will get it online once the builds start running.

Sat May  5 08:01:30 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * tests/Thread_Mutex_Test.cpp: Added a series of tests that exercise
          the new functionality of the ACE_Guard.  Thanks to Christopher
          Kohlhoff <chris@kohlhoff.com> for providing the enhancements.

Fri May  4 15:42:20 2001  Craig Rodrigues <crodrigu@bbn.com>

        * ace/OS.h
          Changed ACE_SERVICETYPE_CONTROLLEDLOAD from 2 to 1
          This is necessary to work with RAPI.

Fri May  4 06:28:19 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/OS.h: Changed the typedefs of uid_t, gid_t, and mode_t to
          match those in standard POSIX.  Thanks to Gonzalo Diethelm
          <Gonzalo.Diethelm@sonda.com> for reporting this.

Fri May  4 06:28:19 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/ace_wchar.h: Add a new macro (ACE_USES_L_PREFIX) that allows
          users to control whether wide character strings use the "L"
          prefix via their config.h files.  Thanks to Albert Wijnja for
          this fix.

        * examples/Misc/test_read_buffer.cpp (main): Changed <int> to
          <ACE_HANDLE> so this will work properly on Win32 platforms.
          Thanks to Johnny Willemsen for reporting the problem.

        * examples/Misc/test_XtReactor2.cpp (main): Fixed a stray ')'.
          Thanks to Johnny Willemsen for reporting the problem.

Thu May  3 17:33:45 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/OS.h: Fixed a mistake in the setsockopt() comment.  Thanks
          to Craig Rodrigues for reporting this.

Thu May  3 17:43:33 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * ace/Acceptor.cpp (ACE_Acceptor): Fixed a warning in g++ builds.

Thu May  3 16:00:15 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/Malloc.h:
        * ace/PI_Malloc.h: Fixed the [PI_]Control_Block size estimation
          macros.  I added a new member to control block.

Thu May  3 14:52:33 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * ace/CDR_Stream.h (ACE_InputCDR):
        * ace/CDR_Stream.cpp: Removed the method steal_data () as it did
          not serve the purpose.  Added a new method exchange_data_blocks
          (). This method exchanges data_blocks between two CDR
          streams. The write and read pointers are also exchanged. This
          method performs no allocation and no releases and is lock free.

Thu May  3 06:58:29 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Acceptor.{h,cpp},
        * ace/SOCK_Acceptor.{h,cpp}:  When the number of clients
          connecting to a server exceeds the process handle limit the
          server would busy loop.  The Acceptor accept_svc_handler()
          method is called which (1) constructs a handler and (2) attempts
          to accept the connection, which fails (because there is no
          available handle).  The handler is destructed, but the connect
          request is still queued and so the acceptor gets called back
          again.... and so on until one of the client which is already
          connected disconnects and frees up a descriptor.  Changed the
          Acceptor the close and reopen the connection when accept()
          fails.  A check is done to make sure address reuse is set. So
          this fix will only work in case where it is set.  Thanks to
          Dominic Hughes <dominic@aersoft.ie> for this fix.

        * ace/Unbounded_Queue.h: The comment was incorrect for
          ~ACE_Unbounded_Queue.  Thanks to Johnny Willemsen for
          reporting this.

Thu May  3 08:00:56 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * examples/ASX/Event_Server/Event_Server/Options.cpp:
        * examples/ASX/UPIPE_Event_Server/Options.cpp: Warning fixes that
          missed my earlier fix. This warning will appear only in the
          evening SUNOS EGCS build result. Just a proactive fix. :)

Thu May  3 07:42:01 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * examples/IPC_SAP/FILE_SAP/client.cpp: Fixed a warning with Linux
          builds.

Wed May  2 22:55:25 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * examples/ASX/Event_Server/Event_Server/Options.cpp:
        * examples/ASX/UPIPE_Event_Server/Options.cpp:
        * examples/IPC_SAP/FILE_SAP/client.cpp:
        * examples/Naming/test_open.cpp:
        * examples/Naming/test_writers.cpp: Fixed warnings in g++ builds.

Wed May  2 18:36:29 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * tests/README: Clarified that the shared memory tests now
          work fine on Win9x!  Thanks to Cristian Ferritti for reminding
          me to do this.

Wed May  2 15:10:28 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * ace/CDR_Stream.h (ACE_InputCDR):
        * ace/CDR_Stream.cpp: Added a new constructor for ACE_inputCDR
          class. This constructor would take the data block with a
          pre-determined read and write pointer positions. This is helpful
          when an application would like to create a CDR stream with a
          smei-processed data block.

Wed May  2 11:10:59 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * bin/auto_run_tests.lst: Added a colon to seperate the
          run_test.pl specification from "!" that is used to indicate
          where the scripts shouldn't be run.

Wed May 02 05:40:47 2001  Carlos O'Ryan  <coryan@uci.edu>

        * bin/auto_run_tests.lst:
          Use Queued_Message_Test/run_test.pl

Wed May  2 06:31:46 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Makefile: Make it possible to set where the QTDIR is located.
          Thanks to Thomas Groth <groth.th@nord-com.net> for this
          enhancement.

Tue May  1 21:38:00 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * ace/Process.cpp (spawn): When an application running with user
          ID=0 (i.e. root) spawns a new process using
          ACE_Process_Manager::spawn(), which in turn calls
          ACE_Process::spawn() and tries to set a user ID and a group ID
          for the new process different from root/other, the call to
          setreuid() succeedes but the call to setregid() made thereafter
          fails, because the process has no longer UID=0 and thus it
          cannot change to a different group.  To fix this, it was
          necessary to swap the order of the calls to setreuid() and
          setregid().  Thanks to Ramiro Penataro <penataro@ll.iac.es> for
          reporting this.

Tue May  1 11:05:48 2001  Ossama Othman  <ossama@uci.edu>

        * tests/MEM_Stream_Test.cpp (handle_input):

          Fixed syntax error.  "ACE_TCHAR," not "ACE_CHAR."

Tue May  1 09:57:30 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Activation_Queue.cpp (enqueue): Clarified the behavior
          of passing sizeof (*mr).  Thanks to Guy Bolton King
          <guy_bolton_king@non.agilent.com>

Tue May  1 07:13:59 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * bin/auto_run_tests.lst : Sun CC 5.1 cannot work with
          Simple_Naming test. Made sure that this test does not run with
          Sun CC 5.1.

Tue May  1 06:15:26 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Hash_Map_Manager_T.h (class ACE_Hash_Map_Manager_Ex): Fixed
          an erroneous comment.  Thanks to Mark Drijver
          <mdrijver@remedy.nl> for finding this.

        * ace/Local_Name_Space_T.cpp (create_manager_i): It's now valid
          to use fixed mmap addresses on Win9x.  Thanks to Cristian Ferretti
          <cristian_ferretti@yahoo.com> for these fixes.

        * ace/Mem_Map.{h,i},
        * ace/ace_wchar.h,
        * ace/OS.{h,i}: Added support to the ACE_OS::mmap() function and
          ACE_Mem_Map class so they work properly on Win9x.  Thanks to
          Cristian Ferretti <cristian_ferretti@yahoo.com> for these fixes.

        * tests/Malloc_Test.cpp (main): Updated this test so that it
          doesn't try to do any remapping or alternative child address
          ranges on Win9x.  Thanks to Cristian Ferretti
          <cristian_ferretti@yahoo.com> for pointing this out.

        * tests/MEM_Stream_Test.cpp (handle_input): Make sure to multiple
          MAXPATHLEN * sizeof (ACE_CHAR) to handle Unicode properly.
          Thanks to Cristian Ferretti <cristian_ferretti@yahoo.com> for
          pointing this out.

Mon Apr 30 12:56:03 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * bin/nightlybuilds/builds.lst : Removed RAPI of the scoreboard.

Sun Apr 29 15:20:00 2001  Michael Kircher  <Michael.Kircher@mchp.siemens.de>

        * bin/auto_run_tests.lst:

          Added a flag to the Pluggable UDP test, so that it does not
          get run in environments using only statically linked libraries.

Sun Apr 29 11:44:26 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/ace_wchar.h: Reverted the following change

          Tue Apr 24 06:28:00 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>
          * ace/ace_wchar.h: Fixed some code for VxWorks.  Thanks to
            Albert Wijnja <Albert.Wijnja@meco.nl> for reporting this.

          This change is confusing since it's inconsistent with other
          platforms that enable ACE_TEXT_WIDE.

Thu Apr 26 20:14:48 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * ace/CDR_Stream.h (ACE_InputCDR):
        * ace/CDR_Stream.cpp: Added a new method steal_data () which
          replaces data blocks from one InputCDR stream to another. This
          is a slightly modified form of steal_from () which basically
          creates a new data block for the source stream. Creating a new
          data block incurs the unwanted malloc overhead.

Thu Apr 26 12:37:45 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * tests/README: Updated the list of tests that do not work on
          windows 9x/ME for their limited shared memory support.  Thanks
          to Cristian Ferretti <cristian_ferretti@yahoo.com> for pointing
          them out.

Thu Apr 26 12:30:19 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/Containers_T.h Updated documentation for
          ACE_DLList_*Iterator's on the use of method
          <advance_and_remove>.  Users are responsible for release
          (free'ing) the returned element.  Thanks to Rachel G. Smith
          <Rachel_G_Smith@raytheon.com> for motivating the change.

Thu Apr 26 07:58:56 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * bin/auto_run_tests.lst: Prevented the BiDirectional tests from
          running in the Minimum nightly builds.

Thu Apr 26 07:48:30 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * ace/MEM_IO.h (ACE_MEM_IO): Some cosmetic fixes.

Thu Apr 26 07:38:01 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * examples/IPC_SAP/SOCK_SAP/CPP-memserver.cpp: Fixed a compile
          error. The ACE_MEM_IO::fini () was taking an integer
          value. There was no method with a signature fini (int). Removed
          the integer argument.

Wed Apr 25 23:24:25 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * tests/MEM_Stream_Test.cpp: Changed the error message on SysV
          semaphores to LM_WARNING and moved it up before executing the MT
          test.

        * ace/MEM_IO.cpp:
        * ace/MEM_IO.h:
        * ace/MEM_IO.i: Do not compile MT signaling code if only SysV
          semaphores are available.

        * ace/MEM_Acceptor.cpp:
        * ace/MEM_Connector.cpp: Force the other party to use Reactive
          signaling if we don't support MT signaling.

Wed Apr 25 19:48:48 2001  Carlos O'Ryan  <coryan@uci.edu>

        * bin/auto_run_tests.lst:
          Remove the tests/Oneway_Buffering/run_timeout.pl test from the
          list.  It is giving spurious errors, but fixing them would take
          me too long.

Wed Apr 25 20:23:44 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/config-linux-common.h: Revert my previous change:

          Wed Apr 25 03:45:55 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

          Linux's POSIX semaphores is broken.  Thanks to Ossama for
          noticing this.

Wed Apr 25 18:32:54 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ACE-INSTALL.html: Make sure to mention that ACE (and TAO) run
          on Solaris 8.  Thanks to Richard Hardgrave
          <hardgrav@ttd.teradyne.com> for motivating this.

        * include/makeinclude: Zapped the platform_sunos5_egcs.GNU
          file.  Thanks to Craig Rodrigues for the suggestion.

Wed Apr 25 15:30:18 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * tests/Malloc_Test.cpp: The reference counter needs to be release
          if we want it to work.

Wed Apr 25 03:45:55 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * tests/MEM_Stream_Test.cpp: Temporarily changed the informational
          message about the use SYSV semaphores to LM_ERROR so we can find
          those platforms out quicker.  Many of them may actually support
          POSIX semaphores.  We need to enable them in that case.

        * ace/config-linux-common.h: Added ACE_HAS_POSIX_SEM and
          ACE_LACKS_NAMED_POSIX_SEM.  Linux actually support them.  I'm
          not sure if there are any version of linux that don't.

Wed Apr 25 03:15:34 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/Malloc.h: Added new variables to reference counting the
          Malloc.

        * ace/PI_Malloc.h: Added new variables to reference counting the
          Malloc and removed a ton of duplicated code that had already
          been defined in Malloc.h.

        * ace/Malloc_T.cpp:
        * ace/Malloc_T.h:
        * ace/Malloc_T.i: Added 2 new methods to query the reference
          counter and to release the reference counter.  The reference
          counter is created with 1 when the malloc first use a new
          backing store.  Later malloc that attaches to the same backing
          store will increase the reference counter.  It's the user's
          responsibility to invoke release when the malloc is no longer
          needed.  The reference counter provides a way to indication it's
          safe to clean up the backing store without upsetting other
          malloc that might still need it.  Note, however, the malloc will
          not cleanup the backing store automatically when the reference
          counter drops to 0 because we may want to attach another malloc
          to it in some later point.

        * ace/MEM_IO.cpp:
        * ace/MEM_IO.h:
        * ace/MEM_SAP.cpp:
        * ace/MEM_SAP.h: Use the aforementioned reference counter to
          cleanup the backing store automagically.

        * ace/MEM_Stream.h:
        * ace/MEM_Stream.i: Removed cleanup method as it is no longer
          needed with the previous changes.  Removed unnecesary <remove>
          argument from fini () method.

        * ace/MEM_Stream.cpp: Simply calling fini () without worrying
          about cleaning up the backing store.

        * tests/MEM_Stream_Test.cpp: No longer need to hint for cleanup.

        * tests/Malloc_Test.cpp: Added ACE_ASSERT to check for proper
          operation of reference counter.

Tue Apr 24 17:54:00 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/Makefile:
          Add 'Timer' to the default list of ACE components, without many
          a test, application or example do not compile.

Tue Apr 24 16:39:29 2001  Carlos O'Ryan  <coryan@uci.edu>

        * bin/auto_run_tests.lst:
          Add Reliable_Oneways, Blocking_Sync_None, Oneway_Buffering,
          Big_Oneways, Big_Twoways, Big_Request_Muxing and
          Queued_Message_Test to the nightly builds.  Most of these tests
          are part of the 132 regression test suite.

Tue Apr 24 06:28:00 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Makefile: Refactored some stuff to improve the
          ACE subsetting as follows:

          . Moved Malloc_Instantiations.cpp from libACEUtils to the
            component libACE_Memory.

          . Moved Handle_Set.* to libACE_Utils to satisfy ACE.*

          . Moved Dynamic_Service_Base to libACE_Svcconf

          . Build a new component libACE_Timer with :
            Timer_Wheel.*,Timer_Queue.*,Timer_List.*,Timer_Heap.*,Timer_Hash.*
            Timeprobe.* Time_Request_Reply.* System_Time.* Profile_Timer.*
            High_Res_Timer.*

          Thanks to Thomas Groth <groth.th@nord-com.net> for these
          suggestions.

        * docs/ACE-guidelines.html: Updated the discussion of using
          open() rather than constructors.  Thanks to Stan Pinte
          <spinte@latinia.com> for motivating this.

Sat Apr 14 10:51:39 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/Log_Msg.h:
          Document the lock related functions in a separate Doxygen
          section.

Mon Apr 23 17:18:35 2001  Steve Huston  <shuston@riverace.com>

        * ace/ACE.cpp (ACE::handle_timed_complete): Set need_to_check for
          any non-success result, or on a system where you can't tell (AIX).
          Also, to check, use getsockopt to retrieve the status/error if
          SOL_SOCKET and SO_ERROR are defined; else use the old recv method.
          This gets you a real error code on a failed connect, if the platform
          supports it.

        * tests/SOCK_Connector_Test.cpp: For an expected success, allow test
          to pass if socket gets a reset but not if it says ENOTCONN. If there
          are platforms that can't do SOL_SOCKET/SO_ERROR (above) then this
          other code may need to be re-enabled.

Mon Apr 23 13:36:27 2001  Steve Huston  <shuston@riverace.com>

        * ace/ACE.cpp (ACE::handle_timed_complete): Winsock (ACE_WIN32) sets
          the exception bit (not the read bit) for a failed async connect.
          So on fail, don't bother to do the recv trick to see if the socket
          really did fail.

        * ace/Connector.cpp (ACE_Connector::handle_output):
        * ace/SOCK_Connector.cpp (complete): Apparantly, Win2000 has
          fixed the problem where a connection succeeds but can't be used
          for a time. So, the sleep workaround is restructured for ACE_WIN32
          to try the new socket first, and only do the sleep if it fails.
          Don't try to do this check (e.g. building on Win2000) at compile
          time, since we want to be able to build on NT and run on Win2000.

        * ace/README:
        * ace/config-win32-common.h: Removed the macro,
          ACE_HAS_BROKEN_NONBLOCKING_CONNECTS. It was only used in the two
          cases above, and is not needed any longer.

Mon Apr 23 07:08:09 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Based_Pointer_T.h: Updated the documentation to
          explain how ACE_Based_Pointer<T> (NULL) behaves.  Thanks to Tom
          Moog <tmoog@polhode.com> for motivating this.

Sun Apr 22 14:26:56 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/OS.h:
          Some warnings are automatically disabled, but the pragmas only
          make sense for MSVC.

        * ace/streams.h:
          Fixed problems for Sun/CC-4.2, the trick is to include
          strstream.h on MINGW32 *and* unix-like platforms, while
          strstrea.h is included for all other WinXX-based compilers.

Sat Apr 21 19:02:27 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * netsvcs/clients/Naming/Dump_Restore/Makefile:
        * netsvcs/clients/Naming/Client/Makefile: Removed duplicated ACE
          library.  I thought I removed them all.

Sat Apr 21 15:31:27 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/ACE.cpp:
        * ace/Basic_Types.h:
        * ace/Configuration.cpp:
        * ace/Handle_Gobbler.i:
        * ace/Lib_Find.cpp:
        * ace/Local_Name_Space_T.cpp:
        * ace/Log_Msg.cpp:
        * ace/Makefile:
        * ace/Mem_Map.cpp:
        * ace/Memory_Pool.cpp:
        * ace/Message_Queue.i:
        * ace/NT_Service.cpp:
        * ace/OS.cpp:
        * ace/OS.h:
        * ace/OS.i:
        * ace/OS_String.cpp:
        * ace/Process.cpp:
        * ace/Process_Manager.cpp:
        * ace/Registry.cpp:
        * ace/SOCK_Connector.i:
        * ace/Sock_Connect.cpp:
        * ace/TTY_IO.cpp:
        * ace/WFMO_Reactor.cpp:
        * ace/WFMO_Reactor.i:
        * ace/WIN32_Asynch_IO.cpp:
        * ace/config-cygwin32-common.h:
        * ace/config-g++-common.h:
        * ace/config-win32-common.h:
        * ace/config-win32-mingw.h:
        * ace/config-win32.h:
        * ace/streams.h:
        * examples/NT_Service/Makefile:
        * examples/NT_Service/main.cpp:
        * examples/NT_Service/ntsvc.cpp:
        * include/makeinclude/platform_cygwin32.GNU:
        * include/makeinclude/platform_gnuwin32_common.GNU:
        * include/makeinclude/platform_mingw32.GNU:
        * include/makeinclude/rules.local.GNU:
        * include/makeinclude/wrapper_macros.GNU:
        * tests/CDR_File_Test.cpp:
        * tests/Cached_Accept_Conn_Test.cpp:
        * tests/Cached_Conn_Test.cpp:
        * tests/Conn_Test.cpp:
        * tests/Handle_Set_Test.cpp:
        * tests/MEM_Stream_Test.cpp:
        * tests/MEM_Stream_Test.h:
        * tests/MM_Shared_Memory_Test.cpp:
        * tests/MT_SOCK_Test.cpp:
        * tests/Malloc_Test.cpp:
        * tests/Mem_Map_Test.cpp:
        * tests/OS_Test.cpp:
        * tests/Priority_Reactor_Test.cpp:
        * tests/Process_Strategy_Test.cpp:
        * tests/Reactor_Exceptions_Test.cpp:
        * tests/Reactor_Notify_Test.cpp:
        * tests/SOCK_Send_Recv_Test.cpp:
        * tests/SOCK_Test.cpp:
        * tests/SPIPE_Test.cpp:
        * tests/Svc_Handler_Test.cpp:
        * tests/run_tests.bat:
        * tests/run_tests.sh:
        * tests/RMCast/RMCast_Fragment_Test.cpp:
          Add support for mingw (www.mingw.org) and partial support for
          cygwin (http://cygwin.com/).  Many thanks to Cristian Ferretti
          <cristian_ferretti@yahoo.com>

Fri Apr 20 18:21:41 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/CDR_Stream.i (align_write_ptr):
          Don't use grow_and_adjust() here because it forces an
          allocation, using simply adjust() is better.

Fri Apr 20 19:37:53 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/Get_Opt.h: Updated the documentation to match the constructor
          arguments for ACE_Get_Opt.  Thanks to Benot Desmeules
          <bdesmeules@eurekium.com> for reporting this.

        * ace/TP_Reactor.cpp: Added a workaround for compiling ACE on
          Linux for the OS/390 OS.  Thanks to James Dorsey
          <James.Dorsey@acxiom.com> for reporting this.

Fri Apr 20 00:57:24 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Containers_T.cpp (operator=): Added a missing assignment to
          this->size_ = s.size_.  Thanks to Juan Jose Comellas
          <jcomellas@novamens.com> for reporting this.

        * ace/SOCK_Dgram: One of the send() methods was lacking a "const"
          in front of the ACE_Addr &.  This has been fixed.  Thanks to
          Victor Poznyak <VictorP@Webley.COM> for reporting this.

Thu Apr 19 16:18:33 2001  Steve Huston  <shuston@riverace.com>

        * ace/Log_Msg.h: Doxygen-ized some function arguments; other
          minor doc cleanups.

Thu Apr 19 11:08:15 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ACE-INSTALL.html: Point out that ACE supports Solaris 8.
          Thanks to Logan Modahala <lmodahal@cisco.com> for motivating
          this.

Wed Apr 18 13:57:40 2001  Chad Elliott  <elliott_c@ociweb.com>

        * ace/ACE.cpp:

          Modification to check errno for ENOBUFS (in addition to
          EWOULDBLOCK) after writing to a file descriptor.  This will happen
          on VxWorks when a client sends data faster than the server can
          receive it.  This modification causes this to be a retry situation
          instead of an error.   [Bug 866]

Wed Apr 18 11:33:07 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * bin/auto_run_tests.lst: Added the BiDirectional tests to the
          nightly builds. There is no reason why it did not go in so far.

Wed Apr 18 10:25:03 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * bin/auto_run_tests.lst: Changed the name of the -config option
          for SUNCC5.1.  Removed the dot and replaced it with a '_'.

Wed Apr 18 05:23:53 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * tests/Config_Test.cpp: Fixed several warnings related to
          not using ACE_TEXT for wide-strings.  Thanks to Bala for
          reporting this.

Wed Apr 18 02:08:16 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * examples/Synch/proc_sema.dsp:  Fixed release build settings.

Tue Apr 17 12:33:49 2001  Steve Huston  <shuston@riverace.com>

        * ace/Service_Config.cpp (open_i): If the caller supplies a
          logger key, enable the ACE_Log_Msg::LOGGER bit when opening
          the ACE_Log_Msg instance, else the logger key is ignored.

Tue Apr 17 06:15:00 2001  Michael Kircher  <Michael.Kircher@mchp.siemens.de>

        * bin/auto_run_tests.lst:

          Added the UDP Pluggable Protocol test to the list of executed tests.

Mon Apr 16 20:42:46 2001  Carlos O'Ryan  <coryan@uci.edu>

        * include/makeinclude/platform_qnx_rtp_gcc.GNU:
          Remove obsolete comments and raise the optimization level from
          -O2 to -O3, the latter disables a huge number of warnings for
          PACE.

Mon Apr 16 22:15:28 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * bin/auto_run_tests.lst: Commented out some tests that are
          failing on SUNCC 5.1. The failure is because of a compiler
          bug. The problem is that the compiler seems to have difficulty
          in calling the virtual method in a class hierarchy which is
          built with multiple inheritance.

Mon Apr 16 20:24:11 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * tests/Config_Test.cpp (main): Remoted the test_io() function.
          Thanks to Jerry Odenwelder <jerry.o@mindspring.com> for
          confirming this.

Mon Apr 16 16:18:57 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/config-qnx-rtp.h:
          Add support for gperf under QNX

        * include/makeinclude/platform_qnx_rtp_gcc.GNU:
          The -fexceptions flag has no place in the CPPFLAGS macros, it
          should go in CCFLAGS (though I could be convinced to put it in
          CFLAGS)

Mon Apr 16 16:13:29 2001  Steve Huston  <shuston@riverace.com>

        * ace/Configuration.h (ACE_Configuration::root_section): Made this
          method 'const'; makes today's changes easier to deal with.

        * ace/Configuration_Import_Export.cpp (string_has_white_space):
        * ace/Configuration.cpp (operator==): Replaced 'true' with 1 and
          'false' with 0; replace const_cast<> with ACE_const_cast (),
          per docs/ACE-guidelines.html, and IBM C++ :-)  Also, use two
          non-const local variables instead of const_casting 'this' and
          'rhs' on every use.
          Made ACE_Configuration::root_section (void) const.

        * ace/ace.icc: This was an early hack attempt to use library or DLL
          build for Visual Age C++ 4. It is now the Visual Age C++ 5
          configuration for building ACE on AIX. The ace-dll.icc and
          ace-lib.icc are still around for Visual Age C++ 4 users, but may
          not work and will be removed in a future ACE release. This
          config is for Visual Age C++ 5 only and can/will be extended to
          do subset builds as well as debug/optimize/etc variants.

        * bin/make_pretty.pl: Pick out AIX ld errors correctly.

        * include/makeinclude/platform_hpux_aCC.GNU: Note HP problem report
          number and disposition for inability to use -AA and +noeh together.

Mon Apr 16 12:32:48 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * tests/MEM_Stream_Test.cpp: Limited the concurrent connections
          used in the multithreaded test on platforms without POSIX or
          Win32 semaphores.  In this case, SysV semaphores are used and
          a user can only instantiate very limited number of them.  The
          test will also print out an INFO in this case as it implies
          there can only be one "multithreaded" connection in one host at
          any instance.  This fixed the test on some obsolete UNIX
          platforms.

Mon Apr 16 09:58:23 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tests/Config_Test.cpp: Fixed a warning with g++ builds. The
          warning was  because of an unused function.

Sun Apr 15 21:27:19 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/ace_dll.dsp:
        * ace/ace_lib.dsp: Added new Configuration_Import_Export.{h,cpp}
          files.

Sun Apr 15 19:33:19 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Configuration.cpp,
        * ace/Configuration_Import_Export.cpp: Fixed some warnings
          that show up with G++.  Thanks to Carlos for reporting this.

Sun Apr 15 17:13:40 2001  Carlos O'Ryan  <coryan@uci.edu>

        * bin/auto_run_tests.lst:
          Disabled TAO/tests/Client_Leaks on all configurations, it is
          failing systematically because it cannot create processes fast
          enough.

Sat Apr 14 18:08:16 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/Configuration_Import_Export.h:
          Fixed small typo in the @file comment for
          Configuration_Import_Export.h

Sat Apr 14 18:31:15 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Makefile.bor: Added new Configuration_Import_Export.obj file.

        * tests/Config_Test.cpp: Added tests for the new ACE_Configuration*
          stuff.  Thanks to Jerry Odenwelder <jerry.o@mindspring.com> for
          contributing these.

        * ace/Configuration_Import_Export.{h,cpp}: Added two new files that
          do the following:

          1. Remove the import and export functionality from the
             ACE_Configuration object.
          2. Provide two new classes to import/export ACE_Configuration
             objects:

             * ACE_Registry_ImpExp import and exports in the Win32
               Registry format - this was the old import/export routine on
               ACE_Configuration.
             * ACE_Ini_ImpExp imports and exports in an INI format.  The
               import part of this was called import_config_as_strings in
               the old ACE_Configuration object.  While this object will
               export any ACE_Configuration object, it can only import data as
               strings.  This is due to the inability to distinguish type
               in the INI format.
          3. Added operator== to ACE_Configuration.  This is to compare
             contents not type.
          4. Test programs were modified to exercise this new functionality.

          Thanks to Jerry Odenwelder <jerry.o@mindspring.com> for
          contributing these.

Sat Apr 14 12:44:17 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/MEM_IO.i:
          Reorder operations to eliminate warnings on Tru64/CXX

Sat Apr 14 11:12:26 2001  Steve Huston  <shuston@riverace.com>

        * tests/CLASSIX_Addr_Test.icc:
        * tests/CLASSIX_CLD_Connector_Test.icc:
        * tests/CLASSIX_Con_Acc_Test.icc:
        * tests/CLASSIX_Group_Test.icc:
        * tests/CLASSIX_Notify_Test.icc:
        * tests/CLASSIX_OS_Test.icc:
        * tests/CLASSIX_Reactor_Test.icc:
        * tests/CLASSIX_Select_Reactor_Test.icc:
        * tests/CLASSIX_Stream_Test.icc:
          Removed these files. They were moved/copied to tests/CLASSIX some
          time back and don't belong here.

        * tests/t.icc: Removed. This is not used for anything.

        * tests/Makefile.vac: Corrected 'realclean' actions.

Sat Apr 14 09:17:32 2001  Steve Huston  <shuston@riverace.com>

        * examples/QOS/Change_Sender_TSpec/sender.dsp: Added extra level of
          directory for include and lib - missed this one in yesterday's
          set of changes.

Sat Apr 14 09:08:33 2001  Steve Huston  <shuston@riverace.com>

        * ace/Array_Base.h: Added forward declaration for ACE_Allocator.
        * ace/Array_Base.cpp: Added #include "Malloc_Base.h" so IBM C++
          can find ACE_Allocator when instantiating templates.

        * ace/config-hpux-10.x-hpc++.h: When using standard C++ lib,
          set the value of ACE_USES_STD_NAMESPACE_FOR_STDCPP_LIB to 1.

        * netsvcs/clients/Naming/Dump_Restore/Makefile:
        * netsvcs/clients/Naming/Client/Makefile: Add ACELIB to LIBS. This
          allows IBM C++ compilers to build the library clean.

        * tests/Makefile.vac: Don't try to use vacbld_r on the entire
          project. It can take so long that make gives up and kills
          off the build, making a real mess of the .ics files and leaving
          random numbers of tests unbuilt. Instead, run vacbld_r on
          each .icc file in the directory. Similarly for clean, don't
          reply on vacbld_r on the project file - run through all the
          ics files and executables based on existing .icc files.

Fri Apr 13 12:44:21 2001  Steve Huston  <shuston@riverace.com>

        * netsvcs/lib/Server_Logging_Handler_T.cpp (handle_logging_record):
          If logging to STDERR is not enabled, don't dump the log record
          there either.

Fri Apr 13 12:21:01 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/Malloc_T.h: Added an explanation on the requirement about
          sizeof (TYPE)link of ACE_Cached_Allocator and a link to
          ACE_Cached_Mem_Pool_Node where this stuff was explained.  Thanks
          to Rachel G. Smith <Rachel_G_Smith@raytheon.com> for motivating
          the change.

Fri Apr 13 12:05:38 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * tests/MEM_Stream_Test.h:
        * tests/MEM_Stream_Test.cpp: Borland C++ has problem cleaning up
          the static Atomic_Op object in Echo_Handler in the right order.
          Made that an ACE_Singleton and re-organized the test a big.
          Thanks to Chris Kohlhoff <chris@kohlhoff.com> for reporting and
          suggesting the fix.   [Bug 862]

Fri Apr 13 11:58:58 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/OS.i (gethrtime):
          Add support for the the clock tick register as a high resolution
          timer under KCC/Linux.  Thanks to David Levine for help on this.

Fri Apr 13 05:30:04 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/OS.i: Make sure that the PTHREADS version of ACE_OS::thr_yield()
          gets top priority over the STHREADS version.  Thanks to Munagala
          Ramanath <amberarrow@yahoo.com> for reporting this.

        * ace/Malloc_T.{h,i}: Added support for one of the calloc() methods
          to ACE_Cached_Allocator.  Thanks to Rachel G Smith
          <Rachel_G_Smith@raytheon.com> for motivating this change.

        * ace/Malloc_Allocator.h: Updated the comments for ACE_New_Allocator
          to indicate that the calloc() methods are also supported.
          Thanks to Rachel G Smith <Rachel_G_Smith@raytheon.com> for
          motivating this change.

        * docs/ACE-bug-process.html: Updated this document to explain how
          bugs pertaining to OCI's TAO releases should be handled.  Thanks
          to Georg Lohrer <GeorgLohrer@web.de> for motivating this.

Thu Apr 12 20:36:30 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/OS.i (thr_getspecific): Reorder the way in which we check
          the flags so that ACE_HAS_PTHREADS takes precedence over
          ACE_HAS_STHREADS.  Thanks to Munagala Ramanath
          <amberarrow@yahoo.com> for reporting this.

Thu Apr 12 21:18:44 2001  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/platform_hpux_aCC.GNU: Added
          -D_RWSTD_MULTI_THREAD -D_REENTRANT to CCFLAGS for stdlibcpp build.
          Makes execution clean, no core dump on program init.

Thu Apr 12 17:31:36 2001  Steve Huston  <shuston@riverace.com>

        * examples/IOStream/server/iostream_server.h: Wrap the guts of this
          in #if !defined (ACE_LACKS_ACE_IOSTREAM) to build clean on platforms
          that can't handle ACE_IOStream.

Thu Apr 12 17:02:41 2001  Steve Huston  <shuston@riverace.com>

        * examples/QOS/Change_Sender_TSpec/sender.dsp:
        * examples/QOS/Change_Sender_TSpec/receiver.dsp:
        * examples/QOS/Change_Receiver_FlowSpec/sender.dsp:
        * examples/QOS/Change_Receiver_FlowSpec/receiver.dsp:
        * examples/QOS/Simple/sender.dsp:
        * examples/QOS/Simple/receiver.dsp: Changed project names from 002
          and 003 to sender and receiver. Corrected relative paths for include
          and library lookup (add another ..).

        * examples/QOS/QOS.dsw: Change project names from 002/003 to sender
          and receiver.

Thu Apr 12 15:48:22 2001  Joe Hoffert  <joeh@cs.wustl.edu>

        * ace/CDR_Stream.i (length):
          Moved definition of length method above any of the methods
          that call into it. Was producing warnings on Tru64 platform.

Thu Apr 12 13:06:27 2001 Joel Sherrill <joel@OARcorp.com>

        * include/makeinclude/Makefile.rtems: Replaced debug version
          with real version that queries RTEMS application Makefile
          infrastructure.

        * include/makeinclude/platform_rtems.x_g++.GNU: Added
          --no-print-directory option to all invocations of recursive
          make to determine information from Makefile.rtems.  This
          avoids getting the "entering/exiting directory" messages
          included in the results.

        * ACE-RTEMS.README: Added requirement to configure C++
          support in RTEMS.  Updated to reflect also compiling for mc68360
          target.

Wed Apr 11 20:36:36 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * examples/Synch/proc_sema.cpp (main): Fixd an assigning string
          literal to char* warning.

Wed Apr 11 18:04:33 2001  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/rules.bin.GNU: Change the Visual Age C++
          incremental build command to use vacbld_r, the thread-enabled
          variant of vacbld.

Wed Apr 11 11:00:50 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ACE-INSTALL.html: Added a section illustrating how to build
          ACE+TAO for RTEMS.  Thanks to Joel Sherrill <joel@OARcorp.com>
          for this build procedure.

Wed Apr 11 11:38:37 2001  Steve Huston  <shuston@riverace.com>

        * ace/IOStream.h: Reverted change from
          Tue Apr 10 18:35:22 2001  Steve Huston  <shuston@riverace.com>
          and replaced it with a section that sets ACE_LACKS_ACE_IOSTREAM
          if ACE_HAS_STANDARD_CPP_LIBRARY is set and ACE_USES_OLD_IOSTREAMS
          is not. This restriction is noted and tracked in Bugzilla # 857.

        * ace/IOStream.cpp:
        * tests/IOStream_Test.cpp: Reverted change from
          Tue Apr 10 18:35:22 2001  Steve Huston  <shuston@riverace.com>

Wed Apr 11 09:44:32 2001  Chad Elliott  <elliott_c@ociweb.com>

        * examples/Misc/test_trace.cpp:

          Fixed a strange compiler error with Tornado II.
          My_Task::recursive was inline which caused an internal compiler
          error.

Wed Apr 11 08:04:21 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * include/makeinclude/platform_linux.GNU: By default, we build
          ACE+TAO with exceptions enabled on Linux.  Thanks to Craig
          Rodrigues <crodrigu@bbn.com> for motivating this change.

        * ace/SString.i (operator+): Fixed an "inlined before use" warning.
          Thanks to Bala for reporting this.

Tue Apr 10 16:58:54 2001  Ossama Othman  <ossama@uci.edu>

        * ace/OS.h (ACE_DEFAULT_FILE_PERMS, ACE_DEFAULT_DIR_PERMS):

          Changed the default values on UNIX from 0666 and 0777 to 0644
          and 0755, i.e. removed global write permissions.  This addresses
          some security issues.  Now, only the owner has write permissions
          by default.

Tue Apr 10 18:35:22 2001  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/platform_sunos5_sunc++.GNU: Added a new
          build option, stdcpplib, which defaults to 1. If set to 1,
          Sun Workshop 5 and Forte 6 compilers will use the standard
          C++ library, including standard iostreams. Set to 0 to
          use the old, classic iostreams.

        * include/makeinclude/platform_hpux_aCC.GNU: Added support for
          the stdcpplib build option. It defaults to 1 if using aC++
          x.27, or 0 if not. Thanks very much to Istvan Buki <ibuki@fedex.com>
          for these changes.

        * ace/config-aix-4.x.h: For Visual Age C++ 5, turn on
          ACE_HAS_STANDARD_CPP_LIBRARY and
          ACE_USES_STD_NAMESPACE_FOR_STDCPP_LIB.

        * ace/config-sunos5.5.h: For Sun Workshop 5 and Forte 6 compilers,
          take the ACE_USES_OLD_IOSTREAMS setting from the platform_macros.GNU
          file; don't set it here.

        * ace/config-hpux-11.00.h:
        * ace/config-hpux-10.x-hpc++.h: If the stdcpplib=1 option was used,
          then turn on ACE_HAS_STANDARD_CPP_LIB and
          ACE_USES_STD_NAMESPACE_FOR_STDCPP_LIB. Else turn on
          ACE_USES_OLD_IOSTREAMS.

        * ace/IOStream.{h cpp}: Only try to build this stuff if
          ACE_LACKS_ACE_IOSTREAM is not defined and ACE_USES_OLD_IOSTREAMS
          _is_ defined. The check on ACE_USES_OLD_IOSTREAMS can be removed
          when ACE_IOStream gets ported to standard iostreams.

        * tests/IOStream_Test.cpp: Only try this if ACE_USES_OLD_IOSTREAMS
          is defined. Remove this if/when ACE_IOStream is ported to new
          iostreams.

Tue Apr 10 17:51:25 2001  Pradeep Gore  <pradeep@cs.wustl.edu>

        * bin/auto_run_tests.lst:
          Added TAO/tests/OctetSeq/run_test1{2}.pl to auto testing.

Tue Apr 10 16:33:42 2001  Joe Hoffert  <joeh@cs.wustl.edu>

        * ace/CDR_Stream.i:
        * ace/CDR_Stream.cpp:
          Added sanity checks for sizes of strings and arrays.

Tue Apr 10 15:14:52 2001  Chad Elliott  <elliott_c@ociweb.com>

        * include/makeinclude/platform_vxworks5.x_g++.GNU:

          Added missing else/endif from previous support addition.

Tue Apr 10 11:48:51 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * include/makeinclude/platform_vxworks5.x_g++.GNU: Added support
          for the M68k line of CPUs.  Thanks to Albert Pariante
           <albert@sw.bev.etn.com> for reporting this.

Tue Apr 10 02:14:55 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * bin/PerlACE/Run_Test.pm (check_n_cleanup_files): Added a new
          PerlACE function that checks for unwanted files and spits out a
          warning before removing the file.  It makes sure that we not
          only clean up resource leaks but also notice their existence.

        * tests/run_test.pl (delete_temp_files): Used the new
          <check_n_cleanup_files> to remove the temp files for
          MEM_Stream_Test, if there are any.

Tue Apr  10 1:44:02 2001  Yamuna Krishnamurthy  <yamuna@ace.cs.wustl.edu>

        * examples/QOS/Change_Sender_TSpec/receiver.cpp:
        * examples/QOS/Change_Sender_TSpec/receiver.dsp:
        * examples/QOS/Change_Sender_TSpec/sender.cpp:
        * examples/QOS/Change_Sender_TSpec/sender.dsp:
        * examples/QOS/Change_Sender_TSpec/Sender_QoS_Event_Handler.h:
        * examples/QOS/Change_Sender_TSpec/Sender_QoS_Event_Handler.cpp:
        * examples/QOS/Change_Sender_TSpec/Receiver_QoS_Event_Handler.h:
        * examples/QOS/Change_Sender_TSpec/Receiver_QoS_Event_Handler.cpp:
        * examples/QOS/Change_Sender_TSpec/QoS_Util.h:
        * examples/QOS/Change_Sender_TSpec/QoS_Util.cpp:
        * examples/QOS/Change_Sender_TSpec/QoS_Signal_Handler.h:
        * examples/QOS/Change_Sender_TSpec/QoS_Signal_Handler.cpp:
        * examples/QOS/Change_Sender_TSpec/FlowSpec_Dbase.h:
        * examples/QOS/Change_Sender_TSpec/Fill_ACE_QoS.h:
        * examples/QOS/Change_Sender_TSpec/Fill_ACE_QoS.cpp:
        * examples/QOS/Change_Sender_TSpec/README:
        * examples/QOS/Change_Sender_TSpec/Makefile:

          Added a test to dynamically change the Sender flow spec in
          order to continuously change the PATH messages.

        * examples/QOS/Change_Receiver_FlowSpec/receiver.cpp:
        * examples/QOS/Change_Receiver_FlowSpec/receiver.dsp:
        * examples/QOS/Change_Receiver_FlowSpec/sender.cpp:
        * examples/QOS/Change_Receiver_FlowSpec/sender.dsp:
        * examples/QOS/Change_Receiver_FlowSpec/Sender_QoS_Event_Handler.h:
        * examples/QOS/Change_Receiver_FlowSpec/Sender_QoS_Event_Handler.cpp:
        * examples/QOS/Change_Receiver_FlowSpec/Receiver_QoS_Event_Handler.h:
        * examples/QOS/Change_Receiver_FlowSpec/Receiver_QoS_Event_Handler.cpp:
        * examples/QOS/Change_Receiver_FlowSpec/QoS_Util.h:
        * examples/QOS/Change_Receiver_FlowSpec/QoS_Util.cpp:
        * examples/QOS/Change_Receiver_FlowSpec/QoS_Signal_Handler.h:
        * examples/QOS/Change_Receiver_FlowSpec/QoS_Signal_Handler.cpp:
        * examples/QOS/Change_Receiver_FlowSpec/FlowSpec_Dbase.h:
        * examples/QOS/Change_Receiver_FlowSpec/Fill_ACE_QoS.h:
        * examples/QOS/Change_Receiver_FlowSpec/Fill_ACE_QoS.cpp:
        * examples/QOS/Change_Receiver_FlowSpec/README:
        * examples/QOS/Change_Receiver_FlowSpec/Makefile:

          Added a test to dynamically change the Receiver flow spec in
          order to continuously change the RESV messages.

        * examples/QOS/Simple/receiver.cpp:
        * examples/QOS/Simple/receiver.dsp:
        * examples/QOS/Simple/sender.cpp:
        * examples/QOS/Simple/sender.dsp:
        * examples/QOS/Simple/Sender_QoS_Event_Handler.h:
        * examples/QOS/Simple/Sender_QoS_Event_Handler.cpp:
        * examples/QOS/Simple/Receiver_QoS_Event_Handler.h:
        * examples/QOS/Simple/Receiver_QoS_Event_Handler.cpp:
        * examples/QOS/Simple/QoS_Util.h:
        * examples/QOS/Simple/QoS_Util.cpp:
        * examples/QOS/Simple/QoS_Signal_Handler.h:
        * examples/QOS/Simple/QoS_Signal_Handler.cpp:
        * examples/QOS/Simple/FlowSpec_Dbase.h:
        * examples/QOS/Simple/Fill_ACE_QoS.h:
        * examples/QOS/Simple/Fill_ACE_QoS.cpp:
        * examples/QOS/Simple/README:
        * examples/QOS/Simple/Makefile:

          Moved the original QOS example to Simple.

        * examples/QOS/Makefile:
        * examples/QOS/QOS.dsw:

          Updated the Makefile to compile the constituent tests.

Mon Apr  9 18:48:02 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * include/makeinclude/Makefile.rtems: Zapped

          export RTEMS_MAKEFILE_PATH=/opt/rtems/sparc-rtems/erc32/

          so that the environment variable is obtained from the users
          environment.  Thanks to Joel Sherrill <joel@OARcorp.com> for
          this fix.

        * ace/Log_Msg.h: Only define the ACE_ASSERT macro if it's not
          already defined.  This make it easy for developers to override
          this macro in their config.h file.  Thanks to Nathalie D'Amours
          <nathalie@stentor.com> for motivating this change.

Mon Apr  9 15:36:04 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/High_Res_Timer.cpp:
          Use the 'cpu MHz' line from /proc/cpuinfo in favor of the
          'bogomips' line, because the latter gives the wrong number on
          multi-CPU boxes.

Mon Apr  9 14:37:30 2001  Chad Elliott  <elliott_c@ociweb.com>

        * examples/IPC_SAP/SOCK_SAP/CPP-memclient.cpp:

          Removed extraneous template instantiations.

Mon Apr 09 09:19:37 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/SString.cpp:
          Fixed Fuzz error

Mon Apr  9 08:28:47 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/SString.{h,i,cpp}: Added improved support for ACE_WString:
          . The magic number 32 has been changed to ACE_DEFAULT_GROWSIZE.
          . ACE_WString only allocates memory when it is needed.
          . The grow strategy can be modified by setting the ACE_GROW_LINEAR define.
            the string does not double the memory then, but increases the memory by
            ACE_DEFAULT_GROWSIZE.
          Thanks to Eric Zuur <Eric.Zuur@meco.nl> for contributing these
          enhancements.

        * ace/High_Res_Timer.cpp (get_cpuinfo): Added support for the Pentium
          III and IV.  Thanks to Stephane Pion
          <PION_Stephane@stna.dgac.fr> for contributing this fix.

Mon Apr  9 07:50:08 2001  Chad Elliott  <elliott_c@ociweb.com>

        * examples/IPC_SAP/SOCK_SAP/CPP-memclient.cpp:
        * examples/IPC_SAP/SOCK_SAP/Makefile:
          Fixed a typo in the Makefile and added "CPP-inclient.h" include to
          CPP-memclient.cpp.

Mon Apr  9 07:42:29 2001  Chad Elliott  <elliott_c@ociweb.com>

        * ace/Basic_Types.cpp:
          Changed format flags from ios::fmtflags to unsigned long.
          This typedef is not supported by all platforms.  Thanks Carlos
          <coryan@uci.edu> for suggesting this change.

Mon Apr 09 08:08:11 2001  Johnny Willemsen <jwillemsen@remedy.nl>

        * ace/Timer_Queue_T.h
          Declared private copy constructor and assignment operator
          for class ACE_Event_Handler_Handle_Timeout_Upcall

Sun Apr 08 18:55:58 2001  Carlos O'Ryan  <coryan@uci.edu>

        * tests/DLL_Test.cpp:
          Use ACE::ldname() instead of keeping a local function to
          decorate the name.
          Use the "d" suffix only on MSVC debug builds.

        * tests/Makefile.bor:
        * tests/DLL_Test.bor:
          New Borland Makefile for the shared library in DLL_Test.  Thanks
          to Christopher Kohlhoff  <chris@kohlhoff.com> for providing the
          patches.

        * tests/run_test.pl:
          Add ExeSubDir to the path, required in Borland builds to find
          the shared libraries created locally.

Sun Apr  8 13:12:54 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/SString.cpp: Reordered various constructor initializers so
          G++ doesn't complain.  Thanks to Bala for reporting this.

        * ace/SString.{h,i,cpp}: Added various optimizations to ACE_WString
          so it will perform certain operations as efficiently as
          ACE_CString.  Thanks to Eric Zuur <Eric.Zuur@meco.nl> for
          contributing these enhancements.

Sun Apr 08 12:10:30 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * examples/IPC_SAP/SOCK_SAP/CPP-memclient.cpp:
        * examples/IPC_SAP/SOCK_SAP/CPP-memserver.cpp:
        * examples/IPC_SAP/SOCK_SAP/Makefile: Updated obsolete
          shared-memory transport functions.

Sun Apr  8 09:49:26 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * bin: Added a new shell script called "make-components" that enables
          each ACE component to be built in a simple manner using the
          following change from Arturo.

        * ace/Makefile: Generalized the libACE.a and libACE.$(SOEXT) targets
          to simplify subsettings.  Thanks to Arturo Montes
          <mitosys@colomsat.net.co> for reporting this.

Sat Apr  7 16:00:48 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * tests: Added a new rtems_init.c file.  Thanks to Joel Sherrill
          <joel@OARcorp.com> for contributing this port.

        * include/makeinclude: Added the new platform_rtems.x_g++.GNU file.
        * ace: Added the new config-rtems.h file.

        * ace/OS.cpp: Added support for RTEMS, which is an open-source
          real-time operating system that can be downloaded from
          ftp://ftp.oarcorp.com/pub/rtems.  Thanks to Joel Sherrill
          <joel@OARcorp.com> for contributing this port.

        * ace/OS.cpp: The return type for ACE_OS::readv_emulation()
          should have been ssize_t, not int, to be consistent with its
          definition in the header file.  Thanks to Joel Sherrill
          <joel@OARcorp.com> for reporting this.

Sat Apr  7 21:16:49 2001  Carlos O'Ryan  <coryan@uci.edu>

        * bin/auto_run_tests.lst:
          Add the new Crash_On_Write and MT_Timeout tests to the nightly
          builds.

Fri Apr  6 21:02:05 2001  Carlos O'Ryan  <coryan@uci.edu>

        * examples/Synch/proc_sema.cpp:
          Add missing #include for "ace/Log_Msg.h", on platforms that
          define ACE_TEMPLATES_REQUIRE_SOURCE this include is magically
          obtained, but this is not the case for SunCC 4.2, and
          True64/CXX.

Fri Apr 06 16:22:24 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/SString.h (ACE_Tokenizer): Updated documentation and added
          some examples.  Thanks to Jody Hagins <jody@atdesk.com> for
          providing the original example.

Fri Apr  6 17:11:34 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * bin/auto_run_tests.lst: Added the Single_Read test to the
          nightly build list.

Fri Apr  6 14:45:52 2001  Chad Elliott  <elliott_c@ociweb.com>

        * ace/Basic_Types.h:
        * ace/Basic_Types.cpp:
          Changed the as_string() method to avoid using floor() which
          required math.h and ACE_CString which caused unnecessary coupling.

Fri Apr  6 08:34:15 2001  Carlos O'Ryan  <coryan@uci.edu>

        * bin/make_pretty.pl:
          Do no give out warnings for the 'nocompatwarnings' option in
          HP-UX.

Fri Apr  6 08:23:02 2001  Chad Elliott  <elliott_c@ociweb.com>

        * ace/Basic_Types.cpp:
        * ace/Basic_Types.h:
        * tests/Process_Strategy_Test.cpp:
        * examples/Connection/misc/Connection_Handler.cpp:
          Remove build warnings for platforms that don't support unsigned
          long long types and have unsigned char's.

Fri Apr  6 02:02:01 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/OS.h:
        * ace/OS.i: The implementation for process semaphore on platforms
          lacking named POSIX semaphores was broken.  On these platforms,
          semaphores are allocated in MMAP file so they should never be
          deleted.  Added a flag <new_sema_> to remember if a semaphore
          can be deleted (USYNC_THREAD) or not (USYNC_PROCESS).

        * ace/config-sunos5.6.h: According to the man pages, SunOS started
          supporting POSIX semaphores from 5.6.  Defined ACE_HAS_POSIX_SEM
          and ACE_LACKS_NAMED_POSIX_SEM.

Thu Apr  5 11:23:05 2001  Carlos O'Ryan  <coryan@uci.edu>

        * html/index.html:
          Add link to the new QoS library documentation.

Thu Apr 05 03:26:13 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * examples/Makefile:
        * examples/Synch/Makefile:
        * examples/Synch/README:
        * examples/Synch/Synch.dsw:
        * examples/Synch/proc_sema.cpp:
        * examples/Synch/proc_sema.dsp: Added a new example to play with
          process semaphores.

Thu Apr 05 02:48:51 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/MEM_IO.cpp (write): My earlier change was causing the test
          to crash.

        * ace/MEM_Stream.h:
        * ace/MEM_Stream.i:
        * ace/MEM_Stream.cpp: Added a new method to inform the stream to
          clean up its resources when closing down.

        * tests/MEM_Stream_Test.cpp (handle_close): Handle_close should
          only inform it's peer to destroy the mmap file instead of
          removing the file itself.

Wed Apr  4 16:21:13 2001  Darrell Brunsch <brunsch@uci.edu>

        * bin/auto_run_tests.lst:

          Added the ImplRepo tests.

Wed Apr  4 12:13:52 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/MEM_IO.h: Declared ACE_INLINE_FOR_GNUC for
          ACE_MT_MEM_IO::Simple_Queue's constructor to eliminate a bogus
          warning reported by vxworks' gcc compiler.

Wed Apr 04 07:47:48 2001  Craig Rodrigues <crodrigu@bbn.com>

        * etc/ace_qos.doxygen:
        * bin/generate_doxygen.pl:
          Generate doxygen documentation for ACE QoS API

Tue Apr 03 19:55:26 2001  Steve Huston  <shuston@riverace.com>

        * bin/auto_compile: Added a -make_type option - the argument to
          the option is the suffix of Makefile to use. Example:
          -make_type vac  would use Makefile.vac instead of Makefile
          when building.

        * bin/make_pretty.pl: Corrected tests for AIX errors/warnings.

        * ace/ace.icp: (new) Visual Age C++ 5 project file for libACE.

        * ace/ace.icc: (new) Visual Age C++ 5 configuration file for
          libACE. Replaces ace-dll.icc. It will eventually have the
          stuff added to make debug/optimize as well as subsets.

        * ace/ace_vacpp_options.icc: Visual Age C++ file for setting ACE
          build options.

        * ace/Makefile.vac: Makefile to build libACE using the Visual
          Age C++ 5 incremental compiler. It only has "all" and "realclean"
          targets, and uses vacbld_r to do the build.

        * tests/tests.icp: Visual Age C++ 5 Project file for making all the
          tests.

        * tests/Makefile.vac: Makefile to drive vacbld_r for Visual Age C++.

        * tests/Config_Test.icc:
        * tests/Dirent_Test.icc:
        * tests/Logging_Strategy_Test.icc:
        * tests/MEM_Stream_Test.icc:
        * tests/Message_Queue_Test_Ex.icc:
        * tests/OS_Test.icc:
             New files for building tests with Visual Age C++.

        * tests/libDLL_Test.icc: Changed to use up-to-date source file.

Tue Apr 03 13:45:02 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/MEM_IO.cpp: Fixed mismatched ACE_TRACE messages.  Thanks to
          the all mighty fuzzmasterd for reporting this.

Tue Apr  3 11:40:42 2001  Priyanka Gontla  <pgontla@ece.uci.edu>

        * examples/IPC_SAP/SSL_SAP/dummy.pem:
        * examples/IPC_SAP/SSL_SAP/key.pem:
          The previous certificates expired. So, generated them
          again.

Tue Apr 03 09:30:10 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/MEM_IO.cpp (write): Fixed a compilation error for Borland
          compiler.  Thanks to Johnny Willensen for reporting this.

Mon Apr 02 23:41:34 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/MEM_SAP.cpp:
        * ace/MEM_SAP.h:
        * ace/MEM_SAP.i:
          Generalized the ACE_MEM_SAP class to allocate memory in the new
          memory wrapper class ACE_MEM_SAP_Node.

        * ace/MEM_IO.cpp:
        * ace/MEM_IO.h:
        * ace/MEM_IO.i:
          Separated the different signaling mechanisms into a different
          class in ACE_MEM_IO so it can determine the "right" signaling
          strategy allowed.  Currently, we implement the Reactive strategy
          (ACE_Reactive_MEM_IO) which uses sockets for signaling and
          multithreaded strategy (ACE_MT_MEM_IO) which uses semaphores for
          signaling.

        * ace/MEM_Stream.cpp:
          Sending an empty buffer over to wake up the "other" end when we
          are closing down.

        * ace/MEM_Acceptor.cpp:
        * ace/MEM_Acceptor.h:
        * ace/MEM_Acceptor.i:
        * ace/MEM_Connector.cpp:
        * ace/MEM_Connector.h:
        * ace/MEM_Connector.i: Added facility to specify the "preferred"
          signaling strategy so the acceptor and connector can negociate
          and agree on the best signaling mechanism to use.

        * ace/MEM_Stream_Test.h:
        * ace/MEM_Stream_Test.cpp:
          Added the test for the new MT signaling MEM_Stream transfer.
          This part of the test seems to be failing on system that depends
          on SysV semaphores (because we need more semaphore than the
          system can provide.)

Mon Apr  2 15:17:13 2001  Chad Elliott  <elliott_c@ociweb.com>

        * ace/config-chorus.h:

          Chorus 4.x supports unsigned long long's.

Mon Apr  2 14:23:31 2001  Craig Rodrigues <crodrigu@bbn.com>

        * ace/Makefile:
            only build QoS directory under UNIX if rapi is installed
        * ace/QoS/README:
            add installation instructions and GQOS/RAPI information

Mon Apr  2 09:57:31 2001  Darrell Brunsch <brunsch@uci.edu>

        * bin/PerlACE/MSProject.pm:

          Made a change to the tao_idl depencency checking.
          It was only checking for tao_idl and $(InputName) where
          some places we use $(InputPath) instead.

        * ace/config-win32-msvc-5.h:
        * ace/config-win32-msvc-6.h:

          Disabled the Inheritance by Dominance informational
          warning that MSVC gives.  We have cases of this all over
          the place, and normally we just disable the warning on
          a file by file basis, but now we just do a blanket disable.

Mon Apr  2 08:45:24 2001  Carlos O'Ryan  <coryan@uci.edu>

        * bin/nightlybuilds/builds.lst:
          Renamed the Debian_Full_WU build, its most important feature is
          not that it is at WashU nor that it enables most components.  It
          is the fact that interceptors are disabled on its configuration.

Sun Apr  1 17:20:22 2001  Darrell Brunsch <brunsch@uci.edu>

        * ace/INET_Addr.h:

          Added /**/ around for the inclusion of inetLib.h, since some
          MS compilers pick this up in dependency generation.

        * bin/PerlACE/MSProject.pm:

          Used \Q\E around the library names when matching, otherwise
          the backslashes were interpreted as escaping, and weird
          unicode errors popped up.

        * bin/pippen.pl:

          Pippen was being case sensitive, so tao.lib was different
          than TAO.lib.  Changes to store only lowercase.

Sat Mar 31 10:16:01 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ACE-INSTALL.html:
          Removed broken link, the web page does not exist anymore. Thanks
          to John R. Ashmun <john.ashmun@esca.com> for pointing this out.
          This fixes [BUGID:833]

Fri Mar 30 14:08:18 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * performance-tests/TTCP/C/new-ttcp.cpp:
        * performance-tests/TTCP/ACE-C++/wrapper-new-ttcp.cpp:
          Zapped the gettimeofday() method since it didn't seem to be
          used.  Also, #include "ace/Log_Msg.h".  Thanks to Thomas Groth
          <groth.th@nord-com.net> for reporting this.

        * ace/OS.h: Changed all the ACE_DEFAULT_* default ports of the
          various services to start with 200xx rather than 100xx to avoid
          conflicts on AIX, which apparently hijacks port 10002 for
          various things.  Thanks to David Sperry
          <sperryd@res.raytheon.com> for reporting this.

Sat Mar 31 02:06:09 2001  Christopher Kohlhoff  <chris@kohlhoff.com>

        * ace/config-win32-borland.h:
        * include/makeinclude/ace_flags.bor:
          Fixed up use of inline functions in DEBUG build.

        * include/makeinclude/ace_flags.bor:
          Added macros for the TAO_BiDirGIOP and TAO_TypeCodeFactory
          libraries.

Fri Mar 30 11:17:39 2001  Carlos O'Ryan  <coryan@uci.edu>

        * bin/fuzz.pl:
          Add a couple of TODO entries

        * html/index.html:
          Add the Audio/Video Streaming service to the index file.

Fri Mar 30 11:12:53 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/*/Makefile:
        * apps/*/Makefile:
        * docs/*/Makefile:
        * examples/*/Makefile:
        * netsvcs/*/Makefile:
        * performance-tests/*/Makefile:
        * tests/*/Makefile:
        * websvcs/*/Makefile:
        * ASNMP/*/Makefile:
          Regenerate dependencies.

Fri Mar 30 08:15:26 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/QoS/QoS_Session.h:
          Add #include for ACE_QoS_Export

Fri Mar 30 07:31:54 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/QoS/QoS_Session.h:
          Fixed export macro

Thu Mar 29 20:14:00 2001  Craig Rodrigues <crodrigu@bbn.com>

        * ace/SOCK.h:
           Remove include of QoS_Session.h, since it is not used here.

Thu Mar 29 19:48:00 2001  Craig Rodrigues <crodrigu@bbn.com>

        * ace/QoS_Session.h:
        * ace/QoS/QoS_Manager.h:
        * ace/QoS/QoS_Session_Impl.h:
        * ace/QoS/QoS_Session_Factory.h:
        * examples/QOS/QoS_Signal_Handler.h:
        * examples/QOS/Receiver_QoS_Event_Handler.h:
        * examples/QOS/client.cpp:
        * examples/QOS/QoS_Util.h:
        * examples/QOS/Sender_QoS_Event_Handler.h:
        * examples/QOS/server.cpp:
        * examples/QOS/Makefile:

          Move QoS_Session.h to the ace/QoS directory.

Thu Mar 29 19:12:38 2001  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/rules.lib.GNU: AIX-specific changes to
          build shared libraries by making a shared shr.o file and putting
          that into an archive. Seems weird, but that's the way AIX does
          things. This makes ACE consistent with other AIX software.

        * include/makeinclude/platform_aix4_cset++.GNU: Made some changes
          to attempt to work with the new scheme for shared lib creation on
          AIX. Did not test it, and don't plan to. The CSet++ compiler is not
          supported by IBM any longer, and Riverace is not supporting ACE
          with it. If someone out there sends patches for this, I'll put
          them in, but this file is going away after ACE 5.2 is released.
          All uses of IBM-supported compilers (IBM C/C++ and Visual Age C++
          in batch mode) should be with the platform_aix_ibm.GNU file.

Thu Mar 29 16:16:07 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Token.cpp (renew): A conditional expression used an && rather
          and ||, which was causing problems with ACE_Token.  Thanks to
          Carsten Madsen <com@navicon.dk> for reporting this.

        * ace/Message_Queue_T.cpp: If any of the various ACE_Message_Queue_Ex
          enqueue*() methods fail then make sure to release the message
          blocks!  Thanks to Boris Kolpackov <bosk@ipmce.ru> for reporting
          this.

Wed Mar 28 21:39:26 2001  Darrell Brunsch <brunsch@uci.edu>

        * ace/NT_Service.h:

          Changed the ACE_NT_SERVICE macros to use ACE_TEXT_* API
          calls for those that can take in unicode strings.

        * examples/NT_Service/main.cpp:

          Fixed use of ACE_NT_SERVICE to work with ACE_USES_WCHAR.

        * examples/OS/Process/process.cpp:
        * examples/Reactor/WFMO_Reactor/test_directory_changes.cpp:

          Changed some Win32 API calls to use ACE_TEXT_* equivalents.

        * ace/ace_wchar.h:

          Added all the ACE_TEXT_* API macros needed above.

          Thanks to Nick Pratt <npratt@microstrategy.com> for
          reporting the first of these errors.

Wed Mar 28 22:07:03 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * tests/tests.dsw: Fixed project dependencies between DLL_Test and
          DLL_Test_Impl.  Thanks to Alain Decamps <Alain.Decamps@PIDPA.be>
          for reporting this.

Wed Mar 28 20:33:28 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/ACE.cpp: Further improved the implementation of
          handle_ready() by simply calling poll() with the timeout
          pointer.  Thanks to Przemyslaw Marciniak <pmarciniak@lucent.com>
          for reporting this.

Wed Mar 28 17:45:22 2001  Steve Huston  <shuston@riverace.com>

        * bin/make_pretty.pl: Adjust the error detector for IBM C/C++ 3.6.6.

        * ace/Containers_T.cpp: Add #include "ace/Log_Msg.h" so IBM C/C++
          can see ACE_DEBUG when compiling template instantiations.

Wed Mar 28 16:40:24 2001  Luther Baker  <luther@cs.wustl.edu>

        * ace/config-all.h

          Removed ACE_WIN32 support for ACE_HAS_POSIX_SEM just because
          ACE_HAS_PACE. This can be defined for ACE_WIN32 after we
          write more WIN32 emulation.

        * ace/OS.h
        * ace/OS.i
        * ace/OS.cpp

          PACE updates.

Wed Mar 28 11:37:09 2001  Fuzz Master D <brunsch@uci.edu>

        * bin/fuzz.pl:

          There are several instances where fuzz gives false
          positives, and the code is impossible to fix without
          creating compiler warnings.  Example:

          void function (CORBA::Environment &ACE_TRY_ENV)
          {
          #if FOO
              some_other_function (ACE_TRY_ENV);
              ACE_CHECK;
          #else
              ACE_UNUSED_ARG (ACE_TRY_ENV);
          #endif
          }

          So normally ACE_UNUSED_ARG errors can be fixed by keeping
          the CORBA::ENvironment unnamed and removing the ACE_UNUSED_ARG,
          but in this case it isn't possible.  So fuzz now accepts
          an ignore command for single line use.  The above can be fixed
          by changing to:

          void function (CORBA::Environment &ACE_TRY_ENV)
          {
          #if FOO
              some_other_function (ACE_TRY_ENV);
              ACE_CHECK;
          #else
              ACE_UNUSED_ARG (ACE_TRY_ENV); // FUZZ: ignore check_for_ace_check
          #endif
          }

Tue Mar 28 13:03:07 2001  Chad Elliott  <elliott_c@ociweb.com>

        * bin/make_pretty.pl:
          Modification to recognize HP's future errors as warnings.

Wed Mar 28 11:34:54 2001  Frank Hunleth <fhunleth@cs.wustl.edu>

        * ace/CDR_Base.inl:
          Removed memset in ACE_CDR::mb_align when ACE_HAS_PURIFY ==
          1, since it was causing some TAO unit tests to break (in
          particular, the Portable_Interceptors/Service_Context_Manipulation
          test).  After running Cubit and a few other tests, Purify didn't
          notice any more uninitialized memory accesses.  Fixes bug #828.

Wed Mar 28 11:55:39 2001  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/platform_aix_ibm.GNU: New file, replaces
          platform_aix_vacpp.GNU for Visual Age C++ 5. Also replaces
          use of platform_aix4_cset++.GNU for IBM C/C++ Compilers 3.6.6.
          So, for the supported, IBM-supplied compilers (IBM C/C++ 3.6.6
          and Visual Age C++ 5) use this file. If you want to try to keep
          using CSet++ 3.4 or earlier, you can keep using
          platform_aix4_cset++.GNU, but it's not tested any longer and
          will disappear at the next ACE version. If you want to use
          Visual Age C++ 4, you should reconsider, and upgrade to version 5.

        * include/makeinclude/platform_aix_vacpp.GNU: Deleted.

        * netsvcs/lib/TS_Clerk_Handler.h: Moved #include "ace/Connector.h"
          to be after #include "ace/SOCK_Connector.h" to fix compile error
          on AIX, Visual Age C++ 5.

        * ace/config-aix-4.x.h: Clarified comments that this file is for
          Visual Age C++ also. Added ACE_DLL_SUFFIX ".a" to match what
          is now generated from platform_aix_ibm.GNU.

        * bin/auto_compile:
        * bin/make_pretty.pl: Add detection of compile/link warnings and
          errors for AIX using the IBM compilers' code. Ignores the multiply
          defined symbol warnings from ld if it's an ACE symbol.

        * docs/ACE-development-process.html: Changed to link to Bugzilla so
          it works from anywhere.

Wed Mar 28 10:13:16 2001  Steve Huston  <shuston@riverace.com>

        * ace/Makefile.bor: Don't try to build the SSL directory if
          SSL_ROOT is not set.

Wed Mar 28 08:39:26 2001  Carlos O'Ryan  <coryan@uci.edu>

        * etc/tao_av.doxygen:
          New configuration file for the AV streaming service.  Many
          thanks to Craig Rodrigues <crodrigu@bbn.com> for converting that
          directory.

        * bin/generate_doxygen.pl:
          Add the new configuration file.

Tue Mar 27 19:54:11 2001  Carlos O'Ryan  <coryan@uci.edu>

        * bin/auto_run_tests.lst:
          Disable POA/On_Demand_Loading and POA/Loader for Linux/KCC
          builds, because that compiler has problems with destructors
          after dynamic loading.
          Also add the new Hello test to the nightly regression tests.

Tue Mar 27 19:43:39 2001  Carlos O'Ryan  <coryan@uci.edu>

        * include/makeinclude/platform_linux.GNU:
          Add support for Insure++

        * include/makeinclude/rules.local.GNU:
          Add new macro to let developers change the default destination
          for the dependencies.

        * include/makeinclude/wrapper_macros.GNU:
          Let the user override the default VDIR directory, and define the
          default values for the IDL generated code extensions.

          Thanks to Jody Hagins <jody@atdesk.com> for all these
          improvements.

Tue Mar 27 19:15:36 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/Unbounded_Queue.h:
          Add required #include for Chorus builds.

Tue Mar 27 15:28:56 2001  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/ACE.cpp (handle_ready): Don't try to dereference through
          a NULL timeout pointer!  Thanks to Przemyslaw Marciniak
          <pmarciniak@lucent.com> for reporting this.

Tue Mar 27 10:08:44 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/Select_Reactor_Base.h:
          Add missing #include for builds that define
          ACE_HAS_REACTOR_NOTIFICATION_QUEUE.

Tue Mar 27 05:35:38 2001  Christopher Kohlhoff <chris@kohlhoff.com>

        * include/makeinclude/make_flags.bor:
          Prevent PASCAL build by default with BCB5 since it is not
          required. Since both VCL and non-VCL applications share a common
          run-time library you can simply link your VCL code with a
          non-PASCAL build of the ACE+TAO libraries. This behaviour can be
          overridden by defining the FORCE_PASCAL flag.

        * include/makeinclude/build_core_exe.bor:
        * include/makeinclude/build_core_library.bor:
        * include/makeinclude/build_dll.bor:
        * include/makeinclude/build_exe.bor:
        * include/makeinclude/build_lib.bor:
        * include/makeinclude/clean.bor:
        Build all executables into a directory below the source directory.
        Core executables are then copied to the common bin directory. This
        is to allow the test scripts to assume all executables can be
        found relative to the source directory.

        * include/makeinclude/recurse.bor:
        Removed definition of OBJFILES since Borland make doesn't seem to
        support recursive macro expansion.

        * ace/config-win32-borland.h:
        * include/makeinclude/ace_flags.bor:
        Always explicitly define __ACE_INLINE__, with it defaulting to 1.
        This change will allow the same compiler flags to be used in user
        applications regardless of whether a debug or non-debug build of
        ACE is being used.

Tue Mar 27 09:48:33 2001  Johnny Willemsen <jwillemsen@remedy.nl>

        * include/makeinclude/ace_flags.bor
        Corrected the smartproxies_cflags

        * examples/IPC_SAP
        Added new BCB makefiles for these examples

        * ace/Timer_Hash_T.cpp
        * ace/Timer_Hash_T.h
        * ace/Timer_Heap_T.cpp
        * ace/Timer_Heap_T.h
        * ace/Timer_List_T.cpp
        * ace/Timer_List_T.h
        * ace/Timer_Wheel_T.cpp
        * ace/Timer_Wheel_T.h
        Made the isdone method on the iterator classes constant

        * ace/Timer_Queue_T.h
        * ace/Timer_Queue_T.i
        Several get methods are now const
        Argument of set_timer_value and set_interval is now passed by const reference

        * ace/Unbounded_Set.h
        * ace/Unbounded_Set.cpp
        * tests/Collection_Test.cpp
        Added the ACE_Unbounded_Set_Const_Iterator which can be used
        to iterate over an const set

Mon Mar 26 21:02:24 2001  Darrell Brunsch <brunsch@uci.edu>

        * ace/Log_Msg_NT_Event_Log.cpp:

          Fixed a compilation problem with RegSetValueEx when
          ACE_USES_WCHAR and UNICODE were defined.  Thanks to Nick
          Pratt <npratt@microstrategy.com> for reporting this.

        * ace/ace_dll.dsp:

          Unchecked the "separate types" option for debug linking.
          Thanks to Nick Pratt for this suggestion also.

Mon Mar 26 13:00:37 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/Node.h:
        * ace/Node.cpp:
        * ace/Array_Base.h:
        * ace/Array_Base.inl:
        * ace/Array_Base.cpp:
        * ace/Unbounded_Queue.h:
        * ace/Unbounded_Queue.inl:
        * ace/Unbounded_Queue.cpp:
        * ace/Unbounded_Set.h:
        * ace/Unbounded_Set.inl:
        * ace/Unbounded_Set.cpp:
        * ace/Containers_T.h:
        * ace/Containers_T.i:
        * ace/Containers_T.cpp:
          Move several containers to their own file.  This reduces the
          amount of code that needs to be parsed, improving compilation
          time (not to mention the fact that the code becomes more
          readable.)
          For backwards compatibility the Containers file still includes
          the new smaller files.

        * ace/Makefile:
        * ace/Makefile.am:
        * ace/Makefile.bor:
          Add new files to the install rules.
          Since they are templates they do not need to be compiled on MSVC
          so no changes to the project files are required.

        * ace/ARGV.h:
        * ace/ARGV.cpp:
        * ace/Future.h:
        * ace/Handle_Gobbler.h:
        * ace/Local_Name_Space.h:
        * ace/Malloc_Base.h:
        * ace/Memory_Pool.h:
        * ace/Name_Space.h:
        * ace/Priority_Reactor.h:
        * ace/Remote_Name_Space.h:
        * ace/Service_Config.h:
        * ace/Signal.cpp:
        * ace/Signal.h:
        * ace/Stats.h:
        * ace/Thread_Manager.h:
        * ace/Timeprobe_T.h:
        * ace/Timer_Heap_T.h:
        * ace/Timer_Queue_Adapters.h:
        * ace/TkReactor.cpp:
          To reduce compilation and recompilation times we only include
          the header file that includes the container used in each case,
          instead of the full containers class.

Fri Mar 23 12:40:34 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * apps/Gateway/Gateway/Event_Forwarding_Discriminator.cpp: Make sure
          to delete the Consumer_Dispatch_Set * that we get back from
          unbind().  Thanks to the ever vigilant Mike Winter
          <mwinter@sonic.net> for reporting this.

Thu Mar 22 10:18:24 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/SString.h: Make the various data members protected
          rather than private so subclasses can access them.  Thanks to
          Martin Krumpolec <krumpo@pobox.sk> for this suggestion.

        * tests/README: Clarified some things about the tests.
          Thanks to Eric Desamore <Eric.Desamore@idtv.bull.net> for
          motivating this.

Mon Mar 26 11:03:22 2001  Balachandran  <bala@cs.wustl.edu>

        * ACE version 5.1.14 released.

Sat Mar 24 07:02:35 2001  Chris Cleeland  <cleeland_c@ociweb.com>

        * ace/INET_Addr.i (get_host_addr): Added a const_cast to the
        VxWorks-only arm that casts away const on the this ptr so that
        inet_ntoa_b can access and fill in the buffer data member that's
        used to hold the result from inet_ntoa_b.  Thanks to Erik Johannes
        <ejohannes@oresis.com> for point this out.

Fri Mar 23 18:01:05 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * bin/auto_run_tests.lst: Some of the tests cannot be run in
          Single threaded configurations. Prevented such tests from
          running in the nightly builds.

Fri Mar 23 16:25:18 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tests/New_Fail_Test.cpp: Reverted the change from "Fri Mar 23
          06:34:33 2001  Balachandran Natarajan  <bala@cs.wustl.edu>". The
          change fails to comipile when exceptions are on.

Fri Mar 23 08:47:29 2001  Carlos O'Ryan  <coryan@uci.edu>

        * apps/Gateway/Gateway/Options.cpp:
          Explicitly #include Log_Msg.h, on platforms that do not define
          ACE_TEMPLATES_REQUIRE_SOURCE the header file is not implicitly
          included.  This should fix compilation problems on Tru64/CXX and
          SunCC/4.2

Fri Mar 23 06:34:33 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tests/New_Fail_Test.cpp: Fixed a stupid warning in g++,
          No_AMI_Messaging  builds. Surprising that it showed up only in
          this build.

Thu Mar 22 21:33:37 2001  Chris Cleeland  <cleeland_c@ociweb.com>

        * ace/INET_Addr.h: VxWorks' inet_ntoa doesn't behave like most
        others, and our use was causing memory leaks.  VxWorks prefers
        that you use its own inet_ntoa_b, which takes the buffer to fill
        as an argument.  Thus, for VxWorks, added a data member char buf
        of the appropriate length so that get_host_addr can use
        inet_ntoa_b to fill that in.

        * ace/INET_Addr.i (get_host_addr): For VxWorks only, changed this
        to use the preferred inet_ntoa_b.  This eliminate memory leaks
        under VxWorks.  Thanks to Erik Johannes <ejohannes@oresis.com> for
        the suggested fix.

Wed Mar 21 19:20:02 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * apps/Gateway/Peer/Peer.cpp (nonblk_put): Fixed a compile error
          in g++.

Wed Mar 21 17:28:26 2001  Steve Huston  <shuston@riverace.com>

        * ace/Message_Queue.h:
        * ace/Message_Queue_T.h: Moved definition of typedef for
          ACE_DEFAULT_MESSAGE_QUEUE_TYPE from Message_Queue.h to
          Message_Queue_T.h, just after defining ACE_Message_Queue<>.
          Fixes the case where Message_Queue_T.h is included first,
          it includes Message_Queue.h before ACE_Message_Queue<> is
          defined, and that breaks the compile. IBM C/C++ hit this.

Wed Mar 21 16:42:19 2001  Steve Huston  <shuston@riverace.com>

        * bin/auto_compile: Added an option: -notao to ignore the TAO aspects
          of the non-configurable things, like looking at the TAO/ChangeLog.
          Also, now looks for auto_run_tests.lst in the $BUILD/bin directory,
          not the $MODULE/bin directory - this allows some builds to specify
          their own lists.

Wed Mar 21 16:00:56 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

          The followings are contributions from Scott Snyder
          <snyder@fnal.gov> to make ACE happy on Digital UNIX with KCC
          3.4d.

        * include/makeinclude/platform_tru64_kcc.GNU:
        * include/makeinclude/platform_osf1_4.0_kcc.GNU: Added KCCOPTS and
          support for tru64 unix.

        * ace/OS.h: On this platform, we ran into problems with sigwait
          being a macro.  The fix that had been added for this was keyed
          on __DECCXX_VER, so it isn't picked up on this platform.

        * ace/Sock_Connect.cpp: Enum_Interface_Test failed on this
          platform.  The code in Socket_Connect.cpp that implements this
          is conditional on `__unix' being defined.  However, with this
          compiler, we get `unix' and `__unix__' defined, but not
          `__unix'.  Fixed by testing for `__unix__' too.

        * ace/ACE.cpp:  Cache_Conn_Test was failing.  It looks like the
          code in ACE::out_of_handles doesn't have a case to handle osf1.

Wed Mar 21 12:08:35 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

          The followings are contributions from Scott Snyder
          <snyder@fnal.gov> to make ACE happy on IRIX 6.x with KCC 3.4d.

        * include/makeinclude/platform_irix6.x_kcc.GNU:
          Disable the following warings and separate common options into
          $(KCCOPTS).

          280: declaration of a member with the same name as its class Get
          this from <netinet/in.h>.

          608: this pragma must immediately precede a declaration or
          statement Get this from <ucontext.h>.

        * ace/OS.h: Changed to only request RTLD_GROUP and RTLD_NODELETE
          if they are actually available.

        * ace/config-irix6.x-kcc.h: Undefined
          ACE_LACKS_PLACEMENT_OPERATOR_DELETE since KCC actually supports it.

          Config_Test was failing because with the default setup, ace
          tries to locate the shared memory pool at 0x04000000.  But it
          turns out that this is the same address at which irix likes to
          load the KCC shared library, libKCC.so.  So the memory pool ends
          up blowing away all the library code.  Fixed by shifting the
          default base address to 0x05000000 for this configuration.

          OS_Test was failing because on irix, kcc 4.0d miscompiles
          memchr_emulation if +K3 optimization is used.  I worked around
          this by just using the library version of memchr instead:

        * ace/ACE.cpp:  Cached_Conn_Test was failing because the code in
          ACE::out_of_handles doesn't have a case to handle irix.

        * tests/DLL_Test.cpp: It died trying to run object dtors. Fixed by
          turning off the close-on-destruction flag for this test.

Wed Mar 21 13:33:58 2001  Ossama Othman  <ossama@uci.edu>

        * examples/IPC_SAP/SSL_SAP/SSL-server-fancy.cpp:

          Patched this file so that the example actually works.  It now
          correctly interacts with the SSL client in this example.  Thanks
          to Defang Zhou <dzhou@inktomi.com> for contributing the
          patch/changes necessary to make it work.

Wed Mar 21 07:23:15 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * tests/SOCK_Connector_Test.cpp (find_another_host): Make the
          test a bit more resilent against errors with gethostbyname().
          Thanks to Lu Yunhai <luyunhai@huawei.com> for this fix.

Tue Mar 20 17:31:21 2001  Carlos O'Ryan  <coryan@uci.edu>

        * tests/run_test.lst:
          The Logging_Strategy_Test dynamically loads the Logger service
          (from netsvcs), therefore it does not work on static builds.

Tue Mar 20 18:17:24 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/OS.i: Fixed the USYNC_PROCESS arm of CreateMutex() in
          ACE_OS::mutex_init() so that it calls
          ACE_OS::set_errno_to_last_error().  Thanks to Ram Ben-Yakir
          <Ram@bandwiz.com> for reporting this.

Tue Mar 20 01:33:24 2001  Ossama Othman  <ossama@uci.edu>

        * ace/SSL/SSL_SOCK_Acceptor.cpp (ssl_accept):
        * ace/SSL/SSL_SOCK_Connector.cpp (ssl_connect):
        * ace/SSL/SSL_SOCK_Stream.i (send, close):

          Wrap the underlying OpenSSL calls in a do-while(SSL_pending())
          loop.  I decided to wrap the SSL_write() calls just in case.
          This should fix the last of the non-blocking IO issues in ACE's
          SSL wrappers.  [Bug 393]

Tue Mar 20 00:40:43 2001  Ossama Othman  <ossama@uci.edu>

        * ace/SSL/SSL_SOCK_Stream.i (recv):

          Fixed non-blocking IO support for this method.  It was necessary
          to ensure that a full SSL record was read before returning
          control to the caller.  Note that the send() method doesn't need
          modification since OpenSSL always writes a full record before
          returning.  [Bug 393]

Mon Mar 19 19:53:34 2001  Carlos O'Ryan  <coryan@uci.edu>

        * include/makeinclude/ace_flags.bor:
          Define macros for the RT Event Service test library

Mon Mar 19 16:57:43 2001  Irfan Pyarali  <irfan@cs.wustl.edu>

        * ace/TP_Reactor.cpp (handle_events): Return value from
          handle_events() after the Reactor has been deactivated should be
          -1.  We just need to remember that as illustrated in
          ACE_Reactor::run_reactor_event_loop(), this is not an error:

          if (result == -1 && this->implementation_->deactivated ())
            return 0;

        * tests/Thread_Pool_Reactor_Test.cpp (svr_worker): Changed this
          function to call ACE_Reactor::run_reactor_event_loop() instead
          of ACE_Reactor::handle_events().  In the previous revision, we
          were not handling return values from
          ACE_Reactor::handle_events() correctly when
          ACE_Reactor::deactivated() had been called.

Mon Mar 19 09:14:12 2001  Chad Elliott  <elliott_c@ociweb.com>

        * include/makeinclude/platform_chorus4.x_g++.GNU:

          Added an output option to the link command.  Linking would fail
          in cases where the output was specified in another directory.

Sun Mar 18 22:12:16 2001  Ossama Othman  <ossama@uci.edu>

        * ace/SSL/SSL_SOCK_Stream.i (close):

          Commented out debugging output that was inadvertently committed
          to the repository.

          Don't bother invalidating the handle.  Doing so can potentially
          cause some side-effects in the underlying OpenSSL
          implementation since setting the handle in the SSL_SOCK_Stream
          also causes the OpenSSL SSL_set_fd() function to be called.

          Fixed a socket leak caused by the fact that the handle was
          invalidated before the underlying ACE_SOCK_Stream was closed.

Sun Mar 18 09:46:47 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tests/New_Fail_Test.cpp: Fixed warnings in g++.

Sun Mar 18 08:31:34 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * apps/Gateway/Gateway,
        * apps/Gateway/Peer: Added a number of fixes to the Gateway and Peer
          applications.  Thanks to Lu Yunhai <luyunhai@huawei.com> for
          contributing these.

Sun Mar 18 08:31:34 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * examples/IPC_SAP/FILE_SAP/client.cpp (main): Added a couple of
          casts so that the arguments passed to printf() will match the
          format specifier types.

Sat Mar 17 18:02:28 2001  Steve Huston  <shuston@riverace.com>

        * ace/config-aix-4.x.h: Fixed settings for exceptions and
          placement delete to be ok for Visual Age C++ 5.

        * include/makeinclude/platform_aix_vacpp.GNU: Basically new,
          works with the Visual Age C++ 5 batch mode build on AIX.

        * include/makeinclude/rules.lib.GNU: Added aix_build piece to
          the section for linking a shared library. It uses the linker
          to generate a shr.o (shared) file, then inserts that into
          the library that's being built. This new section is only
          used with platform_aix_vacpp.GNU at this point.

Fri Mar 16 15:07:23 2001  Ossama Othman  <ossama@uci.edu>

        * ace/SSL/SSL_Context.h (set_mode):

          Changed the default mode from SSLv3 to SSLv23, i.e. support
          SSLv2 and SSLv3 by default.  This fixes interoperability
          with applications that use Sun's JSSE, which only supports
          SSLv2.  Thanks to Max Khon <fjoe@newst.net> for providing the
          patch.

Thu Mar 15 17:47:28 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tests/Log_Msg_Test.cpp: Changed a ERROR message as a DEBUG
          message. If it is an error message the scripts that run the
          build gets confused.

Thu Mar 15 17:42:54 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tests/Logging_Strategy_Test.cpp: Changed the "-s" option in the
          test to write the output in to the output generated in the "log"
          directory. This is just a hack to make the scoreboard clean.

Thu Mar 15 15:55:37 2001  Steve Huston  <shuston@riverace.com>

        * ace/Message_Queue_T.h: Add #include "ace/Message_Queue.h" so
          IBM Visual Age C++ sees ACE_Message_Queue_Base when instantiating
          templates.

        * ace/ace-dll.icc: Fixed after being munged in a previous commit.
          Also, corrected libACE.a generation and cleanup, and incorporated
          fixes from Steve Ige <steve.ige@reuters.com> and Jerry
          Odenwelder <jerryo@atl.fundtech.com>.

        * THANKS: Added Steve Ige to the Hall of Fame.

Thu Mar 15 11:26:35 2001  Ossama Othman  <ossama@uci.edu>

        * ace/SSL/SSL_SOCK_Acceptor.i (ACE_SSL_SOCK_Acceptor):

          Make sure the handle is set for the ACE_SSL_SOCK_Acceptor, after
          initializing the underlying ACE_SOCK_Acceptor.  This ensures
          that OpenSSL has the proper handle.  Thanks to Greg McCain
          <greg.mccain@veritas.com> for suggesting this fix.

        * THANKS:
          Added Greg to the hall of the fame.

Thu Mar 15 05:46:59 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/FILE_Addr.cpp (ACE_FILE_Addr): Make sure to divide the size of
          the filename_ by the sizeof (ACE_TCHAR) to handle unicode
          correctly.  Thanks to the ever vigilant Ivan Murphy for catching
          this!

Wed Mar 14 01:47:10 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * apps/Gateway/Gateway/Makefile:
        * apps/Gateway/Peer/Makefile:
        * apps/JAWS/server/Makefile:
        * apps/gperf/tests/Makefile:
        * examples/ASX/CCM_App/Makefile:
        * examples/Service_Configurator/IPC-tests/server/Makefile:
        * examples/Service_Configurator/Misc/Makefile:
        * examples/Timer_Queue/Makefile:
        * netsvcs/clients/Naming/Client/Makefile:
        * netsvcs/clients/Naming/Dump_Restore/Makefile:  Removed
          unnecessary 'LIBS += $(ACELIB)'.  They were causing link problem
          for the latest KCC. compiner.

Tue Mar 13 20:56:10 2001  Irfan Pyarali  <irfan@cs.wustl.edu>

        * ace/WFMO_Reactor.cpp (remove_to_be_added_handler_i):
        * ace/WFMO_Reactor.cpp (remove_suspended_handler_i):
        * ace/WFMO_Reactor.cpp (remove_handler_i):

          If a user tried to (a) remove a "to be suspended handle" from
          either the current info set or the to be added set, the handle
          was correctly removed but the "to be suspended handle" count was
          not reduced; (b) remove a "to be resumed handle" from the
          suspended set, the handle was correctly removed but the "to be
          resumed handle" count was not reduced.  Since the "to be resumed
          handle" and the "to be suspended handle" were not adjusted
          properly, the reactor kept waking up thinking that changes were
          required. Thanks to Lu Yunhai <luyunhai@huawei.com> for
          reporting this problem.

        * examples/Reactor/WFMO_Reactor/test_suspended_removals.cpp: Added
          an extensive example for regression testing the above use cases.

Tue Mar 13 15:23:04 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/Service_Manager.cpp (list_services): Fixed Unicode bugs.

Tue Mar 13 15:13:48 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * tests/Logging_Strategy_Test.cpp: Fixed Unicode related bugs.

Tue Mar 13 10:04:06 2001  Carlos O'Ryan  <coryan@uci.edu>

        * performance-tests/TCP/run_test.pl:
          Fixed the path to the $ACE_ROOT/bin directory, now the script
          runs again.

Tue Mar 13 06:04:03 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/Service_Manager.cpp (list_services): Add an indication of whether
          a service is active or paused.  Thanks to Mike Curtis for this
          improvement.

        * ace/Reactor.h: Clarified that the remove_handler (handle, mask)
          method also removes the event handle.  Thanks to Pierre Fayolle
          <fayolle@enseirb.fr> for reporting this.

        * tests/Logging_Strategy_Test.cpp (get_statistic): Replace struct stat
          with ACE_stat.  Thanks to Johnny Willemsen for reporting this.

Tue Mar 13 00:35:35 2001  Irfan Pyarali  <irfan@cs.wustl.edu>

        * ace/Select_Reactor_T.i (deactivated): Reverted this change
          regarding Select_Reactor_T::deactivated():

          Thu Feb 22 12:28:15 2001  Irfan Pyarali  <irfan@cs.wustl.edu>

          Though my change improved correctness of access and change to
          the <deactivated_> variable, it had a negative consequence: the
          event loop calls Select_Reactor_T::deactivated() before calling
          Select_Reactor_T::handle_events() to make sure that the reactor
          is not closed yet.  Unfortunately, if
          Select_Reactor_T::deactivated() has a guard, it will send a null
          event waking up the current leader and thus lead to unnecessary
          thrashing.  For now, I have removed the guard from the
          Select_Reactor_T::deactivated() methods.  We should revisit this
          issue some time again.  This fixes bug 816.

Mon Mar 12 16:30:32 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tests/Logging_Strategy_Test.cpp (main): Fixed the rest of the
          warnings in VxWorks builds.

Mon Mar 12 16:21:42 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tests/Logging_Strategy_Test.cpp (main): Fixed a couple of
          warnings in VxWorks build. Couple of more warnings are left.

Mon Mar 12 14:16:03 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * ace/Local_Name_Space_T.cpp (create_manager_i): Fixed a compile
          error on Win32 Unicode platforms.

Mon Mar 12 12:12:36 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ACE-INSTALL.html: Also mentioned Windows 2000 explicitly in the
          document.  Thanks to Rahul Shukla <rshukla@ggn.aithent.com> for
          raising the question.

Mon Mar 12 00:49:24 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * tests/tests.dsw:
        * tests/Logging_Strategy_Test.dsp: Added a new dsp file.

Sun Mar 11 21:00:16 2001  Carlos O'Ryan  <coryan@uci.edu>

        * bin/auto_compile:
          Print out the config.h and platform_macros.GNU files, this is
          useful when debugging builds.

Sun Mar 11 18:41:08 2001  Douglas C. Schmidt  <schmidt@tango.cs.wustl.edu>

        * ace/CDR_Stream.h: Updated a comment to clarify that the buffer()
          method just returns a pointer to the first block in the chain.
          Thanks to Johnny Willemsen for pointing this out.

Sun Mar 11 17:46:45 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * ace/Local_Name_Space_T.cpp: Fixed a compiler error on Win32
          Unicode platforms.

Sun Mar 11 17:28:40 2001  Irfan Pyarali  <irfan@cs.wustl.edu>

        * ace/QoS/QoS_Session_Impl.cpp (rsvp_callback): <errflags> was unused.

Sun Mar 11 08:31:05 2001  Douglas C. Schmidt  <schmidt@tango.cs.wustl.edu>

        * tests/Makefile.bor (NAMES): Added Logging_Strategy_Test.

Sun Mar 11 07:32:18 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tests/Logging_Strategy_Test.cpp (order): Fixed a warning in g++
          builds.

Sat Mar 10 23:15:10 2001  Carlos O'Ryan  <coryan@uci.edu>

        * bin/auto_run_tests.lst:
          Fixed name of Crashed_Callback test

Sat Mar 10 19:28:30 PST 2001 Mayur Deshpande <mayur@ics.uci.edu>

        * include/makeinclude/platform_qnx_rtp_gcc.GNU:
          Fixes to enable debugging on QNX without ACE crashing.
          Thanks to Andy Olson for the suggestions.

Sat Mar 10 19:05:38 2001  Darrell Brunsch <brunsch@uci.edu>

        * ace/config-win32.h:

          Include config-win32-common.h even on Windows CE.

        * ace/config-win32-msvc-6.h:

          If ACE_ENDTHREADEX is already defined, don't define it.

        * ace/OS_Dirent.h:

          Changed the use of ACE_WINCE to ACE_HAS_WINCE.

        * ace/Service_Manager.cpp:

          Fixed a couple of ACE_TCHAR/ACE_LIB_TEXT problems.

        * ace/ace_wchar.h:

          On Windows CE, #include wtypes.h.

        * ace/ace_dll.vcp:
        * ace/ace_os_dll.vcp:

          Redid the output files and directories.  Now intermediate
          files go into Release/PLATFORM and Debug/PLATFORM (where
          PLATFORM = MIPS/ARM/X86EM/SH3/SH4).  The *.lib files go
          into ../Lib/PLATFORM and the *.dll into ../bin/PLATFORM.
          Also, the DLL's were renamed from ace_dll.dll and
          ace_os_dll.dll to ace[d].dll and ace_os[d].dll.

        * bin/pippen.pl:

          Changed the environment variables from DEFAULT_COMPILER and
          DEFAULT_CONFIGS to PIPPEN_COMPILER and PIPPEN_CONFIGS. Also
          used \Q\E for the configs because some of the Windows CE
          configs confused the script because they use parentheses.

Sat Mar 10 16:59:51 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ACE-INSTALL.html:
          Remove references to the now obsolete config-linux-lxpthreads.h
          and platform_linux_lxpthread.GNU

Sat Mar 10 16:38:22 2001  Carlos O'Ryan  <coryan@uci.edu>

        * tests/run_test.lst:
          Running the Recursive_Mutex_Test on single-threaded builds makes
          very little sense.

Sat Mar 10 16:35:19 2001  Carlos O'Ryan  <coryan@uci.edu>

        * bin/auto_run_tests.lst:
          Add new tests: Muxing, Crashed_Callback, Client_Leaks and
          Server_Leaks to the nightly runs.

Sat Mar 10 17:55:53 2001  Douglas C. Schmidt  <schmidt@tango.cs.wustl.edu>

        * include/makeinclude: Zapped the platform_linux_pthread.GNU,
          platform_linux_lxpthread.GNU, and platform_linux_lxpthreads.GNU
          files since they are confusing and shouldn't not be used in
          favor of platform_linux.GNU.

        * ace: Zapped the config-linux.pthread.h and config-linux-lxpthreads.h
          file since they are confusing and shouldn't not be used in favor
          of config-linux.h.  Thanks to Craig Rodrigues for this
          suggestion.

Sat Mar 10 12:39:16 2001  Craig Rodrigues  <crodrigu@bbn.com>

        * ace/Reactor.h:
        * ace/WFMO_Reactor.h:
        * ace/Select_Reactor_T.h:
        * ace/Reactor_Impl.h:
          Cleaned up comment for schedule_timer()

Sat Mar 10 07:05:16 2001  Douglas C. Schmidt  <schmidt@tango.cs.wustl.edu>

        * tests: Added Logging_Strategy_Test.cpp.  Thanks to Orlando
          Ribeiro <oribeiro@inescporto.pt> for contributing this.

        * tests/Makefile (BIN): Added Logging_Strategy_Test.

        * tests/run_test.lst: Added Log_Msg_Test and
          the new Logging_Strategy_Test.

        * tests/Log_Msg_Test.cpp: Added ACE_TEXT macros to all the ACE_DEBUG and
          ACE_ERROR calls.

        * ace/Service_Manager.{h,cpp}: Refactored the request processing
          code so that it's in a single place.  Also, added support to
          enable remote reconfiguration.  Thanks to Mike Curtis
          <mccurry@my-deja.com> for contributing this.

        * ace/Logging_Strategy.cpp (parse_args): Fixed a mistaken
          re-initialization of the thread_priority_mask_ and the
          process_priority_mask_.  Thanks to Martin Krumpolec
          <krumpo@pobox.sk> for reporting this.

        * ace/Local_Name_Space_T.cpp (create_manager_i): Fixed this code so that
          it doesn't fail if run on a directory that doesn't support locks
          (like some NFS mounts).  Thanks to scott snyder
          <snyder@fnal.gov> for reporting this.

        * tests/SOCK_Connector_Test.cpp: Split up a loop so that the test
          doesn't hang on RedHat Linux 7.0.  Thanks to Michael Searles
          <msearles@base16.com> for this fix.

Fri Mar  9 22:39:28 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/Svc_Conf.h:
        * ace/Service_Config.h:
        * ace/Service_Config.cpp:
          Add new method to the Service Configurator to add static
          services into the repository, this factors out common code used
          in the ORB and ACE.  In general it fixes the hacks done this
          past Feb 20th

Fri Mar  9 16:47:15 2001  Priyanka Gontla  <pgontla@ece.uci.edu>

        * bin/nightlybuilds/builds.lst (LIST):
          Added HPUX to the scoreboard.

Fri Mar  9 14:34:34 2001  Chad Elliott  <elliott_c@ociweb.com>

        * PACE/Makefile:
        * apps/drwho/Makefile:
        * bin/PerlACE/Process_Unix.pm:
        * include/makeinclude/platform_chorus4.x_g++.GNU:

          Modifications to make things build and run correctly with
          Chorus 4.0.1.

Thu Mar  8 08:38:01 2001  Carlos O'Ryan  <coryan@uci.edu>

        * bin/auto_run_tests.lst:
          The Single_Threaded_POA test cannot run with minimum CORBA or
          (isn't this ironic) on single threaded configurations.

Wed Mar 07 20:25:51 2001  Carlos O'Ryan  <coryan@uci.edu>

        * bin/nightlybuilds/builds.lst:
          Add QNX to the configurations in the scoreboard.

Wed Mar  7 12:41:05 2001  Douglas C. Schmidt  <schmidt@tango.cs.wustl.edu>

        * ace/Select_Reactor_T.h,
        * ace/Reactor_Impl.h,
        * ace/WFMO_Reactor.h,
        * ace/Reactor.h: Updated the comments to be more accurate.  Thanks
          to Craig Rodrigues for reporting this.

Wed Mar  7 08:57:42 2001  Darrell Brunsch <brunsch@uci.edu>

        * ace/Asynch_IO.h:
          Changed use of ACE_UNIMPLEMENTED_FUNC to just defining the
          assignment operators outright.  The point here is to just
          provide any implementation, since the default one is flagged as
          causing infinite recursion.

          Thanks to David Levine for pointing out this incorrect usage of
          the macro.

        * ace/config-win32-msvc-5.h:
        * ace/config-win32-msvc-6.h:

          @file comments were mismatched.

        * ace/config-win32.h:

          Changed config-win32-wince.h to config-WinCE.h.

        * ace/ace_wchar.h:
        * ace/Log_Msg_NT_Event_Log.cpp:

          Changed several system calls to ACE_TEXT_* (and needed to
          add some to ace_wchar.h) since they need the ACE_TEXT
          treatment.

Wed Mar  7 08:20:01 2001  Chad Elliott  <elliott_c@ociweb.com>

        * ace/ARGV.cpp:

          Removed a warning about possible use of uninitialized variable.

        * bin/ace_ld:

          Added new functionality to filter out the harmless symbol size
          change warnings for VxWorks 5.4.

        * examples/Shared_Malloc/test_multiple_mallocs.cpp:
        * examples/Shared_Malloc/test_persistence.cpp:
        * examples/Shared_Malloc/test_position_independent_malloc.cpp:

          Renamed the typedef MALLOC to TEST_MALLOC.  A MALLOC macro is
          defined by a VxWorks system header.

Wed Mar  7 06:11:52 2001  Douglas C. Schmidt  <schmidt@tango.cs.wustl.edu>

        * ace/Asynch_IO.h: Removed the unnecessary/improper ';' at the
          end of the line.  Thanks to Johnny Willemsen and Chris Kohlhoff
          for reporting/fixing this.

        * ace/*_Connector.h: Clarified in the comments that the
          ACE_Time_Value *timeout represents the *maximum* amount of time
          to wait.  If the server is not running, however, connect() can
          return much sooner.  Thanks to Dipti Jain <dijain@hss.hns.com>
          for motivating this.

Tue Mar  6 14:14:06 2001  Darrell Brunsch <brunsch@uci.edu>

        Here are some fixes for MSVC 7 beta.  Note that no project files
        are checked in.  Right now they will have to be generated from
        the MSVC 5/6 files (The devenv.exe will do this automatically).
        When MSVC 7 becomes released, we'll probably have to deal with
        including their files (even if only for nightly builds).

        * ace/OS.h:
        * ace/config-win32-msvc.h:

          Moved the inclusion of the crtdbg.h file to where it is being
          used.  This is mainly to alleviate some excessive inclusions.

        * ace/config-WinCE.h:
        * ace/config-win32.h:
        * ace/config-win32-msvc-5.h: (added)
        * ace/config-win32-msvc-6.h: (added)
        * ace/config-win32-msvc-7.h: (added)
        * ace/config-win32-borland.h:
        * ace/config-win32-common.h:
        * ace/config-win32-ghs.h:
        * ace/config-win32-msvc.h:
        * ace/config-win32-visualage.h:

          Added a new config-win32-msvc-7.h with some new settings.  While
          doing this I also rearranged the files a bit.  Everything now
          goes through config-win32.h (and an error will occur if you
          include the others directly).

        * ace/config-hpux-10.x-hpc++.h:
        * ace/config-hpux-11.00.h:
        * ace/config-win32-msvc-5.h:
        * ace/config-win32-msvc-6.h:
        * ace/README:

          Removed ACE_HAS_ONE_DEFINITION_RULE.  Could not find this
          actually used anywhere so I'm assuming it can be safely
          removed.

        * ace/Asynch_IO.h:

          Added some dummy assignment operators.  It seems that the default
          ones produce infinite recursion (at least with MSVC 6 SP5 and
          MSVC 7 beta)

        * ace/Future.h:

          Future_Holder needs to be ACE_Export-ed.

Tue Mar  6 16:58:17 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * ace/ACE.cpp (format_hexdump): The format_hexdump () was missing
          a space if the remaining message that needs dumping was less
          than 16 bytes. Thansk to Johnny Willemsen"
          <johnny.willemsen@meco.nl> for giving this fix.

Tue Mar  6 11:25:53 2001  Carlos O'Ryan  <coryan@uci.edu>

        * bin/PerlACE/Process_Unix.pm:
          Ignore SIGABRT too, because it is used by abort() and we call
          that function to test the ORB under fault conditions.

Tue Mar  6 12:25:34 2001  Chad Elliott  <elliott_c@ociweb.com>

        * configure.in:

          The configure script was broken on major releases (i.e. those with
          no beta numbers).  A test for an empty string should have double
          quotes around the variable.

Tue Mar  6 10:16:31 2001  Darrell Brunsch <brunsch@uci.edu>

        * ace/config-win32-common.h:
          Removed old comment about ACE_HAS_WINSOCK2 being related to
          ACE_HAS_WINNT4.  Thanks to Johnny Willemsen
          <jwillemsen@remedy.nl> for pointing this out.

Tue Mar  6 10:13:03 2001  Carlos O'Ryan  <coryan@uci.edu>

        * tests/RMCast/RMCast_Fragment_Test.cpp:
        * tests/RMCast/RMCast_Membership_Test.cpp:
        * tests/RMCast/RMCast_Reassembly_Test.cpp:
        * tests/RMCast/RMCast_Reordering_Test.cpp:
        * tests/RMCast/RMCast_Retransmission_Test.cpp:
          Use ACE_OS::time(0) to initialize the pseudo-random numbers
          seed.  It is good enough for our purposes, and it works on
          platforms without 64-bit integer support.

Mon Mar  5 13:56:33 2001  Douglas C. Schmidt  <schmidt@tango.cs.wustl.edu>

        * ace/Synch_T.{h,i}: Further simplified the new ACE_Guard constructor.
          Thanks to Chris Kohlhoff <chris@kohlhoff.com> for contributing
          this.

Mon Mar  5 19:20:45 2001  Fuzz Master D <brunsch@uci.edu>

        * bin/fuzz.pl:
          As Ossama pointed out, the ACE_CHECK test was seeing
          problems in the tao_idl files since it has uses of ACE_TRY_ENV
          inside quotes.  Made sure not to detect problems in this case.

Mon Mar  5 18:58:32 2001  Fuzz Master D <brunsch@uci.edu>

        * bin/fuzz.pl:
          Fixed some false positives in the resolve_initial_reference
          test and also added an ACE_CHECK test by Carlos's request.

Mon Mar  5 18:54:42 2001  Darrell Brunsch <brunsch@uci.edu>

        * bin/PerlACE/Process_Unix.pm:
          Updated the signal detection to not pay attention to TERM and
          KILL.  Will print out better output when signals cause a process
          to exit during most calls like Kill () or TerminateWaitKill ().

Mon Mar  5 13:56:33 2001  Douglas C. Schmidt  <schmidt@tango.cs.wustl.edu>

        * ace/Synch_T.{h,i}: Added a new ACE_Guard constructor that
          allows the caller to select whether the guard owns/acquires the
          lock or not.  Thanks to Chris Kohlhoff <chris@kohlhoff.com> for
          contributing this.

        * ace/Synch_T.{h,i}: Added a disown() method that relinquishes
          ownership of the lock so that it is not released implicitly in
          the destructor.  Thanks to Chris Kohlhoff <chris@kohlhoff.com>
          for contributing this.

        * ace/Event_Handler.h: Updated the comment on handle_close() so that
          it more accurately reflects what is going on.  Thanks to Defang
          Zhou <dzhou@inktomi.com> for suggesting this.

        * apps/Gateway/Gateway/Concrete_Connection_Handlers.{h,cpp}: Added
          handle_close() operations to solve problems with certain
          concurrency models.  Thanks to Defang Zhou <dzhou@inktomi.com>
          for reporting this.

Mon Mar  5 11:29:36 2001  Carlos O'Ryan  <coryan@uci.edu>

        * docs/ACE-categories.html:
          Fixed links to the doxygen files.

        * ace/Pipe.cpp:
          Fixed what looks like a typo, we want to *disable* the stream
          pipes under QNX, not to enable them just on that platform.

Mon Mar  5 08:20:21 2001  Carlos O'Ryan  <coryan@uci.edu>

        * tests/RMCast/RMCast_Fragment_Test.cpp:
        * tests/RMCast/RMCast_Reassembly_Test.cpp:
          Undo Doug's changes.  They broke the test.

Mon Mar  5 07:52:52 2001  Douglas C. Schmidt  <schmidt@tango.cs.wustl.edu>

        * ace/Log_Record.cpp (priority): Clarified the behavior of the
          priority() set/get methods.  Thanks to Christian Schuhegger
          <Christian.Schuhegger@cern.ch> for reporting this.

        * tests/RMCast/RMCast_Fragment_Test.cpp,
        * tests/RMCast/RMCast_Reassembly_Test.cpp,
        * tests/Dynamic_Priority_Test.cpp,
        * tests/Thread_Pool_Test.cpp: Make sure to write into the
          wr_ptr() rather than the rd_ptr().  Thanks to Gonzalo Diethelm
          <Gonzalo.Diethelm@sonda.com> for reporting this.

Mon Mar  5 08:00:23 2001  Chad Elliott  <elliott_c@ociweb.com>

        * bin/nightlybuilds/builds.lst:

          Added new VxWorks 5.4 and Chorus 4.0.1 nightly builds.

Mon Mar 05 00:10:15 2001  Ossama Othman  <ossama@uci.edu>

        * bin/fuzz.pl:

          Updated to detect missing ACE_TRY_ENV parameters in
          ORB::resolve_initial_references() calls when emulated exceptions
          are used.  Thanks to Darrell for providing this update.

Mon Mar  5 07:57:07 2001  Johnny Willemsen <jwillemsen@remedy.nl>

        * tests/Makefile.bor:

          Added missing Refcounted_Auto_Ptr_Test to the build

Sun Mar  4 19:31:16 2001  Darrell Brunsch <brunsch@uci.edu>

        * bin/auto_run_tests.lst:

          Added the run_test_mt.pl for Leader_Follers.

        * bin/PerlACE/Process_Unix.pm:
        * bin/PerlACE/Process_Win32.pm:

          Added a destructor to detect if a process wasn't explicitly
          killed before the object went out of scope. Will print out
          an error and kill it.

        * bin/PerlACE/Run_Test.pm:

          Turned on autoflush for all scripts.

        * docs/run_test.txt:

          Updated run_test.pl instructions to fit all the changes I
          just made.

        * examples/Export/run_test.pl:
        * performance-tests/RPC/run_test.pl:
        * performance-tests/TCP/run_test.pl:
        * performance-tests/UDP/run_test.pl:

          Updated to use PerlACE::Run_Test;

        * tests/Atomic_Op_Test.dsp:
        * tests/Auto_IncDec_Test.dsp:
        * tests/Barrier_Test.dsp:
        * tests/Basic_Types_Test.dsp:
        * tests/Buffer_Stream_Test.dsp:
        * tests/CDR_Array_Test.dsp:
        * tests/CDR_File_Test.dsp:
        * tests/CDR_Test.dsp:
        * tests/Cache_Map_Manager_Test.dsp:
        * tests/Cached_Accept_Conn_Test.dsp:
        * tests/Cached_Conn_Test.dsp:
        * tests/Capabilities_Test.dsp:
        * tests/Collection_Test.dsp:
        * tests/Config_Test.dsp:
        * tests/Conn_Test.dsp:
        * tests/DLL_Test.dsp:
        * tests/DLList_Test.dsp:
        * tests/Dirent_Test.dsp:
        * tests/Dynamic_Priority_Test.dsp:
        * tests/Enum_Interfaces_Test.dsp:
        * tests/Env_Value_Test.dsp:
        * tests/Future_Set_Test.dsp:
        * tests/Future_Test.dsp:
        * tests/Handle_Set_Test.dsp:
        * tests/Hash_Map_Bucket_Iterator_Test.dsp:
        * tests/Hash_Map_Manager_Test.dsp:
        * tests/High_Res_Timer_Test.dsp:
        * tests/IOStream_Test.dsp:
        * tests/Lazy_Map_Manager_Test.dsp:
        * tests/Log_Msg_Test.dsp:
        * tests/MEM_Stream_Test.dsp:
        * tests/MM_Shared_Memory_Test.dsp:
        * tests/MT_Reactor_Timer_Test.dsp:
        * tests/MT_SOCK_Test.dsp:
        * tests/Malloc_Test.dsp:
        * tests/Map_Manager_Test.dsp:
        * tests/Map_Test.dsp:
        * tests/Mem_Map_Test.dsp:
        * tests/Message_Block_Test.dsp:
        * tests/Message_Queue_Notifications_Test.dsp:
        * tests/Message_Queue_Test.dsp:
        * tests/Message_Queue_Test_Ex.dsp:
        * tests/Naming_Test.dsp:
        * tests/New_Fail_Test.dsp:
        * tests/Notify_Performance_Test.dsp:
        * tests/OS_Test.dsp:
        * tests/Object_Manager_Test.dsp:
        * tests/OrdMultiSet_Test.dsp:
        * tests/Pipe_Test.dsp:
        * tests/Priority_Buffer_Test.dsp:
        * tests/Priority_Reactor_Test.dsp:
        * tests/Priority_Task_Test.dsp:
        * tests/Process_Manager_Test.dsp:
        * tests/Process_Mutex_Test.dsp:
        * tests/Process_Strategy_Test.dsp:
        * tests/RB_Tree_Test.dsp:
        * tests/Reactor_Exceptions_Test.dsp:
        * tests/Reactor_Notify_Test.dsp:
        * tests/Reactor_Performance_Test.dsp:
        * tests/Reactor_Timer_Test.dsp:
        * tests/Reactors_Test.dsp:
        * tests/Reader_Writer_Test.dsp:
        * tests/Recursive_Mutex_Test.dsp:
        * tests/Refcounted_Auto_Ptr_Test.dsp:
        * tests/Reverse_Lock_Test.dsp:
        * tests/SOCK_Connector_Test.dsp:
        * tests/SOCK_Send_Recv_Test.dsp:
        * tests/SOCK_Test.dsp:
        * tests/SPIPE_Test.dsp:
        * tests/SString_Test.dsp:
        * tests/SV_Shared_Memory_Test.dsp:
        * tests/Semaphore_Test.dsp:
        * tests/Service_Config_Test.dsp:
        * tests/Sigset_Ops_Test.dsp:
        * tests/Simple_Message_Block_Test.dsp:
        * tests/Svc_Handler_Test.dsp:
        * tests/TSS_Test.dsp:
        * tests/Task_Test.dsp:
        * tests/Thread_Manager_Test.dsp:
        * tests/Thread_Mutex_Test.dsp:
        * tests/Thread_Pool_Reactor_Test.dsp:
        * tests/Thread_Pool_Test.dsp:
        * tests/Time_Service_Test.dsp:
        * tests/Time_Value_Test.dsp:
        * tests/Timeprobe_Test.dsp:
        * tests/Timer_Queue_Test.dsp:
        * tests/Tokens_Test.dsp:
        * tests/UPIPE_SAP_Test.dsp:
        * tests/Upgradable_RW_Test.dsp:
        * tests/version_tests/Atomic_Op_Test.dsp: (removed)
        * tests/version_tests/Auto_IncDec_Test.dsp: (removed)
        * tests/version_tests/Barrier_Test.dsp: (removed)
        * tests/version_tests/Basic_Types_Test.dsp: (removed)
        * tests/version_tests/Buffer_Stream_Test.dsp: (removed)
        * tests/version_tests/CDR_Array_Test.dsp: (removed)
        * tests/version_tests/CDR_File_Test.dsp: (removed)
        * tests/version_tests/CDR_Test.dsp: (removed)
        * tests/version_tests/Cache_Map_Manager_Test.dsp: (removed)
        * tests/version_tests/Cached_Accept_Conn_Test.dsp: (removed)
        * tests/version_tests/Cached_Conn_Test.dsp: (removed)
        * tests/version_tests/Capabilities_Test.dsp: (removed)
        * tests/version_tests/Collection_Test.dsp: (removed)
        * tests/version_tests/Config_Test.dsp: (removed)
        * tests/version_tests/Conn_Test.dsp: (removed)
        * tests/version_tests/DLL_Test.dsp: (removed)
        * tests/version_tests/DLList_Test.dsp: (removed)
        * tests/version_tests/Dirent_Test.dsp: (removed)
        * tests/version_tests/Dynamic_Priority_Test.dsp: (removed)
        * tests/version_tests/Enum_Interfaces_Test.dsp: (removed)
        * tests/version_tests/Env_Value_Test.dsp: (removed)
        * tests/version_tests/Future_Set_Test.dsp: (removed)
        * tests/version_tests/Future_Test.dsp: (removed)
        * tests/version_tests/Handle_Set_Test.dsp: (removed)
        * tests/version_tests/Hash_Map_Bucket_Iterator_Test.dsp: (removed)
        * tests/version_tests/Hash_Map_Manager_Test.dsp: (removed)
        * tests/version_tests/High_Res_Timer_Test.dsp: (removed)
        * tests/version_tests/IOStream_Test.dsp: (removed)
        * tests/version_tests/Lazy_Map_Manager_Test.dsp: (removed)
        * tests/version_tests/Log_Msg_Test.dsp: (removed)
        * tests/version_tests/MEM_Stream_Test.dsp: (removed)
        * tests/version_tests/MM_Shared_Memory_Test.dsp: (removed)
        * tests/version_tests/MT_Reactor_Timer_Test.dsp: (removed)
        * tests/version_tests/MT_SOCK_Test.dsp: (removed)
        * tests/version_tests/Malloc_Test.dsp: (removed)
        * tests/version_tests/Map_Manager_Test.dsp: (removed)
        * tests/version_tests/Map_Test.dsp: (removed)
        * tests/version_tests/Mem_Map_Test.dsp: (removed)
        * tests/version_tests/Message_Block_Test.dsp: (removed)
        * tests/version_tests/Message_Queue_Notifications_Test.dsp: (removed)
        * tests/version_tests/Message_Queue_Test.dsp: (removed)
        * tests/version_tests/Message_Queue_Test_Ex.dsp: (removed)
        * tests/version_tests/Naming_Test.dsp: (removed)
        * tests/version_tests/New_Fail_Test.dsp: (removed)
        * tests/version_tests/Notify_Performance_Test.dsp: (removed)
        * tests/version_tests/OS_Test.dsp: (removed)
        * tests/version_tests/Object_Manager_Test.dsp: (removed)
        * tests/version_tests/OrdMultiSet_Test.dsp: (removed)
        * tests/version_tests/Pipe_Test.dsp: (removed)
        * tests/version_tests/Priority_Buffer_Test.dsp: (removed)
        * tests/version_tests/Priority_Reactor_Test.dsp: (removed)
        * tests/version_tests/Priority_Task_Test.dsp: (removed)
        * tests/version_tests/Process_Manager_Test.dsp: (removed)
        * tests/version_tests/Process_Mutex_Test.dsp: (removed)
        * tests/version_tests/Process_Strategy_Test.dsp: (removed)
        * tests/version_tests/RB_Tree_Test.dsp: (removed)
        * tests/version_tests/Reactor_Exceptions_Test.dsp: (removed)
        * tests/version_tests/Reactor_Notify_Test.dsp: (removed)
        * tests/version_tests/Reactor_Performance_Test.dsp: (removed)
        * tests/version_tests/Reactor_Timer_Test.dsp: (removed)
        * tests/version_tests/Reactors_Test.dsp: (removed)
        * tests/version_tests/Reader_Writer_Test.dsp: (removed)
        * tests/version_tests/Recursive_Mutex_Test.dsp: (removed)
        * tests/version_tests/Refcounted_Auto_Ptr_Test.dsp: (removed)
        * tests/version_tests/Reverse_Lock_Test.dsp: (removed)
        * tests/version_tests/SOCK_Connector_Test.dsp: (removed)
        * tests/version_tests/SOCK_Send_Recv_Test.dsp: (removed)
        * tests/version_tests/SOCK_Test.dsp: (removed)
        * tests/version_tests/SPIPE_Test.dsp: (removed)
        * tests/version_tests/SString_Test.dsp: (removed)
        * tests/version_tests/SV_Shared_Memory_Test.dsp: (removed)
        * tests/version_tests/Semaphore_Test.dsp: (removed)
        * tests/version_tests/Service_Config_Test.dsp: (removed)
        * tests/version_tests/Sigset_Ops_Test.dsp: (removed)
        * tests/version_tests/Simple_Message_Block_Test.dsp: (removed)
        * tests/version_tests/Svc_Handler_Test.dsp: (removed)
        * tests/version_tests/TSS_Test.dsp: (removed)
        * tests/version_tests/Task_Test.dsp: (removed)
        * tests/version_tests/Thread_Manager_Test.dsp: (removed)
        * tests/version_tests/Thread_Mutex_Test.dsp: (removed)
        * tests/version_tests/Thread_Pool_Reactor_Test.dsp: (removed)
        * tests/version_tests/Thread_Pool_Test.dsp: (removed)
        * tests/version_tests/Time_Service_Test.dsp: (removed)
        * tests/version_tests/Time_Value_Test.dsp: (removed)
        * tests/version_tests/Timeprobe_Test.dsp: (removed)
        * tests/version_tests/Timer_Queue_Test.dsp: (removed)
        * tests/version_tests/Tokens_Test.dsp: (removed)
        * tests/version_tests/UPIPE_SAP_Test.dsp: (removed)
        * tests/version_tests/Upgradable_RW_Test.dsp: (removed)
        * tests/version_tests/run_all_tests.bat: (removed)
        * tests/version_tests/version_tests.dsw: (removed)

          Moved the version_tests back into the tests/*.dsp files.  The
          reason they were originally moved is because it was easier to
          select all the debug versions during a batch build.  But now we
          have pippen.pl and msvc_auto_compile.pl, so this is no longer an
          issue, while this strange setup would compilicate the nightly
          builds.  Thus, it was standardized back.

        * bin/create_vt_dsps.pl: (removed)

          No need for this anymore.

Sun Mar  4 19:27:42 2001  Darrell Brunsch <brunsch@uci.edu>

        * ace/Log_Msg.cpp:
        * ace/Log_Msg_NT_Event_Log.h:
        * ace/OS.cpp:

          Disabled Log_Msg_NT_Event_Log on Windows CE.

Sun Mar 04 13:19:35 2001  Carlos O'Ryan  <coryan@uci.edu>

        * etc/tao.doxygen:
          Add .txt files, so we can add web pages to the basic TAO
          documentation.

Sun Mar 04 10:58:08 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/ace_dll.dsp:
        * ace/ace_lib.dsp: Added Log_Msg_NT_Event_Log.{h,cpp} to NT
          project files.

Sun Mar  4 10:41:57 2001  Douglas C. Schmidt  <schmidt@tango.cs.wustl.edu>

        * ace/Log_Msg.cpp,
          ace/Log_Msg.h,
          ace/Logging_Strategy.cpp,
          ace/Makefile.bor,
          ace/OS.cpp,
          ace/OS.h,
          ace/OS.i,
          ace/ace.rc: Added support for the new NT event logging capability.
          Thanks to Chris Kohlhoff <chris@kohlhoff.com> for contributing this.

        * ace/Log_Msg_NT_Event_Log.cpp
          ace/Log_Msg_NT_Event_Log.h
          ace/ace_message_table.bin:  Added these files to support the new
          NT event logging capability.
          Thanks to Chris Kohlhoff <chris@kohlhoff.com> for contributing
          this.

Sun Mar  4 04:46:44 2001  Darrell Brunsch <brunsch@uci.edu>

        * bin/nightlybuilds/builds.lst:

          Added new Windows CE nightly build.

Sun Mar 04 03:12:17 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * bin/generate_export_file.pl: ACE_AS_STATIC_LIBS was incorrectly
          typed in as ACE_STATIC_LIBS.

        * ace/svc_export.h:
        * ace/RMCast/RMCast_Export.h:
        * ace/SSL/SSL_Export.h:
        * websvcs/lib/websvcs_export.h: These files didn't check for
          ACE_AS_STATIC_LIBS to determine if they should define their
          export macros for static build.  Thanks to Chris Kohlhoff
          <chris@kohlhoff.com> for reporting this.  [Bug 813]

Sat Mar  3 19:07:31 2001  Pradeep Gore  <pradeep@cs.wustl.edu>

        * ace/QoS/QoS_Session_Impl.cpp:
        * ace/QoS/QoS_Session_Impl.i:
        * examples/QOS/Fill_ACE_QoS.cpp:
        * examples/QOS/Fill_ACE_QoS.h:
        * examples/QOS/Makefile:
        * examples/QOS/QoS_Util.cpp:
        * examples/QOS/Receiver_QoS_Event_Handler.cpp:
        * examples/QOS/Sender_QoS_Event_Handler.cpp:
          Fixed various compile warnings when compiling with rapi=1 on
          Redhat Linux 6.2

Sat Mar  3 16:47:53 2001  Darrell Brunsch <brunsch@uci.edu>

        * bin/fuzz.pl:

          Changed the detection pattern a bit to pick up
          stuff like:

          void
          operator < (...)

          better.

        * ace/Auto_Ptr.i:
        * ace/Base_Thread_Adapter.cpp:
        * ace/Based_Pointer_T.i:
        * ace/Connector.cpp:
        * ace/Containers_T.cpp:
        * ace/DEV_Addr.i:
        * ace/Dynamic.i:
        * ace/FILE.cpp:
        * ace/Flag_Manip.i:
        * ace/Handle_Set.i:
        * ace/Hash_Map_Manager_T.cpp:
        * ace/Lib_Find.cpp:
        * ace/Local_Name_Space_T.cpp:
        * ace/Local_Tokens.cpp:
        * ace/MEM_Addr.i:
        * ace/Malloc.cpp:
        * ace/Malloc_Allocator.cpp:
        * ace/Malloc_T.cpp:
        * ace/Memory_Pool.cpp:
        * ace/Message_Block.cpp:
        * ace/Message_Block.i:
        * ace/Message_Block_T.cpp:
        * ace/Message_Queue.i:
        * ace/Message_Queue_T.cpp:
        * ace/Message_Queue_T.i:
        * ace/Naming_Context.cpp:
        * ace/OS.cpp:
        * ace/OS.i:
        * ace/PI_Malloc.cpp:
        * ace/POSIX_Asynch_IO.cpp:
        * ace/Process_Manager.cpp:
        * ace/QtReactor.cpp:
        * ace/RB_Tree.i:
        * ace/RW_Process_Mutex.cpp:
        * ace/Reactor.cpp:
        * ace/Remote_Name_Space.cpp:
        * ace/Remote_Tokens.cpp:
        * ace/SOCK_Dgram.i:
        * ace/SString.cpp:
        * ace/SUN_Proactor.cpp:
        * ace/Select_Reactor_Base.cpp:
        * ace/Select_Reactor_T.cpp:
        * ace/Service_Object.i:
        * ace/Service_Repository.cpp:
        * ace/Signal.cpp:
        * ace/Signal.i:
        * ace/Svc_Handler.cpp:
        * ace/Synch.cpp:
        * ace/Synch_T.cpp:
        * ace/Thread_Adapter.cpp:
        * ace/Thread_Manager.cpp:
        * ace/Timer_Heap_T.cpp:
        * ace/TkReactor.cpp:
        * ace/Token.cpp:
        * ace/Token_Manager.cpp:
        * ace/CLASSIX/CLASSIX_CO_Acceptor.i:
        * ace/CLASSIX/CLASSIX_Select_Reactor.cpp:
        * ace/QoS/SOCK_Dgram_Mcast_QoS.cpp:
        * netsvcs/ACE-netsvcs.html:
        * netsvcs/lib/Server_Logging_Handler_T.cpp:
        * netsvcs/lib/Token_Handler.cpp:

          Fixed bad ACE_TRACE and ACE_OS_TRACE's. (fuzz errors)

        * docs/ACE-categories.html:
        * docs/ACE-porting.html:
        * docs/ACE-subsets.html:
        * docs/tutorials/new-tutorials.html:

          Changed references to
          http://www.cs.wustl.edu/~schmidt/ACE_wrappers/* to
          relative paths instead (Fixes the last of the fuzz errors).

Fri Mar 2 20:08  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * include/makeinclude/platform_qnx_rtp_gcc.GNU:
          Added macros tha expand to multiple libraries
          on QNX RTP to fix most of the link problems.

Fri Mar  2 16:35:58 2001  Darrell Brunsch <brunsch@uci.edu>

        * ace/config-win32-borland.h:

          Added /**/ to #include <vcl.h> so it isn't picked up by
          MSVC-based dependency generators.

Fri Mar 02 19:36:22 2001  Steve Huston  <shuston@riverace.com>

        * ace/OS.i (ACE_OS::send): (only non-Win32), if call fails and
          errno is EAGAIN, change it to EWOULDBLOCK. Improve portability
          for platforms where EAGAIN and EWOULDBLOCK are different values
          and both used, like HP-UX.  Thanks to Michael Grove
          <snowymike@aol.com> for reporting this problem.

        * ace/ACE.i (send_i): Call ACE_OS::send, not ACE_OS::write, on HP-UX.
          This makes it pick up the EAGAIN->EWOULDBLOCK change.

        * tests/TSS_Test.cpp: Avoid doing ACE_Thread::keyfree on where
          ACE_HAS_PTHREADS_DRAFT4 or ACE_HAS_PTHREADS_DRAFT6 (unless
          ACE_HAS_TSS_EMULATION is also defined) since ACE_Thread::keyfree
          will get ENOTSUP anyway.

Fri Mar 02 17:50:40 2001  Sharath R. Cholleti  <sharath@cs.wustl.edu>

        * ace/QtReactor.cpp:
          Thanks to Stefan Scherer <stefan_scherer@sepp.de> for reporting
          and fixing the problem - crashing of TAO/tests/QtTests/ client
          example after moving the slider.

Fri Mar 02 15:35:40 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/MEM_Acceptor.cpp:
        * ace/MEM_Acceptor.h:
        * ace/MEM_Addr.cpp:
        * ace/MEM_Addr.h:
        * ace/MEM_Connector.cpp:
        * ace/MEM_Connector.h:
        * ace/MEM_IO.cpp:
        * ace/MEM_IO.h:
        * ace/MEM_SAP.cpp:
        * ace/MEM_SAP.h:
        * ace/MEM_Stream.cpp:
        * ace/MEM_Stream.h: Disabled MEM_Stream support if one chooses
          not to support position independent pointers.

Fri Mar 02 13:17:36 2001  Steve Huston  <shuston@riverace.com>

        * examples/IOStream/server/iostream_server.cpp (main): Removed the
          call to register peer_acceptor with the reactor. The
          acceptor::open call already registers for ACCEPT_MASK. Prevents
          leaving a hanging READ_MASK registered after the acceptor is
          destroyed when main() returns. This fixes Bugzilla # 801. Thanks
          to Pim Philipse <pph@rogan-medical.com> for reporting this.

        * THANKS: Added Pim Philipse to the Hall of Fame.

Fri Mar 02 12:24:27 2001  Steve Huston  <shuston@riverace.com>

        * ace/config-hpux-10.x-hpc++.h: If compiling without exceptions
          (+noeh) then don't set ACE_HAS_EXCEPTIONS (don't set
          ACE_NEW_THROWS_EXCEPTIONS either).

        * ace/Thread_Manager.cpp (join_thr): Moved the code for
          ACE_HAS_PTHREADS_DRAFT4 that does a pthread_detach from here to
          ACE_OS::thr_join (which this function calls) so that
          ACE_Thread::join also causes a pthread_detach. This is needed on
          Pthreads Draft 4 (HP-UX 10.x) to properly clean up the thread
          storage and avoid leaking memory. Thanks to Vladimir Kondratiev
          <vladimir.kondratiev@intel.com> for reporting this and providing
          excellent test cases to help resolve it quickly.

        * ace/OS.i (ACE_OS::thr_join): Added the code that was removed from
          ACE_Thread_Manager::join_thr, above.

        * ace/Event_Handler.cpp (~ACE_Event_Handler): Add an ACE_Errno_Guard
          around purge_pending_notifications to prevent against an ENOTSUP
          from purge_pending_notifications.

Thu Mar  1 17:02:10 2001  Darrell Brunsch <brunsch@uci.edu>

        * bin/PerlACE/Process_Unix.pm:
        * bin/PerlACE/Process_Win32.pm:

          Fixed up the Spawn code to use the Executable () instead of
          {EXECUTABLE}, since that's how we get the adjusted name (with
          .exe and stuff).  And also skipped the file existance with
          IgnoreExeSubDir, since IgnoreExeSubDir is often used when you
          need to find the program in the path.

Thu Mar  1 15:48:10 2001  Darrell Brunsch <brunsch@uci.edu>

        * bin/fuzz.pl:

          Fuzz was being a bit to eager with the class matching in the
          TRACE test.  It was having problems with something like:

          char *foo::bar ()

          since it thought the class was "char *foo" instead of just
          "foo".

          But it is feeling muuuuuuch better now.

Thu Mar  1 13:18:07 2001  Darrell Brunsch <brunsch@uci.edu>

        * bin/fuzz.pl:

          Added two new tests:

          - absolute ACE_wrappers test:

            Check for ~schmidt/ACE_wrappers in html files.  These should
            be relative links since these html files already exist in
            their own ACE_wrappers tree.

          - TRACE test:

            Does a check on whether the ACE_TRACE or ACE_OS_TRACE actually
            refers to the function/method it is in.

          And expanded the checks in the bad run_test test (level 6)

        * bin/PerlACE/Process_Unix.pm:
        * bin/PerlACE/Process_Win32.pm:

          - Added checks for file existence before running.
          - Added IgnoreExeSubDir option.
          - Added TerminateWaitKill method.

        * bin/pippen.pl: (added)
        * bin/PerlACE/MSProject.pm: (added)
        * bin/PerlACE/MSProject/DSP.pm: (added)
        * bin/PerlACE/MSProject/VCP.pm: (added)

          There is nothing to see here...please be on your way.

          It isn't like this is a super top secret project to
          replace msvc_auto_compile.pl with something that works
          better and also has a cool code-name that is shorter
          than "msvc_auto_compile.pl".

          But remember, you didn't hear that from me.

Thu Mar  1 10:54:23 2001  Ossama Othman  <ossama@uci.edu>

        * bin/auto_run_tests.lst:

          Added the TAO Codec to the list of tests to run.

        * include/makeinclude/wrapper_macros.GNU:

          Fixed all incorrect uses of CFLAGS and CCFLAGS where
          preprocessor macros were defined.  Preprocessor macros should be
          defined in the CPPFLAGS variable.

          Define ACE_USE_RCSID in non-debug builds (i.e. debug=0).

Thu Mar 01 07:29:58 2001  Carlos O'Ryan  <coryan@uci.edu>

        * bin/auto_run_tests.lst:
          Fixed typos in the Service_Context_Manipulation test.  It was
          running in platforms where it shouldn't.

Thu Mar 01 07:07:03 2001  Christopher Kohlhoff  <chris@kohlhoff.com>

        * include/makeinclude/recurse.bor:
          Added support for makefiles which contain multiple targets.

        * examples/IPC_SAP/SOCK_SAP/Makefile.bor:
        * examples/Log_Msg/Makefile.bor:
        * examples/Map_Manager/Makefile.bor:
        * examples/Mem_Map/file-reverse/Makefile.bor:
        * examples/RMCast/Send_File/Makefile.bor:
        * examples/Service_Configurator/IPC-tests/client/Makefile.bor:
        * examples/Threads/Makefile.bor:
        * netsvcs/clients/Logger/Makefile.bor:
        * tests/Makefile.bor:
        * tests/RMCast/Makefile.bor:
          Updated to work with new multi-target makefile support.

Wed Feb 28 22:58:50 2001  Carlos O'Ryan  <coryan@uci.edu>

        * html/index.html:
          Reference */index.html directly, instead of assuming that the
          web browser will use index.html as the default file, this also
          works better when browsing locally.  Thanks to Alain Decamps
          <Alain.Decamps@pidpa.be> for pointing this out.

Wed Feb 28 16:41:42 2001  Darrell Brunsch <brunsch@uci.edu>

        * docs/bugzilla-build-setup.html:

          Updated the section about the scoreboard and added a
          placeholder for Win32 nightly build information.

Wed Feb 28 16:04:14 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * bin/nightlybuilds/builds.lst (TYPE): Added a build with AMI and
          Messaging support disabled for the nightly builds.

Wed Feb 28 15:35:59 2001  Joe Hoffert  <joeh@cs.wustl.edu>

        * docs/bugzilla-build-setup.html:
          Added html file outlining steps for adding a bugzilla nightly
          build.

Wed Feb 28 00:25:42 2001  Darrell Brunsch <brunsch@uci.edu>

        * bin/auto_run_tests.lst:

          The examples/POA/Adapter_Activator/run_test.pl test was being
          run twice.  In fairness to all the other tests that only get to
          run once, I removed the second instance.

Tue Feb 27 17:31:48 2001  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/platform_hpux_aCC.GNU: Turn on -D_REENTRANT for
          the threads=0 build - this enables the reentrant functions which
          are present, threads or not. It does not turn on threads, which
          are instead enabled by -D_POSIX_C_SOURCE=199506L.

        * ace/config-hpux-11.00.h: Added ACE_HAS_2_PARAM_ASCTIME_R_AND_CTIME_R

        * ace/OS.i (rand_r): Added 'defined (HPUX_11)' to the ways to get to
          the POSIX.1c-conformant version of rand_r. Allows clean compile
          on HP-UX 11 without thread support.  Also lined up some
          misaligned #if/else/endif lines to make it easier to find one's
          way through.

        * ace/OS_Dirent.inl (readdir_r): Added 'defined (HPUX_11)' to the
          ways to get the POSIX.1c-conformant version of readdir_r. Allows
          clean compile on HP-UX 11 without thread support.

Tue Feb 27 11:38:38 2001  Douglas C. Schmidt  <schmidt@tango.cs.wustl.edu>

        * performance-tests/TCP/tcp_test.cpp (main): Zapped the
          non-existent '-f' option.  Thanks to Mike Curtis for reporting
          this.

        * performance-tests/TCP/tcp_test.cpp (main): Check for improper
          bufsz.  Thanks to Mike Curtis for reporting this.

        * performance-tests/TCP/tcp_test.cpp (main): Documented the '-t'
          option, which specifies the number of threads.

        * performance-tests/TCP/README: Fixed a typo.  Thanks to
          Mike Curtis for reporting this.

Tue Feb 27 10:51:18 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * bin/auto_run_tests.lst: Added the AMI tests to the daily
          builds.

Tue Feb 27 10:23:20 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * Makefile: Changed the ChangeLog listing in the CONTROLLED_FILES
          to ChangeLog*. This should help us to avoid missing ChangeLog
          entries in the beta distribution, just about every time we split
          and add a ChangeLog.

Mon Feb 27 07:39:16 2001  Chad Elliott  <elliott_c@ociweb.com>

        * include/makeinclude/platform_hpux_aCC.GNU:

          Removed suppression of Future Error 129.
          Removed the use of CFLAGS.

        * ace/OS.h:
        * ace/config-hpux-11.00.h:
          Modification to remove system header macro definition conflicts.
          This change does not suppress the conflicts, but does an undef
          of the two conflicting macros before includeing tcp.h.  Thanks
          to Sam Chong <sam@i2i-inc.com> for reporting this problem.

Mon Feb 26 19:01:16 2001  Douglas C. Schmidt  <schmidt@tango.cs.wustl.edu>

        * ace/Logging_Strategy.{h,cpp}: Added a new -k option to
          set the logging key via the ACE_Logging_Strategy.  Thanks to
          Chris Kohlhoff <chris@kohlhoff.com> for contributing this.

Mon Feb 26 18:18:38 2001  Steve Huston  <shuston@riverace.com>

        * ace/SString.i
          (ACE_CString::find (const char *s, int pos) const):
          (ACE_CString::find (char c, int pos) const):
          (ACE_SString::find (const char *s, int pos) const):
          (ACE_SString::find (char c, int pos) const):
          (ACE_WString::find (const ACE_WSTRING_TYPE *s, int pos) const):
          If match is found, return index from start of string, not from
          'pos'. Matches the C++ string standard, which was the model for
          these classes.  Thanks to Glen Osterhout <gosterho@elronsw.com>
          for this fix.

        * ace/SString.h: Clarified comments on return value for above
          functions.

        * tests/SString_Test.cpp: Changed to look for the correct return
          from the npos tests of the functions above.

        * THANKS: Added Glen Osterhout to the Hall of Fame.

Mon Feb 26 15:01:55 2001  Darrell Brunsch <brunsch@uci.edu>

        * tests/DLL_Test_Impl.dsp:
        * tests/version_tests/DLL_Test_Impl.dsp: (removed)
          Me thinks that the Release and Static configurations should
          also compile, and me thinks that it is now fixed.

Mon Feb 26 12:29:45 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/ARGV.h: Clarify that the int add (const ACE_TCHAR *next_arg)
          method assumes ownership of <next_arg>, rather than copying it.
          Thanks to Steve Hespelt <shespelt@bear.com> for reporting this.
          Fixes [Bug 807].

          The generated version_tests dsp didn't work (since DLL_Test_Impl
          creates a library).  Manually created the configurations in the
          tests/DLL_Test_Impl.dsp version instead.

Mon Feb 26 15:54:33 2001  Phil Mesnier  <mesnier_p@ociweb.com>

        Port to Unixware 7 (7.1.1) Using UDK CC (7.1.1.b)

        * docs/tutorials/013/message_queue.cpp:
        * tests/Malloc_Test.cpp:

        Fixed errors in #pragma instiate lines including removal of ';',
        mispellings

        * ace/config-all.h:

        Added definition of Unixware UDK for definition of ACE_NOTREACHED()

        * ace/config-unixware-7.1.0.udk.h:
        * include/makeinclude/platform_unixware_udk.GNU:

        New configuration files for building on Unixware 7 with UDK CC.

Mon Feb 26 12:29:45 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/ARGV.h: Clarify that the int add (const ACE_TCHAR *next_arg)
          method assumes ownership of <next_arg>, rather than copying it.
          Thanks to Steve Hespelt <shespelt@bear.com> for reporting this.
          Fixes [Bug 807].

Mon Feb 26 12:27:46 2001  Jeff Parsons <parsons@cs.wustl.edu>

        * ace/CDR_Stream.h:
        * ace/CDR_Stream.i:
          Added method to reset the byte order in class OuputCDR.  This
          will be used by a gateway to set the byte order of a reply to a
          reqest it has handled to one different than the gateway's own
          byte order, if necessary. It should be called while the stream
          is still empty, that is, before any part of the reply, including
          the header, has been marshaled.

Mon Feb 26 12:07:00 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/Memory_Pool.cpp: Moved the copying of MMAP flags up before
          setting the MAP_FIXED flag.  Thanks to <rhuber@amadeus.net> for
          reporting this. [Bug 752]

Mon Feb 26 09:29:36 2001  Carlos O'Ryan  <coryan@cs.wustl.edu>

        * ace/RB_Tree.h:
          Fully qualified enum name. This fixes problems on gcc-272 builds.

Mon Feb 26 00:19:28 2001  Darrell Brunsch <brunsch@uci.edu>

        Time to do some spring cleaning...

        * tests/version_tests/Config_Test.dsp: (added)
        * tests/version_tests/DLL_Test_Impl.dsp: (added)
        * tests/version_tests/Log_Msg_Test.dsp: (added)
        * tests/version_tests/Message_Queue_Test_Ex.dsp: (added)
        * tests/version_tests/version_tests.dsw:

          Updated the version_tests dir with create_vt_dsps.pl.

        * ace/ace_dll.dsp:
        * ace/ace_lib.dsp:
        * netsvcs/lib/netsvcs.dsp:
        * netsvcs/servers/servers.dsp:
        * tests/ACE_Init_Test.dsp:
        * tests/Atomic_Op_Test.dsp:
        * tests/Auto_IncDec_Test.dsp:
        * tests/Barrier_Test.dsp:
        * tests/Basic_Types_Test.dsp:
        * tests/Buffer_Stream_Test.dsp:
        * tests/CDR_Array_Test.dsp:
        * tests/CDR_File_Test.dsp:
        * tests/CDR_Test.dsp:
        * tests/Cache_Map_Manager_Test.dsp:
        * tests/Cached_Accept_Conn_Test.dsp:
        * tests/Cached_Conn_Test.dsp:
        * tests/Capabilities_Test.dsp:
        * tests/Collection_Test.dsp:
        * tests/Config_Test.dsp:
        * tests/Conn_Test.dsp:
        * tests/DLL_Test.dsp:
        * tests/DLList_Test.dsp:
        * tests/Dirent_Test.dsp:
        * tests/Dynamic_Priority_Test.dsp:
        * tests/Enum_Interfaces_Test.dsp:
        * tests/Env_Value_Test.dsp:
        * tests/Future_Set_Test.dsp:
        * tests/Future_Test.dsp:
        * tests/Handle_Set_Test.dsp:
        * tests/Hash_Map_Bucket_Iterator_Test.dsp:
        * tests/Hash_Map_Manager_Test.dsp:
        * tests/High_Res_Timer_Test.dsp:
        * tests/IOStream_Test.dsp:
        * tests/Lazy_Map_Manager_Test.dsp:
        * tests/Log_Msg_Test.dsp:
        * tests/MEM_Stream_Test.dsp:
        * tests/MM_Shared_Memory_Test.dsp:
        * tests/MT_Reactor_Timer_Test.dsp:
        * tests/MT_SOCK_Test.dsp:
        * tests/Malloc_Test.dsp:
        * tests/Map_Manager_Test.dsp:
        * tests/Map_Test.dsp:
        * tests/Mem_Map_Test.dsp:
        * tests/Message_Block_Test.dsp:
        * tests/Message_Queue_Notifications_Test.dsp:
        * tests/Message_Queue_Test.dsp:
        * tests/Message_Queue_Test_Ex.dsp:
        * tests/Naming_Test.dsp:
        * tests/New_Fail_Test.dsp:
        * tests/Notify_Performance_Test.dsp:
        * tests/OS_Test.dsp:
        * tests/Object_Manager_Test.dsp:
        * tests/OrdMultiSet_Test.dsp:
        * tests/Pipe_Test.dsp:
        * tests/Priority_Buffer_Test.dsp:
        * tests/Priority_Reactor_Test.dsp:
        * tests/Priority_Task_Test.dsp:
        * tests/Process_Manager_Test.dsp:
        * tests/Process_Mutex_Test.dsp:
        * tests/Process_Strategy_Test.dsp:
        * tests/RB_Tree_Test.dsp:
        * tests/Reactor_Exceptions_Test.dsp:
        * tests/Reactor_Notify_Test.dsp:
        * tests/Reactor_Performance_Test.dsp:
        * tests/Reactor_Timer_Test.dsp:
        * tests/Reactors_Test.dsp:
        * tests/Reader_Writer_Test.dsp:
        * tests/Recursive_Mutex_Test.dsp:
        * tests/Refcounted_Auto_Ptr_Test.dsp:
        * tests/Reverse_Lock_Test.dsp:
        * tests/SOCK_Connector_Test.dsp:
        * tests/SOCK_Send_Recv_Test.dsp:
        * tests/SOCK_Test.dsp:
        * tests/SPIPE_Test.dsp:
        * tests/SString_Test.dsp:
        * tests/SV_Shared_Memory_Test.dsp:
        * tests/Semaphore_Test.dsp:
        * tests/Service_Config_Test.dsp:
        * tests/Sigset_Ops_Test.dsp:
        * tests/Simple_Message_Block_Test.dsp:
        * tests/Svc_Handler_Test.dsp:
        * tests/TSS_Test.dsp:
        * tests/Task_Test.dsp:
        * tests/Thread_Manager_Test.dsp:
        * tests/Thread_Mutex_Test.dsp:
        * tests/Thread_Pool_Reactor_Test.dsp:
        * tests/Thread_Pool_Test.dsp:
        * tests/Time_Service_Test.dsp:
        * tests/Time_Value_Test.dsp:
        * tests/Timeprobe_Test.dsp:
        * tests/Timer_Queue_Test.dsp:
        * tests/Tokens_Test.dsp:
        * tests/UPIPE_SAP_Test.dsp:
        * tests/Upgradable_RW_Test.dsp:

          Removed the Alpha configurations.  I don't think we've actually
          looked at these for over a year, and they are missing from a lot
          of projects.  Thankfully, they are easy to recreate if they are
          needed.

        * ACE-INSTALL.html:

          Changed the Windows NT Alpha section to mention that we no
          longer have configurations out of the box for Win32/Alpha, they
          must be recreated if needed.

        * WindozeCE/ACEApp.cpp: (removed)
        * WindozeCE/ACEApp.h: (removed)
        * WindozeCE/README: (removed)
        * WindozeCE/StdAfx.cpp: (removed)
        * WindozeCE/StdAfx.h: (removed)
        * WindozeCE/WindozeCE.aps: (removed)
        * WindozeCE/WindozeCE.clw: (removed)
        * WindozeCE/WindozeCE.cpp: (removed)
        * WindozeCE/WindozeCE.dsp: (removed)
        * WindozeCE/WindozeCE.h: (removed)
        * WindozeCE/WindozeCE.rc: (removed)
        * WindozeCE/WindozeCEDlg.cpp: (removed)
        * WindozeCE/WindozeCEDlg.h: (removed)
        * WindozeCE/resource.h: (removed)
        * WindozeCE/res/WindozeCE.ico: (removed)
        * WindozeCE/res/WindozeCE.rc2: (removed)

          No longer used.

        * Makefile:

          Removed WindozeCE from CONTROLLED_FILES.

        * tests/WinCE/Atomic_Op_Test.dsp: (removed)
        * tests/WinCE/Barrier_Test.dsp: (removed)
        * tests/WinCE/Basic_Types_Test.dsp: (removed)
        * tests/WinCE/Buffer_Stream_Test.dsp: (removed)
        * tests/WinCE/Conn_Test.dsp: (removed)
        * tests/WinCE/DLL_Test.dsp: (removed)
        * tests/WinCE/Enum_Interfaces_Test.dsp: (removed)
        * tests/WinCE/Future_Test.dsp: (removed)
        * tests/WinCE/Handle_Set_Test.dsp: (removed)
        * tests/WinCE/Hash_Map_Manager_Test.dsp: (removed)
        * tests/WinCE/MT_Reactor_Timer_Test.dsp: (removed)
        * tests/WinCE/MT_SOCK_Test.dsp: (removed)
        * tests/WinCE/Map_Manager_Test.dsp: (removed)
        * tests/WinCE/Mem_Map_Test.dsp: (removed)
        * tests/WinCE/Message_Block_Test.dsp: (removed)
        * tests/WinCE/Message_Queue_Notifications_Test.dsp: (removed)
        * tests/WinCE/Message_Queue_Test.dsp: (removed)
        * tests/WinCE/Notify_Performance_Test.dsp: (removed)
        * tests/WinCE/OrdMultiSet_Test.dsp: (removed)
        * tests/WinCE/Priority_Buffer_Test.dsp: (removed)
        * tests/WinCE/Priority_Task_Test.dsp: (removed)
        * tests/WinCE/Reactor_Exceptions_Test.dsp: (removed)
        * tests/WinCE/Reactor_Notify_Test.dsp: (removed)
        * tests/WinCE/Reactor_Performance_Test.dsp: (removed)
        * tests/WinCE/Reactor_Timer_Test.dsp: (removed)
        * tests/WinCE/Reactors_Test.dsp: (removed)
        * tests/WinCE/Reader_Writer_Test.dsp: (removed)
        * tests/WinCE/Recursive_Mutex_Test.dsp: (removed)
        * tests/WinCE/SOCK_Connector_Test.dsp: (removed)
        * tests/WinCE/SOCK_Test.dsp: (removed)
        * tests/WinCE/SString_Test.dsp: (removed)
        * tests/WinCE/Semaphore_Test.dsp: (removed)
        * tests/WinCE/Sigset_Ops_Test.dsp: (removed)
        * tests/WinCE/Simple_Message_Block_Test.dsp: (removed)
        * tests/WinCE/TSS_Test.dsp: (removed)
        * tests/WinCE/Task_Test.dsp: (removed)
        * tests/WinCE/Thread_Manager_Test.dsp: (removed)
        * tests/WinCE/Thread_Mutex_Test.dsp: (removed)
        * tests/WinCE/Thread_Pool_Test.dsp: (removed)
        * tests/WinCE/Time_Value_Test.dsp: (removed)
        * tests/WinCE/Timer_Queue_Test.dsp: (removed)
        * tests/WinCE/ce_tests.dsw: (removed)

          Removed these Windows CE Toolkit for Visual C++ files.

Mon Feb 26 00:15:42 2001  Darrell Brunsch <brunsch@uci.edu>

        * tests/DLL_Test_Impl.dsp:

          Made sure the Code Generation settings were correct.

Sun Feb 25 19:40:11 2001  Carlos O'Ryan  <coryan@uci.edu>

        * bin/ACEutils.pm (CheckForConfig):
          This routine was not removing all the -Config options from the
          command-line, causing problems in some of the tests.

Sun Feb 25 16:33:26 2001  Darrell Brunsch <brunsch@uci.edu>

        * tests/DLL_Test.cpp:

          Left the DLL end with a d in debug mode, but changed
          the test to add the d when _DEBUG and ACE_WIN32 is
          defined.  Test should now work again on Win2000_Debug.

Sun Feb 25 11:28:06 2001  Darrell Brunsch <brunsch@uci.edu>

        * tests/run_test.pl:

          When there are errors in the log, print out the entire
          log.  This should make it much easier to understand
          problems in the nightly build logs.

Sun Feb 25 09:04:43 2001  Carlos O'Ryan  <coryan@uci.edu>

        * tests/DLL_Test.cpp:
          Accidentally left the 'd' suffix in the name of the DLL.

Sat Feb 24 22:58:42 2001  Darrell Brunsch <brunsch@uci.edu>

        * bin/msvc_auto_compile.pl:
        * TAO/TAOACE.dsw:
        * TAO/TAOACE_Static.dsw:
        * Static_Performance.dsw:

          Removed references to gperf_lib.dsp

        * TAO/version_tests.dsw: (removed)

          This was still referring to orbsvcs.dsp, which shows that
          it is way out of date (and not used).  Zapped.

Sat Feb 24 20:59:42 2001  Darrell Brunsch <brunsch@uci.edu>

        * apps/gperf/src/gperf.dsp:
        * apps/gperf/src/gperf.dsw:
        * apps/gperf/src/gperf_lib.dsp: (removed)

          Merged gperf into one project.  This will bring the
          structure in line with the Makefiles.

Sat Feb 24 19:28:42 2001  Darrell Brunsch <brunsch@uci.edu>

        * ace/OS.i:

          Fixed my recent changes to ACE_OS::dlsym () to work on
          Windows CE.

Sat Feb 24 17:50:38 2001  Darrell Brunsch <brunsch@uci.edu>

        * tests/DLL_Test.cpp:

          OBJ_PREFIX was being created by attaching a char string to
          a ACE_TCHAR string.  Needed to add ACE_TEXT to the first
          string for compilation on ACE_USES_WCHAR.

        * tests/DLL_Test_Impl.dsp:

          Changed the internal name to "DLL_Test DLL" to make sure
          this gets compiled in the first pass by msvc_auto_compile.pl.

        * tests/run_test.pl:

          Added a check for LM_WARNINGs in log files.  Let's see if
          there have been any hidden (DLL_Test actually was producing
          a warning on Windows, but Carlos's fix already got rid of it,
          Yay!).

Sat Feb 24 15:44:58 2001  Carlos O'Ryan  <coryan@uci.edu>

        * tests/tests.dsw:
        * tests/DLL_Test_Impl.dsp:
          Add new project file for the shared library used in the test.

        * tests/DLL_Test.cpp:
        * tests/DLL_Test_Impl.cpp:
          Change the Win32 version to load a shared library instead of the
          exe.

Sat Feb 24 14:07:11 2001  Darrell Brunsch <brunsch@uci.edu>

        * tests/Thread_Pool_Reactor_Test.cpp:

          Did a careful study of what this test was doing in regards to
          sending wide-character strings, and made it consistent.  The
          most troublesome aspect was the fact that the length is encoded
          in the shutdown string ("\011shutdown") which meant that I had
          to send the length in characters, not in bytes.  This should
          really fix [Bug 537].

Sat Feb 24 14:37:00 2001  Craig Rodrigues <crodrigu@bbn.com>

        * ace/config-g++-common.h
          gcc 2.97 and higher require the use of the std namespace for
          iostrams

Sat Feb 24 10:27:04 2001  Carlos O'Ryan  <coryan@uci.edu>

        * bin/auto_run_tests.lst:
          Disable the interceptor tests when the ORB is compiled without
          interceptor support.

        * tests/run_test.lst:
          Disable the Reactor_Notify_Test on single threaded builds, it
          uses threads.

        * bin/nightlybuilds/scoreboard_update.pl:
          Fixed usage message.

Sat Feb 24 09:45:18 2001  Carlos O'Ryan  <coryan@uci.edu>

        * tests/run_test.lst:
          Disable the DLL_Test on KCC/Linux builds.  The test runs
          normally, but crashes on shutdown(), it appears as if the
          run-time system is invoking the destructors after the library is
          unloaded.

        * tests/Makefile:
        * tests/Makefile.DLL_Test:
        * tests/DLL_Test.h:
        * tests/DLL_Test.cpp:
        * tests/DLL_Test_Impl.h:
        * tests/DLL_Test_Impl.cpp:
          Cleanup code, and truly separate the shared library code to a
          completely new separate file.

Sat Feb 24 09:51:45 2001  Carlos O'Ryan  <coryan@uci.edu>

        * bin/auto_compile:
          Pass the -Config options to each script, this helps the
          $ACE_ROOT/bin/run_test.pl script that needs to disable some
          tests in certain configurations.

Sat Feb 24 08:21:48 2001  David L. Levine <levine@cs.wustl.edu>

        * include/makeinclude/platform_vxworks5.x_g++.GNU:
          added -fno-implicit-templates on Tornado II for Intel 386
          family targets.  Thanks to Albert Wijnja <Albert.Wijnja@meco.nl>
          for reporting that static template data members weren't really on
          VxWorks/386, and to Greg Holtmeyer <greg.holtmeyer@windriver.com>
          for confirming that -fno-implicit-templates should work with
          the Tornado II g++.  [Bug 658]

Thu Feb 22 15:59:04 2001  Douglas C. Schmidt  <schmidt@tango.cs.wustl.edu>

        * ace/OS.i: The ACE_TRACE call for ACE_OS::gmtime identified the
          function as "localtime".  This is now fixed.  Thanks to Mason
          Deaver <mason.deaver@tripointglobal.com> for reporting this.

Fri Feb 23 19:44:36 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * ACE version 5.1.13 released.

Thu Feb 22 12:28:15 2001  Irfan Pyarali  <irfan@cs.wustl.edu>

        * ace/TP_Reactor.cpp (handle_events): Here is the description of
          how things were working and where the problem was: In the
          TP_Reactor there is one leader thread waiting in select() and
          the others waiting on the token.  During deactivation(), the
          <deactivation_> flag is set on the reactor, signal_all_threads()
          is called on the token, and an empty notification is send to the
          current leader thread.  signal_all_threads() sets the
          <signal_all_threads_> flag on the Token when there are waiters
          on the Token (does nothing if there are no waiters).  This
          scheme worked fine when there were leader and follower threads
          waiting.  When a new leader is chosen, it returns the magic
          number 2 from token.acquire_read() and hence exits gracefully
          from the handle_events().  However, the problem was that when
          some (or all) of the TP threads are busy running upcalls,
          signal_all_threads() was a no-op and the magic number 2 was not
          returned from token.acquire_read() and hence the exit from
          handle_events() was flagged as an error.

          The fix is as described below:

          (1) ACE_Token::signal_all_threads() does not make sense.  The
          token is a mutex, not a condition variable.  Therefore, it does
          not make sense to have a signal_all_threads() methods.  Plus I
          believe that the method does not do as advertised.  Therefore, I
          removed this method from the token class.

          (2) There is no need to signal all the threads in the
          TP_Reactor.  Marking the Reactor as closed and signaling the
          leader thread is enough.  The leader thread will wake up to
          handle the empty event, the next leader will see that the
          Reactor is closed and exit gracefully.  This will continue until
          all the waiters are drained.

          (3) With the above change, there is no need to check for an
          magic returns from token.acquire_read().  When a thread gets the
          token, it checks the deactivation flag before proceeding.  If
          the Reactor is closed, it gracefully exits.  Otherwise, it
          continues as leader.

          (4) Since there is no need to call token.signal_all_threads(),
          ACE_TP_Reactor::wakeup_all_threads() can be removed since it is
          now the same as ACE_Select_Reactor_T::wakeup_all_threads().

          Note that this change should help with making
          Thread_Pool_Reactor_Test run without shutdown errors.

        * ace/Select_Reactor_T.i (deactivate): The setting of the
          <deactivated_> flag and waking up of all the threads should be
          atomic.  I am being picky about this one but I think am I right.
          Also added the guard to the accessor.

Thu Feb 22 08:51:42 2001  Darrell Brunsch <brunsch@uci.edu>

        * ace/OS.i:

          Bleh.  Changed an && to || to make sure we get a symbolname
          variable for non-Unicode Win32.

          "He who lives without committing any folly is not so
          wise as he thinks"  - La Rochefoucauld

Thu Feb 22 08:43:30 2001  Carlos O'Ryan  <coryan@uci.edu>

        * include/makeinclude/rules.local.GNU:
          Add SunWS_cache and ir.out to the list of files removed by
          the realclean pseudo-target.  This directory is used by Sun/CC
          5.0 (and Forte), if not removed the information there can become
          stale, and break the builds.
          This should fix the Sun/CC 5.0 nightly builds.

Thu Feb 22 07:51:36 2001  Balachandran Natarajan  <bala@cs.wustl.edu>

        * ace/OS.i: Reverted the change "Thu Feb 22 03:31:06 2001
          Krishnakumar B  <kitty@ace.cs.wustl.edu> ".

Thu Feb 22 03:31:06 2001  Krishnakumar B  <kitty@ace.cs.wustl.edu>

        * ace/OS.i (dlsym):
          Hopefully fixed the Win32 builds. Removed a extra ! in the
          #ifdef.

Thu Feb 22 02:58:36 2001  Krishnakumar B  <kitty@ace.cs.wustl.edu>

        * VERSION:
        * PROBLEM-REPORT-FORM:
        * ace/Version.h:
        Reverted the changes and restored the old versions of
        these files as the beta build script was killed. Pain :-(

Wed Feb 21 20:10:42 2001  Darrell Brunsch <brunsch@uci.edu>

        * ace/OS.i:
        * tests/DLL_Test.cpp:
        * tests/Thread_Pool_Reactor_Test.cpp:

          Fixed the remaining problems with the Win2000_Unicode tests.
          [Bug 537]

Tue Feb 20 21:19:39 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/Svc_Conf.h:
          Add ACE_Export macro for ace_create_service_type() it is used
          outside the library now.

Tue Feb 20 06:34:26 2001  Douglas C. Schmidt  <schmidt@tango.cs.wustl.edu>

        * include/makeinclude/platform_sunos5_g++.GNU: Make sure to explicitly
          set ACE_HAS_GNUG_PRE_2_8.  Thanks to Christian von Mueffling
          <cvm@aiss.de> for reporting this.

        * ace/Thread_Manager.cpp (cancel_grp): Fixed a typo in
          the ACE_TRACE macro.  Thanks to Mike Curtis for reporting this.

Mon Feb 19 16:38:08 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * ace/Asynch_Acceptor.{h,cpp}:
        Added method void handle (ACE_HANDLE) and made it call the base
        class's handle(ACE_HANDLE) method to remove warning about
        partial overloading. Fix suggested by Irfan.

Sun Feb 18 21:55:16 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * ace/OS.h:
        Added an extern "C" void ace_mutex_lock_cleanup_adapter before
        the definition of ACE_PTHREAD_CLEANUP_PUSH to avoid warnings on
        SunCC 5.x.

Sun Feb 18 17:16:41 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * netsvcs/clients/Tokens/manual/manual.cpp (main),
        * tests/Tokens_Test.cpp (main): Reordered the #ifdefs for the
          ACE_HAS_TOKENS_LIBRARY stuff.  Thanks to Kitty for reporting
          this.

Sun Feb 18 16:28:45 2001  Chris Gill  <cdgill@cs.wustl.edu>

        * ace/RB_Tree.h: Changed order of method declarations to (hopefully)
          dodge an internal compiler error on VxWorks.

Sun Feb 18 09:59:18 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * netsvcs/clients/Tokens:
        * netsvcs/servers/main.cpp (main):
        * netsvcs/servers/svc.conf:
        * netsvcs/lib/Token_Handler: Only compile this stuff if the
          ACE_HAS_TOKENS_LIBRARY macro is enabled.  Thanks to Carlos
          for reporting this.

        * ace/Object_Manager.cpp: Added a check for ACE_HAS_TOKENS_LIBRARY
          so we can skip initializing certain things if that macro is
          undefined.

        * ace/Token_Collection.*:
        * ace/Token_Invariants.*:
        * ace/Token_Manager.*:
        * ace/Local_Tokens.*:
        * ace/Remote_Tokens.*:
        * ace/Token_Request_Reply.*:
          Only compile these files if ACE_HAS_TOKENS_LIBRARY is enabled
          since this functionality does not appear to be widely used and
          yet it takes up space.

        * tests/Tokens_Test.cpp (main): Only run this test if
          ACE_HAS_TOKENS_LIBRARY is defined.

Sat Feb 17 17:23:46 2001  Darrell Brunsch <brunsch@uci.edu>

        * ace/SOCK_Dgram_Mcast.cpp:

          Integrated a fix from Keith Nicewarner <knicewar@erg.sri.com>
          In effect, this reverts the multicast code changed on
              Fri Jan 26 11:18:15 2001  Douglas C. Schmidt  ...
          for all platforms except linux.

Sat Feb 17 15:52:09 2001  Carlos O'Ryan  <coryan@uci.edu>

        * bin/run_all_list.pm:
        * tests/run_tests.pl:
          Remove obsolete scripts.

Sat Feb 17 13:26:17 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/POSIX_Asynch_IO.cpp (thread_function): Make sure to cast
          -1 to void * since that's the signature of the method.  Thanks
          to Bala for reporting this.

        * ace/POSIX_Asynch_IO.cpp (thread_function): Zapped the unused
          result local variable and also changed the logic to bailout if
          handle_events() returns -1.  This fixes a warning reported by
          KCC.

Fri Feb 16 17:39:16 2001  Mayur Deshpande  <mayur@ics.uci.edu>

        * ace/config-qnx-rtp.h: Commented out ACE_HAS_NONSTATIC_OBJECT_MANAGER.
          Thanks to Andrew Olson <andrew.olson@lmco.com> for the suggestion.

        * include/makeinclude/platform_qnx_rtp_gcc.GNU: Added -fexceptions to
          CCFLAGS and 'exceptions=1' at end of file.
          Thanks to Andrew Olson <andrew.olson@lmco.com> for the suggestion.

Fri Feb 16 05:37:47 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/Logging_Strategy.h: Updated the documentation to explain what
          the various options mean.

        * tests/Log_Msg_Test.cpp (test_log_msg_features): Added
          ACE_Log_Msg::PROCESS to a couple of priority_mask() calls to
          make the test work correctly.  Thanks to Kitty for reporting
          this.

Thu Feb 15 17:53:31 2001  Frank Hunleth  <fhunleth@cs.wustl.edu>

        * ace/Thread_Manager.i: Simplified casting in
          ACE_Thread_Descriptor::get_next per suggestion from Carlos.

Thu Feb 15 14:57:59 2001  Frank Hunleth  <fhunleth@cs.wustl.edu>

        * ace/Thread_Manager.i: Fixed typo in ACE_Thread_Descriptor::get_next.

Thu Feb 15 11:33:55 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * tests/Refcounted_Auto_Ptr_Test.cpp (main): Always call ACE_OS::exit(0)
          to make sure that this test terminates...

        * ace/Thread_Manager.i (get_next): Added an ACE_const_cast() to
          make certain compilers happy.

        * ace/Logging_Strategy.cpp: Fixed some Unicode problems on Win32.

Thu Feb 15 08:49:44 2001  Carlos O'Ryan  <coryan@uci.edu>

        * bin/nightlybuilds/builds.lst:
          Rename WashU builds so all the Debian builds appear together.

Thu Feb 15 07:15:39 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/Logging_Strategy.{h,cpp}: Added support to generate multiple
          log files, rather than just two.  Thanks to Orlando Ribeiro
          <oribeiro@inescporto.pt> for this fix.

Thu Feb 15 03:36:46 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * bin/nightlybuilds/builds.lst (WEB):
        Added a new build with TAO_MINIMUM linked statically.

Wed Feb 14 05:28:59 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/Thread_Manager.{h,i}: Added const to state(), grp_id(),
          task(), get_next(), and self().  Thanks to Johnny Willemsen
          <jwillemsen@remedy.nl> for reporting this.

Tue Feb 13 17:51:47 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * tests/Makefile.bor (TESTS): Added Dirent_Test to list of TESTS.
          Thanks to Mike Curtis for reporting this.

        * tests/run_tests.bat: Fixed a typo so that Dirent_Test will run.
          Thanks to Mike Curtis for reporting this.

Wed Feb 14 12:08:10 2001  Frank Hunleth  <fhunleth@cs.wustl.edu>

        * ace/Read_Buffer.cpp: Fixed boundary condition in rec_read.
          If record was a multiple of BUFSIZ and the record was
          terminated with an EOF instead of a "term" character,
          rec_read would return 0 instead of the actual data read in.
          The problem was that the partial buffer fill size was being
          checked instead of the total number of bytes read in.  This
          issue was noticed when trying to read in an IOR file in TAO
          that was exactly 512 bytes (BUFSIZ * 2 on Win2k) long.

Tue Feb 13 14:44:28 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/ace_wchar.inl: Changed several variable from type <size_t>
          to type <int> as on 64-bit whistler, size_t and int are not the
          same size which confuses 64-bit compiler.  (Per Kitty's
          request.)

Tue Feb 13 10:23:31 2001  Steve Huston  <shuston@riverace.com>

        * apps/JAWS/server/IO.{h cpp}: (Side-affect necessitated by addition of
          handle () method and handle_ member to ACE_Handler). Moved the
          handle_ member to the JAWS_Synch_IO class - it needs it, and
          JAWS_Asynch_IO class has it by inheritance from ACE_Handler. Left
          the handle () methods in JAWS_IO, but made them pure virtual,
          implemented in JAWS_Synch_IO (implementation moved from JAWS_IO)
          and in JAWS_Asynch_IO, where they forward up to ACE_Handler's
          handle () methods.

Mon Feb 12 18:18:05 2001  Frank Hunleth <fhunleth@cs.wustl.edu>

        * tests/Thread_Mutex_Test.cpp:
          Modified test to use process mutexes for Win32 platforms
          so that timed mutexes could be tested.

Sun Feb 11 15:33:39 2001  Darrell Brunsch <brunsch@uci.edu>

        * ace/QoS/ACE_QoS_Export.h:

          Added ACE_AS_STATIC_LIBS support.

        * ace/QoS/ACE_QoS.dsp:
        * ace/QoS/ACE_QoS_Lib.dsp:

          Fixed to comply with ACE standards.

Sun Feb 11 10:50:10 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * include/makeinclude/platform_sunos5_g++.GNU (exceptions):
          Only set the -fno-exceptions option if we're *not* using GCC
          2.7.2!  Thanks to Pradeep for explaining how to do this.

Sun Feb 11 10:15:08 2001  Johnny Willemsen <jwillemsen@remedy.nl>

        * ace/Makefile.bor:
        * ace/QoS/Makefile.bor:
        * include/makeinclude/ace_flags.bor:
          Added build support for QoS library with Borland compiler.

Sat Feb 10 15:29:08 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/Message_Block.h:
          Improved documentation for the lenth(), size() and space()
          methods.

Sat Feb 10 07:19:37 2001  Christopher Kohlhoff  <chris@kohlhoff.com>

        * include/makeinclude/outputdir.bor:
          Removed the now out-of-date comment about pascal/non-pascal
          build directories.

        * ace/config-win32-borland.h:
          Added support for new ACE_HAS_VCL define to enable inclusion
          of VCL header files.

Fri Feb  9 16:47:44 2001  Pradeep Gore  <pradeep@cs.wustl.edu>

        * ace/Makefile.am:
          Removed references to the AQoSA files.

Fri Feb  9 16:42:10 2001  Pradeep Gore  <pradeep@cs.wustl.edu>

        * examples/QOS/client.dsp:
        * examples/QOS/server.dsp:
          Updated the corrected project files.
          Thanks to Darrell for pointing this out.

Thu Feb  8 19:25:03 2001  Carlos O'Ryan  <coryan@uci.edu>

        * performance-tests/RPC/run_test.pl:
        * performance-tests/TCP/run_test.pl:
        * performance-tests/UDP/run_test.pl:
          Add driver strings

Thu Feb 08 19:18:36 2001  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * bin/auto_run_tests.lst:

          Removed comment from Exposed Policies test. The test has been fixed.

Thu Feb  8 14:11:36 2001  Darrell Brunsch <brunsch@uci.edu>

        * ace/ws2tcpip.h:  [Removed]

          I don't see any reason to have this file in ace; it is a system
          header file.  And from [Bug 722], our version is out of date anyway.

        * ace/OS.h:

          Changed to include system version of ws2tcpip.h

        * ace/Makefile.am:
        * ace/ace-dll.icc:
        * ace/ace_dll.dsp:
        * ace/ace_lib.dsp:

          Removed references to ws2tcpip.h.

        * ace/SOCK_Connect.cpp:

          Changed get_ip_interfaces to remove a memory error.  Thanks to
          Viatcheslav Batenine <slavikb@infra2000.com> for helping out with
          this.

        * ace/SOCK_Dgram_Mcast.cpp:

          It looks like the change made on:

          Fri Jan 26 11:18:15 2001  Douglas C. Schmidt  ...

          doesn't work on Win32.  Reverted back to the old scheme for Win32
          only.

Thu Feb  8 00:34:57 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * include/makeinclude/platform_sunos5_g++.GNU: Added support for
          -fno-exception when exceptions=0 is given to the Makefile.
          Thanks to Christian v. Mueffling <cvm@aiss.de> for reporting
          this.

Wed Feb  7 23:02:46 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/SUN_Proactor.cpp: Fixed the cancel_aiocb() method and added a
          new overridden cancel_aio() method.  Thanks to Alexander Libman
          <Alibman@baltimore.com> for contributing this.

Thu Feb  8 02:09:05 2001  Pradeep Gore  <pradeep@cs.wustl.edu>

        * examples/QOS/Makefile:
        * examples/QOS/client.dsp:
        * examples/QOS/server.dsp:
          Modified to use the ACE_QoS lib.
        * Receiver_QoS_Event_Handler.cpp:
        * Sender_QoS_Event_Handler.cpp:
          Added missing Log_Msg.h for ACE_DEBUG.
          Other files were modified to reflect changed directory location
          of AQosA imclude files.

Thu Feb  8 00:17:43 2001  Pradeep Gore  <pradeep@cs.wustl.edu>

        * ace/QoS_Decorator.cpp:
        * ace/QoS_Session_Factory.cpp:
        * ace/SOCK_Dgram_Mcast_QoS.cpp:
        * ace/QoS_Decorator.h:
        * ace/QoS_Session_Factory.h:
        * ace/SOCK_Dgram_Mcast_QoS.h:
        * ace/QoS_Manager.cpp:
        * ace/QoS_Session_Impl.cpp:
        * ace/SOCK_Dgram_Mcast_QoS.i:
        * ace/QoS_Manager.h:
        * ace/QoS_Session_Impl.h:
        * ace/QoS_Session_Impl.i:
          Moved the AQoSA classes to ace/QoS directory.

        * ace/Makefile:
        * ace/ace_dll.dsp:
        * ace/ace_lib.dsp:
          Removed the QoS related files, added QoS directory to build.

        * ace/Qos/Makefile
        * ace/QoS/ACE_QoS.dsw:
        * ace/QoS/ACE_QoS.dsp:
        * ace/QoS/ACE_QoS_Lib.dsp:
        * ace/QoS/ACE_QoS_Export.h:
          Added Makefile and MSVC project files.
          Thanks to Craig Rodrigues <crodrigu@bbn.com> for suggesting this
          change and providing the patch.

Wed Feb  7 11:34:56 2001  Carlos O'Ryan  <coryan@uci.edu>

        * tests/Message_Queue_Test_Ex.cpp:
          Fix build problems for single threaded environments.

Wed Feb  7 09:03:22 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * apps/Gateway/Gateway/Event_Channel.cpp (initiate_acceptors): Fixed
          incorrect if/else branching.  Thanks to Lu Yunhai
          <luyunhai@huawei.com> for reporting this.

Tue Feb  6 23:43:49 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * apps/Gateway/Peer/Peer.cpp (await_events): Fixed the use of
          %s to be %*s since the string may not be nul terminated!  Thanks
          to Lu Yunhai <luyunhai@huawei.com> for reporting this.

Tue Feb  6 20:11:28 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * include/makeinclude/platform_sunos5_sunc++.GNU:

        Remove double inclusion of $(CFLAGS) for Sun CC 5.0.

Tue Feb  6 19:30:26 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * ace/Malloc_T.cpp (shared_malloc):
        Added a #ifdef to remove the warnings from Digital Tru64 cxx. This
        is a temporary workaround. TODO: Change ACE_SEH_* macros so that such
        hacks are unnecessary.

Tue Feb  6 19:23:16 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * include/makeinclude/platform_sunos5_sunc++.GNU:
        Complete reverting the changes made by Irfan on Sat Jan 27
        01:06:09 2001. This file was missed in the last revert done by me.

Tue Feb 06 19:03:35 2001  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/platform_sunos5_sunc++.GNU: For C++ 5, make sure
          to add CFLAGS into CCFLAGS, even if no other options are added. Else
          things get built without -mt.

Tue Feb 06 18:37:41 2001  Steve Huston  <shuston@riverace.com>

        * tests/Thread_Mutex_Test.cpp: Changed wording of the message for
          "timed acquire" not supported so as not to trip the error catcher
          in run_tests.pl.

Tue Feb 06 17:55:28 2001  Steve Huston  <shuston@riverace.com>

        * examples/Reactor/Proactor/post_completions.cpp: Allow this to
          run with AIOCB_Proactor.

        * ace/Asynch_IO.{h cpp}: Added ACE_Handler::handle (ACE_HANDLE)
          function to set the handle; changed ACE_HANDLE ACE_Handler::handle
          to return the actual value.

        * ace/Asynch_Acceptor.cpp (handle_accept): Call ACE_Handler::handle
          to set the handle value for the new handler before calling its
          open() method.

Tue Feb 06 17:16:43 2001  Steve Huston  <shuston@riverace.com>

        * tests/MEM_Stream_Test.cpp:
        * tests/MEM_Stream_Test.h: New file; moved definition of Echo_Handler
          from MEM_Stream_Test.cpp to this file to make it visible to AIX
          C++ 3.6.6 at template instantiation time.

Mon Feb  5 16:19:20 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/ACE.cpp: ACE_TRACE ("ACE::basename") should be ACE_TRACE ("ACE::diname").
          Thanks to Lu Yunhai <luyunhai@huawei.com> for reporting this.

        * ace/Basic_Types.h: Changed the ACE_BIG_ENDIAN and ACE_LITTLE_ENDIAN
          macros to use the form 0x0123 rather than 0123X.  Thanks to
          Craig Rodrigues <crodrigu@bbn.com> for helping find this
          problem.

Mon Feb  5 18:20:11 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * ace/config-sunos5.5.h (ACE_USES_OLD_IOSTREAMS):

          Reverted the change to config-sunos5.5.h and turned on
          ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION,
          ACE_TEMPLLATES_REQUIRE_SOURCE and ACE_USES_OLD_IOSTREAMS for the
          SunCC 5.0 compiler.

Mon Feb  5 16:19:20 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * examples/RMCast/Send_File/Receiver.cpp (init): Replaced
          a hard-coded file permission of 0644 with
          ACE_DEFAULT_FILE_PERMS.  Thanks to Chris Kohlhoff
          <chris@kohlhoff.com> for reporting this.

Mon Feb  5 13:00:17 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * tests/Thread_Mutex_Test.cpp: (reported_notsup)
          Removed a warning about defined but not used.

Sat Feb  3 14:41:17 2001  Darrell Brunsch <brunsch@uci.edu>

        * ace/OS.h:
        * ace/config-win32-msvc.h:

          Fixed problems with LLSEEK and ACE_stat on Windows CE.

Sat Feb  3 14:12:36 2001  Darrell Brunsch <brunsch@uci.edu>

        * tests/Config_Test.cpp:
        * tests/Config_Test.h:
        * tests/Log_Msg_Test.cpp:

          Fixed ACE_USES_WCHAR problems.

Fri Feb 02 18:36:42 2001  Steve Huston  <shuston@riverace.com>

        * ace/config-linux-common.h: Added #define ACE_POSIX_AIOCB_PROACTOR
          unless the user #defines ACE_POSIX_SIG_PROACTOR before including
          config-linux.h. (At least prior to 2.4 kernels) queueing signals
          across threads does not work - it fails silently, which breaks
          basic functionality of the async model - like asynchronously
          accepting TCP connections - and pretty much prevents multi-threaded
          work with timers and probably other async operations.

        * examples/Reactor/Proactor/test_proactor.cpp: Disabled the ACE_DEBUG
          calls that display message buffers - they're often too large and
          overrun the ACE_Log_Msg buffers and crash the program.

Fri Feb  2 08:38:37 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/WFMO_Reactor.cpp (handler): Set the existing_masks variable to 0
          to avoid warnings from static analysis tools.  Thanks to Ivan
          Murphy for reporting this.

Thu Feb 01 22:00:17 2001  Sharath R. Cholleti  <sharath@cs.wustl.edu>

        * tests/Message_Queue_Test_Ex.cpp

          Fixed the bugs which were giving runtime error on
          Win32 - removed "queue_type" from single_thread_performance_test
          and performance_test functions. Now these funtions dont
          have args.

        * tests/tests.dsw

          Just an update of the workspace.

Thu Feb  1 21:00:57 2001  Frank Hunleth  <fhunleth@cs.wustl.edu>

        * bin/auto_compile_win32.pl:
        * bin/run_all_list.pm:

          Added TAO RT Mutex unit tests to auto build and test
          lists.

Thu Feb 01 18:52:27 2001  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * RTJava:
          Added Directory for RTJava related research. Check the
          ChangeLog included in the newly directory for more info.

Thu Feb 01 18:23:17 2001  Sharath R. Cholleti  <sharath@cs.wustl.edu>

        * tests/Log_Msg_Test.dsp:
        * tests/Config_Test.dsp:

          Added these files.
        * tests/tests.dsw:

          Added the above two projects to the workspace.

Thu Feb  1 18:01:26 2001  Luther J Baker  <luther@cs.wustl.edu>

        * ace/OS.i (mutex_init):

          Removed call into PACE.

Thu Feb 01 18:21:15 2001  Steve Huston  <shuston@riverace.com>

        * tests/Thread_Mutex_Test.cpp: Only report "operation not supported"
          once for a failed ACE_Thread_Mutex::acquire (ACE_Time_Value &).
          Also, if it reports ENOTSUP while ACE_HAS_MUTEX_TIMEOUT is
          defined, warns the user that it's probably the wrong setting.

Thu Feb 01 17:36:28 2001  Steve Huston  <shuston@riverace.com>

        * examples/Reactor/Proactor/test_proactor3.cpp: Fixed a non-constant
          array dimension and some output formatting.

Thu Feb 01 17:07:35 2001  Steve Huston  <shuston@riverace.com>

        * examples/Reactor/Proactor/post_completions.cpp: Removed extraneous
          'd' from the 'count' display.

Thu Feb 01 15:33:26 2001  Steve Huston  <shuston@riverace.com>

        * ace/Reactor.h (purge_pending_notifications):
        * ace/WFMO_Reactor.h (purge_pending_notifications):
        * ace/Select_Reactor_Base.h (purge_pending_notifications):
          Removed the default argument value - callers must now explicitly
          specify a 0 ACE_Event_Handler* to remove all handler notifications.
          Thanks to Edan Ayal <edana@bandwiz.com> for arguing this point.

Thu Feb  1 09:57:41 2001  Jeff Parsons <parsons@cs.wustl.edu>

        * ace/SString.i:

          Changed behavior of ACE_WString::rep to be the same
          as ACE_CString::rep, that is, to return an empty
          (w)string rather than a null (w)string when the length
          is 0. Thanks to Johnny Willemsen <johnny.willemsen@meco.nl>
          for pointing out this discrepancy.

Thu Feb  1 09:42:41 2001  Chad Elliott  <elliott_c@ociweb.com>

        * include/makeinclude/platform_chorus4.x_g++.GNU:

          Modification to allow building for Chorus 4.x on x86.  CPU will be
          set to x86, but CLX_TYPE will be set to i486-elf-sysv4.

Thu Feb 01 10:29:31 2001  Steve Huston  <shuston@riverace.com>

        * ace/Synch.i (ACE_Null_Mutex::acquire (ACE_Time_Value&)): Removed
          the arg name to fix "unused argument" warning from g++.

Wed Jan 31 22:01:00 2001  Rick Stille  <stille_r@ociweb.com>
        * ace/OS.cpp(operator FILETIME): Corrected an error in the Jan 26 GHS
          revision. The term "ACE_Time_Value::FILETIME_to_timval_skew" had been
          omitted from the calculation.

Wed Jan 31 18:43:26 2001  Krishnakumar B  <kitty@cs.wustl.edu>

        * tests/Message_Queue_Test_Ex.cpp (single_thread_performance_test):
          Removed the warning about queue_type using ACE_UNUSED_ARG.

Wed Jan 31 17:27:35 2001  Steve Huston  <shuston@riverace.com>

        * ace/Acceptor.cpp (ACE_Oneshot_Acceptor::handle_input): Unregister
          the acceptor from the reactor before doing the shared_accept call
          to guard against the use-case where the acceptor is destroyed during
          the service handler activation sequence.

Wed Jan 31 15:55:23 2001  Frank Hunleth  <fhunleth@cs.wustl.edu>

        * ace/Synch.i:
          Added ACE_Null_Mutex::acquire (ACE_Time_Value &tv)
          to fix link error.

Wed Jan 31 15:12:00 2001  Jeff Parsons <parsons@cs.wustl.edu>

        * ace/CDR_Stream.h:

          Made method do_byte_swap() public. If ACE_ENABLE_SWAP_ON_WRITE
          is defined, TAO_GIOP_Message_Base::format_message() and
          TAO_GIOP_Message_Lite::format_message() both call this method.
          Thanks to Paul Rubel <prubel@bbn.com> for reporting this bug.

Wed Jan 31 12:19:51 2001  Steve Huston  <shuston@riverace.com>

        * docs/tutorials/Chap_2/ex03.html, ex04.html: Fixed these example
          programs to 1) send the Nul terminators with the strings,
          2) allow enough space on the recv to get it all, 3) return a
          value from main.

        * docs/tutorials/Chap_2/Chap_2.zip: Updated the above examples.

Wed Jan 31 06:43:27 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/Message_Queue_T.cpp: Make sure that dequeue_head() returns
          the number of items still on the queue.  Thanks to Johnny
          Willemsen for reporting this.

Tue Jan 30 21:39:15 2001  Sharath R. Cholleti  <sharath@cs.wustl.edu>

       * tests/Log_Msg_Test.cpp: In funtion test_ostream(), removed the
          if condition to check if ACE_OS::unlink() succeeds. Also set
          the ostream to NULL before calling ACE_ERROR_RETURN(). Thanks
          to Mike Curtis <mccurry@my-deja.com> for pointing out problem
          caused when ACE_OS::unlink() fails. Thanks to Doug in helping
          fix the problem.

Tue Jan 30 18:04:08 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * tests/Message_Queue_Test_Ex.cpp (single_thread_performance_test):
          Zap the Win32 and VxWorks-specific code from this function.
          Thanks to Sharath for reporting this.

Tue Jan 30 11:34:26 2001  Steve Huston  <shuston@riverace.com>

        * examples/Reactor/Proactor/test_aiosig_ace.cpp: Fixed a bunch
          of mis-coded ACE_ERROR_RETURNs; added a explicit queued completion,
          and disabled the display of buffers that may overrun ACE_Log_Msg's
          internal buffers to prevent spurious crashes.

Tue Jan 30 11:26:42 2001  Steve Huston  <shuston@riverace.com>

        * examples/Reactor/Proactor/post_completions.cpp: Added a count
          to be sure that all expected completions are delivered, and
          print error message if not.

Tue Jan 30 10:47:52 2001  Steve Huston  <shuston@riverace.com>

        * ace/Select_Reactor_Base.cpp
          (ACE_Select_Reactor_Notify::purge_pending_notifications):
        * ace/WFMO_Reactor.cpp
          (ACE_WFMO_Reactor_Notify::purge_pending_notifications): Changed
          to not purge notifications destined for the reactor only
          (notification buffer with 0 handler value). Thanks to Edan
          Ayal <edana@bandwiz.com> for this fix.

Tue Jan 30 01:05:51 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * tests/Message_Queue_Test_Ex.cpp (single_thread_performance_test):
          Add cases for VxWorks and NT.  Thanks to Sharath for reporting
          this.

        * ace/OS.h: #define _SC_AIO_MAX to 1 if it's not set by default.
          Thanks to Jean-Francois Daune <Daune@IBA.be> for reporting this
          fix for VxWorks.

Mon Jan 20 18:36:41 2001  Steve Huston  <shuston@riverace.com>

        * ace/Message_Queue_T.h (ACE_Message_Queue_Ex): Use _USE
          rather than _DECL to define the ACE_Message_Queue - fixes
          compile error.

Mon Jan 29 17:29:31 2001  Steve Huston  <shuston@riverace.com>

        * ace/Message_Queue_T.{h i cpp}: Corrected a bunch of references
          to Message_Queue_Ex's queue_ member to use . rather than ->
          and removed the ACE_NEW to allocate it (follow-ups from Doug's
          Sun Jan 28 08:32:07 2001 change). Fixed other compile
          errors to allow tests/Message_Queue_Test_Ex.cpp to build.
          FYI... whomever added this, it probably should have been named
          Message_Queue_Ex_Test to conform.

Mon Jan 29 15:30:27 2001  Steve Huston  <shuston@riverace.com>

        * ace/POSIX_Proactor.{h cpp} (ACE_POSIX_SIG_Proactor): Don't
          mask/block all signals, just the one(s) being used for this
          sig proactor instance. Blocking everything can break other
          things, such as debuggers and the ability to kill a program.
          Also, don't setup a handler for the signals being blocked/waited
          as this is a combination whose behavior is undefined.

Sun Jan 28 08:39:17 2001  Carlos O'Ryan  <coryan@uci.edu>

        * tests/Thread_Mutex_Test.cpp:
          Fixed use of ACE_TEXT and string concatenation.

Sun Jan 28 08:03:08 2001  Carlos O'Ryan  <coryan@uci.edu>

        * tests/tests.dsw:
        * tests/Message_Queue_Test_Ex.dsp:
          Add NT project files for the new test

Sun Jan 28 08:32:07 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * netsvcs/lib/Client_Logging_Handler.cpp: Fixed the order in which
          the iostream messages are logged so that we don't bomb out when
          the VERBOSE option is enabled.  Thanks to Craig Rodrigues
          <crodrigu@bbn.com> for helping find this problem.

        * ace/Message_Queue_T.h: Make sure the lock() forwarding method
          forwards to queue_.lock().

        * ace/Message_Queue_T.{h,i,cpp}: There's no reason to dynamically
          allocate the implementation of ACE_Message_Queue_Ex -- instead
          it can be simply an instance of ACE_Message_Queue.

        * ace/Message_Queue_T.h: Make sure that the methods on
          ACE_Message_Queue_Ex are properly virtual.  Thanks to Kitty for
          pointing this out.

Sat Jan 27 19:40:36 2001  Ossama Othman  <ossama@uci.edu>

        * bin/auto_run_tests.lst:

          Added TAO's Portable Interceptor "Service_Context_Manipulation"
          test to the list of tests to run.

Sat Jan 27 19:34:20 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * tests/Config_Test.{h,cpp}: Fixed the use of "bool," which is
          not supported on older compilers.  Thanks to Kitty for reporting
          this.

Sat Jan 27 15:22:03 2001  Ossama Othman  <ossama@uci.edu>

        * tests/Thread_Mutex_Test.cpp (test):

          Added code that tests mutex timeout functionality.

Sat Jan 27 15:16:33 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/POSIX_Proactor.h: Replace ACE_Thread_Mutex with ACE_SYNCH_MUTEX
          to avoid the need for conditional compilation.

        * ace/SUN_Proactor.h: Don't use ACE_Condition<ACE_Thread_Mutex>
          but instead use the ACE_SYNCH_CONDITION, which also avoids the
          need to conditionally compile for threaded platforms.

Sat Jan 27 13:29:51 2001  Ossama Othman  <ossama@uci.edu>

        * ace/config-linux.h:

          Declare the pthread_mutex_timedlock() prototype as an
          'extern "C"' function.  This fixes an "unresolved symbol" link
          error.

Sat Jan 27 10:39:28 2001  Carlos O'Ryan  <coryan@uci.edu>

        * bin/nightlybuilds/builds.lst:
          Apparently the blank in 'RedHat 7.0' breaks the scoreboard.

Sat Jan 27 01:06:09 2001  Irfan Pyarali  <irfan@cs.wustl.edu>

        * include/makeinclude/platform_sunos5_sunc++.GNU: SPRO 5.0
          compiler should be able to support automatic template
          instantiation.  Also, standard C++ library should be ok.  -g was
          added to DCCFLAGS.

        * ace/config-sunos5.5.h: Turned off
          ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION,
          ACE_TEMPLATES_REQUIRE_SOURCE and ACE_USES_OLD_IOSTREAMS for the
          SPRO 5.0 compiler.

          Thanks to J. Russell Noseworthy <rnosewor@objectsciences.com>
          for contributing the above patches.

Sat Jan 27 00:37:26 2001  Irfan Pyarali  <irfan@cs.wustl.edu>

        * ace/OS.i:

          - (mutex_lock): Windows code must use relative time since that
          is what WaitForSingleObject() expects.  Also, fixed extra
          "return" before ACE_NOTSUP_RETURN.

          - (thread_mutex_lock): Made thread_mutex_lock() with timeout
          close to the thread_mutex_lock() without timeouts.

Fri Jan 26 21:53:45 2001  Ossama Othman  <ossama@uci.edu>

        * ace/OS.h:
        * ace/OS.i (thread_mutex_lock):

          Added an overloaded version of this method that accepts a
          timeout argument.  It delegates to the standard
          ACE_OS::mutex_lock() method on non-Windows platforms.
          Otherwise, it returns with an ENOTSUP.

          The addition of this method was necessary to fix a compile
          problem related to the ACE_Thread_Mutex class.

        * ace/Synch.i (acquire):

          In ACE_Thread_Mutex::acquire() that accepts a timeout argument,
          call the corresponding ACE_OS::thread_mutex_lock() method.  This
          fixes compile-time error on MS Windows builds due to the fact
          that ACE_mutex_t and ACE_thread_mutex_t are different types on
          that platform.

Fri Jan 26 17:31:26 2001  Ossama Othman  <ossama@uci.edu>

        * ace/OS.i (mutex_lock):

          Fixed unused argument warnings that occured when compiling for
          the single threaded case.

Fri Jan 26 16:58:03 2001  Ossama Othman  <ossama@uci.edu>

        * ace/config-linux.h:

          glibc 2.1.x doesn't have the (very useful) __GLIBC_PREREQ
          macro.  Use a preprocessor test that doesn't rely on it.

Fri Jan 26 16:48:06 2001  Ossama Othman  <ossama@uci.edu>

        * ace/config-qnx-neutrino.h (ACE_HAS_MUTEX_TIMEOUTS):
        * ace/config-qnx-rtp.h (ACE_HAS_MUTEX_TIMEOUTS):

          QNX supports pthread_mutex_timedlock().  Yes!

Fri Jan 26 17:50:38 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/config-win32-common.h:
          ace/config-vxworks-5.x.h: Added ACE_HAS_MUTEX_TIMEOUTS macro.

        * ace/OS.i: Added timed mutex operations for Win32, VxWorks, and
          pSoS.

Fri Jan 26 16:31:15 2001  Ossama Othman  <ossama@uci.edu>

        * ace/OS.h (mutex_lock):

          Updated documentation for the version of this method that
          accepts a timeout value.

        * ace/OS.i (mutex_lock):

          If the platform does not support timed mutexes, then return with
          an ENOTSUP.

        * ace/Process_Mutex.h:
        * ace/Process_Mutex.inl (acquire):

          Added version of this method that accepts a timeout value.

Fri Jan 26 17:50:38 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * examples/Bounded_Packet_Relay/Thread_Bounded_Packet_Relay.cpp (report_stats):
          Fixed some unintentional tabs.  Thanks to Mike Curtis for
          reporting this!

Fri Jan 26 15:34:01 2001  Ossama Othman  <ossama@uci.edu>

        * ace/OS.h:
        * ace/OS.i (mutex_timedlock, mutex_lock):
        * ace/Synch.i (acquire):

          Renamed the ACE_OS::mutex_timedlock() to the overloaded
          ACE_OS::mutex_lock().

Fri Jan 26 14:13:32 2001  Ossama Othman  <ossama@uci.edu>

        * ace/OS.h:
        * ace/OS.i (mutex_timedlock):

          Wrapped the pthread_mutex_timedlock() function.  It times out if
          a lock hasn't been acquired by the given absolute time.

        * ace/Synch.h:
        * ace/Synch.i (acquire):

          Added versions of this method that accept an ACE_Time_Value.
          They are used to prevent blocking definitely while waiting for a
          given mutex to become available.

        * ace/config-linux.h (ACE_HAS_MUTEX_TIMEOUTS):

          glibc 2.2.x supports the pthread_mutex_timedlock() function.

        * ace/config-linux-common.h:

          Undefine ACE_LACKS_{LLSEEK,LSEEK64}_PROTOTYPE prior to include
          the KCC configuration file.  Thanks to Jeff Greif
          <jgreif@befree.com> for reporting this.

        * ace/README:

          Added ACE_HAS_MUTEX_TIMEOUTS to the list of ACE macros.

Fri Jan 26 11:18:15 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/Log_Msg.cpp (dump): Fixed some unintentional tabs.  Thanks
          to Mike Curtis for reporting this!

        * ace/SOCK_Dgram_Mcast.cpp (open): Modified the call to
          ACE_SOCK_Dgram::shared_open() to just pass in this->mcast_
          rather than making a local copy that just contained the port
          number.  Thanks to Keith Nicewarner <knicewar@erg.sri.com> for
          reporting this.

        * tests/Makefile.bor (TESTS): Added Message_Queue_Test_Ex.cpp.

Fri Jan 26 13:37:30 2001  Luther J Baker  <luther@cs.wustl.edu>

        * ace/OS.h:

          If using PACE, ACE_stat typedefs to pace_stat_s.

Fri Jan 26 11:18:15 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * tests/Message_Queue_Test_Ex.cpp: Fixed some ASYS_* macros with
          ACE_* stuff.  Thanks to Darrell for reporting this.

        * ace/Message_Queue_T.h,
        * ace/Message_Queue_T.i,
        * ace/Message_Queue_T.cpp:
          Added the ACE_Message_Queue_Ex, which provides a message queue
          abstraction whose type is templatized.  Thanks to Michael Vitalo
          <mvitalo@sprynet.com> for contributing this.

        * tests/run_tests.lst:
        * tests/run_test.lst:
        * tests: Added support for the new Message_Queue_Test_Ex.cpp file.
          Thanks to Michael Vitalo <mvitalo@sprynet.com> for contributing
          this.

Fri Jan 26 09:33:20 2001  Carlos O'Ryan  <coryan@uci.edu>

        * bin/auto_run_tests.lst:
          Add TAO/tests/Object_Loader to the list

        * include/makeinclude/rules.lib.GNU:
          Allow both .cpp and .c files in the LSRC macro.  This should
          let the PACE guys use the real name for their files, and
          generate proper dependencies.

Fri Jan 26 02:16:42 2001  Darrell Brunsch <brunsch@uci.edu>

        * tests/OS_Test.cpp:

          Changed a use of struct stat to ACE_stat.

Thu Jan 25 19:16:48 2001  Ossama Othman  <ossama@uci.edu>

        * ace/config-linux.h:

          Only define ACE_LACKS_NETDB_REENTRANT_FUNCTIONS and
          ACE_LACKS_THREAD_STACK_SIZE for glibc < 2.1.  glibc 2.1+ has the
          netdb reentrant functions (albeit with funky signatures), and it
          has pthread_attr_setstacksize().

        * ace/OS.h:

          Removed trailing whitespace.

        * ace/OS.i (getprotobyname_r, getprotobynumber_r, gethostbyaddr_r,
          gethostbyname_r, getservbyname_r):

          Added glibc-specific calls to these functions.  This allows us
          to avoid grabbing a lock! Thanks to Ben Strong
          <bstrong@bluelark.com> for providing the patch.

        * THANKS:

          Added Ben Strong to list of contributors.

Thu Jan 25 20:10:24 2001  Irfan Pyarali  <irfan@cs.wustl.edu>

        * include/makeinclude/platform_irix6.x_sgic++.GNU:
        * include/makeinclude/platform_irix5.3_sgic++.GNU:

          Removed -rpath "$(ACE_ROOT)/ace" from LDFLAGS.

        * ace/Message_Queue_T.{h,i}: Moved code from .i to .h to work
          around a compiler bug.  The Sun Forte 6 (CC 5.1) compiler is
          only happy if this is in the header file.

        * ace/Message_Block_T.cpp: Fixed template parameter name mismatch
          between declaration and definition.

          Thanks to J. Russell Noseworthy <rnosewor@objectsciences.com>
          for contributing the above patches.

Thu Jan 25 10:50:35 2001  Steve Huston  <shuston@riverace.com>

        * ace/Reactor.h: Add comments to schedule_wakeup/cancel_wakeup that
          they don't cause an immediate re-examination of the masks like
          register_handler does. Thanks to Oscar Rodriquez
          <Oscar.Rodriquez@eln.ericsson.se> for prompting this clarification.

        * ace/WFMO_Reactor.cpp (ACE_WFMO_Reactor_Notify::handle_signal):
          The call to ACE_Message_Queue::dequeue_head may change the
          ACE_Time_Value passed to it, so don't override ACE_Time_Value::zero's
          const-ness, lest ACE_Time_Value::zero take on some strange new value.
          Thanks to Edan Ayal <edana@bandwiz.com> for this fix.

Thu Jan 25 05:34:58 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/Connector.cpp (connector): Added an ACE_const_cast() to
          get rid of the const for the accessor method!

        * ace/Acceptor.cpp (acceptor): Added an ACE_const_cast() to
          get rid of the const for the accessor method!

        * ace/Log_Msg.{h,cpp},
        * ace/Trace.{h,cpp}: The Log_Msg -I flag now uses the current
          ACE_Trace nesting level rather than always using 1.  Thanks to
          Mike Curtis for providing this.

Wed Jan 24 19:43:24 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/OS.i (lstat,stat): Separated win32 cases out.

Wed Jan 24 18:15:59 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/OS.i (fstat): Oops, wrong version of this function was
          modified.

Wed Jan 24 14:44:12 2001  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/FILE.cpp:
        * ace/Filecache.cpp:
        * ace/Filecache.h:
        * ace/OS.h:
        * ace/OS.i:
        * ace/OS.cpp: Changed the signature of <stat>, <fstat>, and
          <lstat> to use ACE_stat instead of "struct stat".  Also changed
          to use _fstat and _stat on win32 instead of <fstat> and <stat>
          directly.  Also replaced several use of "struct stat" to
          ACE_stat.  Thanks to Mike Anderson <manderson@sonusnet.com> for
          reporting this.  [Bug 762]

Wed Jan 24 16:13:10 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/OS_Dirent.cpp: Fixed a bug in the readdir_emulation() method.
          Thanks to Yung Trinh <ytrinh@email.com> for reporting this.

        * ace/Connector.{h,cpp}: Added a new connector() accessor to
          return the underlying ACE_PEER_CONNECTOR.  Thanks to Pedro
          Brandao <pbrandao@inescn.pt> for suggesting this.

Wed Jan 24 10:17:03 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/Makefile:
          Add dependencies (again). They were lost is a previous commit.

        * */Makefile:
          Update dependencies (yet another time).

Wed Jan 24 09:41:54 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/Configuration.cpp:
          Fixed warning under gcc.  Also made the for() loop more
          ACE-like, not better, but at least consistent.

Wed Jan 24 08:56:16 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/OS.h:
          The changed to document the ACE_SVC_* macros were accidentally
          lost, fixed.

        * ace/Service_Config.cpp:
          New debug message when processing an explicit directive, useful
          to find out when and why TAO invokes
          ACE_Service_Config::process_directive() directly.
          As with all other debug messages in this file it only shows up
          if ACE::debug() returns non-zero.

Wed Jan 24 01:44:47 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/Configuration.cpp (expand_path): Fixed a bug with assignment to
          temp in the loop.  Thanks to Jonathan Reis for reporting this!

Tue Jan 23 17:02:42 2001  Darrell Brunsch <brunsch@uci.edu>

        * bin/msvc_auto_compile.pl:

          Removed PACE until we figure out how to handle it in the
          DLL builds.

Tue Jan 23 16:50:35 2001  Darrell Brunsch <brunsch@uci.edu>

        * tests/Dirent_Test.dsp:

          Updated to make consistent with the rest of the dsps in
          this directory in regards to output directories and non-use
          of ACE_ROOT.

        * tests/Dirent_Test.cpp:

          Updated wide character compatibility and removed the use
          of ACE_ROOT (now looks at ../tests", which should give
          the same results).

        * tests/run_test.lst:

          Added the Dirent_Test to the list

        * tests/version_tests/Dirent_Test.dsp: (added)
        * tests/version_tests/Refcounted_Auto_Ptr_Test.dsp: (added)
        * tests/version_tests/version_tests.dsw:

          Used the create_vt_dsps.pl script to update this directory.

Tue Jan 23 18:03:26 2001  Jeff Parsons <parsons@cs.wustl.edu>

        * ace/CDR_Stream.cpp:

          Added patches to read_8 and write_8 sent in by
          Keith Nicewarner <knicewar@erg.sri.com> to deal
          with the ARM byte format for doubles

Tue Jan 23 15:06:18 2001  Darrell Brunsch <brunsch@uci.edu>

        * ace/Configuration.cpp:
        * ace/OS_Dirent.cpp:

          Updated wide character compatibility.

        * ace/ace_dll.dsp:

          Removed unneeded verbose library option.

Tue Jan 23 10:54:14 2001  Jeff Parsons <parsons@cs.wustl.edu>

        * ace/config-doxygen.h:
        * bin/autoconf_compile:

          Removed all occurrences of 'smart_proxies' and 'interface_repo'.
          These are no longer necessary.

        * include/makeinclude/ace_flags.bor:

          Added necessary variables to go along with the Borland
          makefiles for the new libraries tao/Domain and
          tao/IFR_Client.

Mon Jan 22 17:01:17 2001  Darrell Brunsch <brunsch@uci.edu>

        * ace/OS_String.cpp:
        * ace/OS_String.inl:
        * ace/ace_wchar.inl:
        * ace/config-qnx-rtp.h:

          ACE_HAS_WCHAR fixes.  Support is really bad on QNX RTP
          so we just end up emulating most everything.  As far as
          I could tell, there isn't even a way to convert between
          the two types of strings.

        * ace/OS_Dirent.cpp:

          Rewrote a paragraph to remove the use of "/*" in a larger
          /*...*/ comment, since gcc complains about it.

        * tests/Message_Queue_Test.cpp:

          Backed out some changes to it on Jan 21, since it had
          problems and I couldn't find any ChangeLog entry for the
          changes (mistakenly checked in?).

Mon Jan 22 13:51:11 2001  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/OS_Dirent.cpp (opendir_emulation): Added code to make the
          emmulation work properly on Win32.  Thanks to Edwin Wrench
          <edwin.wrench@itt.com> for finding this.

        * tests/Dirent_Test.cpp:
          tests/Makefile:
          tests/run_tests.bat:
          tests/run_tests.lst: Added test to verify correctness of above
          fix. This test attempts to scan $ACE_ROOT/tests and will fail if
          the number of entries is 0 or 1.

Mon Jan 22 10:21:20 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/Map_Manager.h: Clarify that find() returns 0, rather than
          saying "a non-negative number".  Thanks to Albert Wijna
          <albert.wijnja@meco.nl> for clarifying this.

Mon Jan 22 15:38:12 2001  Johnny Willemsen <jwillemsen@remedy.nl>

        * ace/Containers_T.h:
          ace/Containers_T.cpp:
          Added operator* to the ACE_Ordered_Multiset_Iterator class

        * tests/Ordmultiset_test.cpp
          Expanded test for the new operator* of the ACE_Ordered_Multiset_
          Iterator class

Sat Jan 20 14:53:07 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/Configuration.{h,cpp}: Fixed some problems with const char *
          that was busting the compilation.  Thanks to Carlos for pointing
          this out.

        * ace/Configuration.{h,cpp}: Added several fixes for
          mistakes with memory management and other minor problems.
          Thanks to Jonathan Reis <reis@stentorsoft.com> for contributing
          these fixes!

Sat Jan 20 10:49:05 2001  Carlos O'Ryan  <coryan@uci.edu>

        * docs/ACE-guidelines.html:
          Update the guidelines to point people to the Doxygen
          documentation, instead of the now abandoned OSE tools.

Sat Jan 20 10:21:08 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/OS.cpp:
          Another pass fixing problems with ACE_BEGINTHREADEX() under
          Win32, this time Win32 is working fine.

Sat Jan 20 10:20:50 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * doc/tutorials: Integrated the new Service Configurator tutorial
          into the main tutorials page.

Fri Jan 19 16:57:43 2001  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/Svc_Handler.h: Updated the comments to explain why
          operator new is overloaded.  Thanks to Kirill Kuolechov
          <Kirill.Koulechov@gmx.net> for reporting this.

Fri Jan 19 15:39:43 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/OS.cpp:
          QNX/RTP has the same problem that LynxOS has, after fork() is
          invoked trying to destroy the preallocated objects in
          ACE_OS_Object_Manager fails.
          Factor out this variation in a new macro:
          ACE_HAS_BROKEN_PREALLOCATED_OBJECTS_AFTER_FORK

        * ace/config-lynxos.h:
        * ace/config-qnx-rtp.h:
          Define the new macro for the two relevant platforms.

        * ace/README:
          Document the macro.

Fri Jan 19 15:08:37 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/OS.cpp:
          I disabled too much in the commit at 10:50am... Now it seems to
          be OK.

        * ace/Makefile:
          Remove extra -v

Fri Jan 19 13:16:49 2001  Priyanka Gontla  <pgontla@ece.uci.edu>

        * include/makeinclude/platform_hpux_aCC.GNU:
          Added new options to the CCFLAGS so that the known future errors
          arising because of HPUX are suppressed.

Fri Jan 19 13:01:13 2001  Priyanka Gontla  <pgontla@ece.uci.edu>

        * ace/SSL/Makefile:
          Put a check for defining ACE_SHLIBS to get it compiled on HPUX.

        * ace/RMCast/Makefile:
        * ace/Makefile :
          Updated dependencies

        * ace/config-all.h
          Fix a build problem on HP-UX 11.00 with aCC A.03.25.  The macro
          used to determine the use of the std namespace changed from
          RWSTD_NO_NAMESPACE to _NAMESPACE_STD.  NOTE: I did preserve the
          check for RWSTD_NO_NAMESPACE with aCC versions less than A.03.25.

          Thanks to Chad Elliott  <elliott_c@ociweb.com> for making this fix.

Fri Jan 19 11:22:42 2001  Priyanka Gontla  <pgontla@ece.uci.edu>

        * docs/tutorials/022/client_handler.cpp :
        * docs/tutorials/022/client_hander.h :
        * docs/tutorials/022/Acceptor_Service.cpp :
        * docs/tutorials/022/Acceptor_Service.h :
        * docs/tutorials/022/server.cpp :
        * docs/tutorials/022/Makefile :

        * docs/tutorials/022/client/Makefile:
        * docs/tutorials/022/client/client.cpp:

        * docs/tutorials/022/page01.html:
        * docs/tutorials/022/page02.html:
        * docs/tutorials/022/page03.html:
        * docs/tutorials/022/page04.html:
        * docs/tutorials/022/page05.html:

          Developed a new tutorial for the ACE_Service_Configurator.
          Based on the ACE tutorial 005.

Fri Jan 19 10:50:11 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/OS.cpp:
          Use the Green Hills specific tricks *only* if we are compiling
          under Green Hills, and only for the platform where they make
          sense (in this case Win32).

Thu Jan 18 23:21:53 2001  Carlos O'Ryan  <coryan@uci.edu>

        * ace/OS.h:
          Document the infamous ACE_STATIC_SVC macros.

Thu Jan 18 23:50:35 2001  Rick Stille  <stille_r@ociweb.com>

        The Green Hills(GHS) Native x86 compiler does not provide support
        for 64-bit integers, structural exceptions, or DLL's. Thus the
        keywords __int64, __try, __dllimport, etc., are not defined. In
        addition, exceptions do not work in a multi-threaded environment.
        The following changes were made to address these shortcomings.

        * ace/Basic_Types.h: Because the GHS compiler has both
          ACE_LACKS_LONGLONG_T and ACE_WIN32 defined, the
          ACE_LACKS_LONGLONG_T macro must appear first, so the order of
          these two macros has been reversed in the defines of both
          ACE_UINT64_LITERAL(n) and ACE_UINT64_DBLCAST_ADAPTER(n).

        * ace/config-win32-common.h: The typedef of ACE_UINT64 as an
          unsigned __int64 and the define of ACE_HAS_LLSEEK are blocked
          out for ghs.

        * ace/config-win32-ghs.h: This is the new configuration file for
          Green Hills/Win32.

        * ace/Configuration.cpp(resolve_key): The "return 0" at the end of
          this function has been blocked out for ghs to eliminate an
          "unreachable code" warning.

        * ace/Event_Handler_T.h(handle_signal): The type of the "signum"
          parameter has been changed to "int" so that it matches the type
          in the Event_Handler class.

        * ace/Event_Handler_T.i(handle_signal): The type of the "signum"
          parameter has been changed to "int" so that it matches the type
          in the Event_Handler class.

        * ace/High_Res_Timer.cpp(global_scale_factor): The Native x86
          compiler defines "QuadPart" in the LARGE_INTEGER union as a
          "double," so it cannot be used in the calculation of
          "global_scale_factor." Instead, for GHS, the low and high parts
          of the LARGE_INTEGER structure are copied into an ACE_UINT64
          structure (which is actually an ACE_U_LongLong) and the
          ACE_U_LongLong operators are used. The code segment if
          (ACE_High_Res_Timer::global_scale_factor_ == 1u) // Failed to
          retrieve CPU speed from system, so calculate it.
          ACE_High_Res_Timer::calibrate (); is unreachable hen ACE_WIN32
          is defined, so it has been blocked out for Win32 platforms to
          silence the Green Hills "unreachable code" warning.

        * ace/High_Res_Timer.i(hrtime_to_tv): There is no assignment
          operator that converts an ACE_U_LongLong to a "long," so an
          intermediate ACE_U_LongLong variable "usec64" has been
          introduced. The type of "msec" and "usec" have been changed from
          "long" to ACE_UINT32, as have been the casts. The conversion is
          then carried out by using the lower part of "usec64."

        * ace/Local_Name_Space_T.cpp(remap): The "DWORD" cast has been
          removed from both EXCEPTION_CONTINUE_SEARCH and
          EXCEPTION_CONTINUE_EXECUTION beause the function return value is
          of type "int" and the cast was causing an "integer conversion
          resulted in a change of sign" warning.

        * ace/Memory_Pool.cpp(map): Removed references to the "mem_offset"
          variable because it was not being used and the compiler was
          issuing a warning to this effect.

        * ace/NT_Service.cpp(startup): This function was returning "-1"
          when svc_sc_handle() failed, and returning a "0" when
          QueryServiceConfig() failed. Since the return type of this
          function is "DWORD," the compiler was issuing an "integer
          conversion resulted in a change of sign" warning for the "-1"
          value. Upon investigation of this issue, it was discovered that
          "0" is a valid service type value, and thus the use of "0" to
          indicate failure is a bug. The return value for svc_sc_handle()
          failure has been changed to "MAXDWORD - 1," which is the DWORD
          equivalent of "-2," and the return value for failure of
          QueryServiceConfig() has been changed to "MAXDWORD," which is
          the DWORD equivalent of -1.

        * ace/OS.cpp: The compiler cannot handle a 64-bit literal, so the
          literal passed to FILETIME_to_timval_skew has been created as
          ACE_U_LongLong(0xd53e8000, 0x19db1de).

        * ace/OS.cpp(set): The Native x86 compiler defines "QuadPart" in
          the LARGE_INTEGER union as a "double," so it cannot be used in
          the calculations of tv_sec and tv_usec.  Instead, the low and
          high parts of the LARGE_INTEGER structure are copied into an
          ACE_U_LongLong structure, and the ACE_U_LongLong operators are
          used.

        * ace/OS.cpp(operator FILETIME): The Native x86 compiler defines
          "QuadPart" in the LARGE_INTEGER union as a "double," so it
          cannot be used in the calculation of file_time. Instead, tv_sec
          and tv_usec are converted iinto ACE_U_LongLong structures and
          the ACE_U_LongLong operators are used.

        * ace/OS.cpp(uname): The Native x86 compiler names both the union
          and the structure within the SYSTEM_INFO structure, so the
          "wProcessorArchitecture" member within the "s" structure, which
          is itself within the "u" union, must be accessed by using
          ".u.s."

        * ace/OS.cpp(ACE_BEGINTHREADEX): Green Hills compiler gets
          confused when __stdcall is imbedded in parameter list, so the
          type ACE_WIN32THRFUNC_T has been defined, then used within the
          parameter list of ::_beginthreadex().

        * ace/OS.h(ACE_Time_Value): The Native x86 compiler defines
          "DWORDLONG" as type "double," so FILETIME_to_timval_skew is
          instead defined as type ACE_U_LongLong.

        * ace/OS.h: The pragmas "#pragma warning( disable : ... " are
          unknown to the Native x86 compiler, so it produces warnings to
          this effect. These pragma have been blocked out for ghs.

        * ace/OS.h: Because the Native x86 compiler does not support the
          __int64 keyword, the typedef of ACE_hrtime_t has been changed
          from "unsigned __int64" to "ACE_UINT64" for ghs. Because no
          usage of "ACE_QWORD" could be foound, its definition has been
          blocked out for ghs.

        * ace/OS.i(gettimeofday):The code at the end of this function is
          not reachable if either ACE_HAS_WINCE or ACE_WIN32 is
          defined. In order to quiet the Green Hills compiler warnings
          about unreachable code, this code has been blocked out for
          ACE_HAS_WINCE and ACE_WIN32. With this code blocked out,
          however, the variables "tv" and "result" are not used, and the
          compiler warns about about variables defined, but never used. In
          order to quiet these warnings, the definitions of these two
          variables have been blocked out for ACE_HAS_WINCE and ACE_WIN32.

        * ace/OS.i(gethrtime): The ACE_gethrtime() function is not meant
          to be used by a Win32 platform, but because both "ghs" and
          "ACE_HAS_PENTIUM" are defined for the Native x86 platform, a
          call to ACE_gethrtime() was included in the code.  This problem
          has been solved by adding "&& !defined(ACE_WIN32)" to the two
          "... defined (ghs) && defined (ACE_HAS_PENTIUM)" statements
          which block out references to ACE_gethrtime().

          The Native x86 compiler defines "QuadPart" in the LARGE_INTEGER
          union as a "double," so it cannot be used as the return
          value. Instead, because the return type is "ACE_hrtime_t," which
          is type "ACE_UINT64," the low and high parts of the
          LARGE_INTEGER structure are copied into an ACE_UINT64, which is
          then returned.

